package com.xp.arouter.IInterceptor;

import android.content.Context;

import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.annotation.Interceptor;
import com.alibaba.android.arouter.facade.callback.InterceptorCallback;
import com.alibaba.android.arouter.facade.template.IInterceptor;
import com.xp.arouter.CommonStation;

@Interceptor(priority = 1, name = "拦截未登录")
public class LoginIInterceptor implements IInterceptor {
    @Override
    public void process(Postcard postcard, InterceptorCallback callback) {
        if (postcard.getExtra() == CommonStation.CHECK_LOADING && !CommonStation.checkLoading()) {
            callback.onInterrupt(new RuntimeException("账号未登录"));
        } else {
            callback.onContinue(postcard);
        }
    }

    @Override
    public void init(Context context) {

    }
}
