package com.wgmf.yxgj.module.bussiness.customtask.model

import com.wgmf.library.base.BaseResponse

/**
 * 优惠券基础下拉列表请求参数
 */
data class BasicCouponRequest(
    val category: Int? = null,  //	活动类别（1.全场，0.专享，2.短信活动）
    val isMerchant: Int = 0,  //是否商家券 0 否 1 是
    val channelType: Int = 0,  //消费渠道（0.线下 1.线上）,示例值(1)
    val statuses: List<Int> = listOf(
        3,
        8
    ),   //	优惠券状态1已完结,2未审核,3已发布.4名单生成中.5审核通过.6审核未通过7.失效8.进行中9.活动新建成功流程待发起10.活动流程审批中,11.草稿状态,示例值([ 8 ])
    val showStatus: Int = 1  //是否展示状态 0 否 1 是
)

/**
 * 优惠券基础下拉列表
 */
data class BasicCouponEntity(val payload: List<CouponBean>?) : BaseResponse() {
    data class CouponBean(val label: String, val value: Int)
}