package com.wgmf.yxgj.module.bussiness.customtask.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.wgmf.yxgj.module.bussiness.customtask.R
import com.wgmf.yxgj.module.bussiness.customtask.model.BasicCouponEntity

/**
 * 活动列表适配器
 * @author LW
 */
class ActivityListAdapter(
    entity: List<BasicCouponEntity.CouponBean>
) : BaseQuickAdapter<BasicCouponEntity.CouponBean, BaseViewHolder>(
    R.layout.item_dailog_select_view,
    entity
) {

    override fun convert(
        helper: BaseViewHolder?,
        item: BasicCouponEntity.CouponBean?
    ) {
        helper?.apply {
            item?.let {
                setText(
                    R.id.dialog_select_choose_tv, it.label
                )
            }
        }
    }
}