package com.wgmf.yxgj.module.bussiness.customtask.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.wgmf.yxgj.module.bussiness.customtask.R
import com.wgmf.yxgj.module.bussiness.customtask.model.SuperMarketEntity

/**
 * 商超列表适配器
 * @author LW
 */
class SuperMarketListAdapter(
    entity: List<SuperMarketEntity.SuperMarketBean>
) : BaseQuickAdapter<SuperMarketEntity.SuperMarketBean, BaseViewHolder>(
    R.layout.item_dailog_select_view,
    entity
) {

    override fun convert(
        helper: BaseViewHolder?,
        item: SuperMarketEntity.SuperMarketBean?
    ) {
        helper?.apply {
            item?.let {
                setText(
                    R.id.dialog_select_choose_tv, it.name
                )
            }
        }
    }
}