package com.wgmf.yxgj.module.business.employability.newworkertrain.model;

import java.util.List;

/**
 * createTrainStaffId (string, optional):创建培训记录人工号 ,
 * createTrainStaffName (string, optional):创建培训记录人姓名 ,
 * ids (integer, optional),
 * trainSubmitFlag (string, optional):提交标识：0暂存，1保存 ,
 * userWeekList (Array[NewWorkerTrainUserWeek], optional):周 ,
 * workerEntryTime (string, optional):入职时间 ,
 * workerStaffId (string, optional):顾问工号 ,
 * workerStaffName (string, optional):顾问姓名 ,
 * workerTrainSubmitTime (string, optional):提交时间 ,
 * workerTrainUpdateTime (string, optional):修改时间
 * itemContent (string, optional):导师评价内容 ,
 * itemEvaluatedTime (string, optional):评估时间 ,
 * managerEvaluation (string, optional):主管评价 ,
 * managerStaffId (string, optional):主管工号 ,
 * managerWithTrainTime (string, optional):主管代培时间 ,
 * mentroEvaluationFlag (string, optional):导师评估标识：1已评估，0未评估 ,
 * officeEvaluatedTime (string, optional):经理评价时间 ,
 * officeEvaluation (string, optional):经理评价 ,
 * officeStaffId (string, optional):经理工号 ,
 * trainMentorStaffId (string, optional):培训导师工号 ,
 * trainMentorStaffName (string, optional):培训导师姓名 ,
 * managerWithTrainTime (string, optional):主管代培时间 ,
 */
public class NewWorkerTrainUserEntity {

    private String createTrainStaffId;
    private String createTrainStaffName;
    private String ids;
    private String trainSubmitFlag;
    private String workerEntryTime;
    private String workerStaffId;
    private String workerStaffName;
    private String itemContent;
    private String itemEvaluatedTime;
    private String managerEvaluation;
    private String mentroEvaluationFlag;
    private String managerStaffId;
    private String officeEvaluatedTime;
    private String officeEvaluation;
    private String officeStaffId;
    private String trainMentorStaffId;
    private String trainMentorStaffName;
    private String managerWithTrainTime;

    private List<UserWeekListEntity> userWeekList;

    public String getCreateTrainStaffId() {
        return createTrainStaffId;
    }

    public void setCreateTrainStaffId(String createTrainStaffId) {
        this.createTrainStaffId = createTrainStaffId;
    }

    public String getCreateTrainStaffName() {
        return createTrainStaffName;
    }

    public void setCreateTrainStaffName(String createTrainStaffName) {
        this.createTrainStaffName = createTrainStaffName;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getTrainSubmitFlag() {
        return trainSubmitFlag;
    }

    public void setTrainSubmitFlag(String trainSubmitFlag) {
        this.trainSubmitFlag = trainSubmitFlag;
    }

    public String getWorkerEntryTime() {
        return workerEntryTime;
    }

    public void setWorkerEntryTime(String workerEntryTime) {
        this.workerEntryTime = workerEntryTime;
    }

    public String getWorkerStaffId() {
        return workerStaffId;
    }

    public void setWorkerStaffId(String workerStaffId) {
        this.workerStaffId = workerStaffId;
    }

    public String getWorkerStaffName() {
        return workerStaffName;
    }

    public void setWorkerStaffName(String workerStaffName) {
        this.workerStaffName = workerStaffName;
    }

    public List<UserWeekListEntity> getUserWeekList() {
        return userWeekList;
    }

    public void setUserWeekList(List<UserWeekListEntity> userWeekList) {
        this.userWeekList = userWeekList;
    }

    public String getItemContent() {
        return itemContent;
    }

    public void setItemContent(String itemContent) {
        this.itemContent = itemContent;
    }

    public String getItemEvaluatedTime() {
        return itemEvaluatedTime;
    }

    public void setItemEvaluatedTime(String itemEvaluatedTime) {
        this.itemEvaluatedTime = itemEvaluatedTime;
    }

    public String getMentroEvaluationFlag() {
        return mentroEvaluationFlag;
    }

    public void setMentroEvaluationFlag(String mentroEvaluationFlag) {
        this.mentroEvaluationFlag = mentroEvaluationFlag;
    }

    public String getManagerStaffId() {
        return managerStaffId;
    }

    public void setManagerStaffId(String managerStaffId) {
        this.managerStaffId = managerStaffId;
    }

    public String getOfficeEvaluatedTime() {
        return officeEvaluatedTime;
    }

    public void setOfficeEvaluatedTime(String officeEvaluatedTime) {
        this.officeEvaluatedTime = officeEvaluatedTime;
    }

    public String getOfficeEvaluation() {
        return officeEvaluation;
    }

    public void setOfficeEvaluation(String officeEvaluation) {
        this.officeEvaluation = officeEvaluation;
    }

    public String getOfficeStaffId() {
        return officeStaffId;
    }

    public void setOfficeStaffId(String officeStaffId) {
        this.officeStaffId = officeStaffId;
    }

    public String getTrainMentorStaffId() {
        return trainMentorStaffId;
    }

    public void setTrainMentorStaffId(String trainMentorStaffId) {
        this.trainMentorStaffId = trainMentorStaffId;
    }

    public String getTrainMentorStaffName() {
        return trainMentorStaffName;
    }

    public void setTrainMentorStaffName(String trainMentorStaffName) {
        this.trainMentorStaffName = trainMentorStaffName;
    }

    public String getManagerEvaluation() {
        return managerEvaluation;
    }

    public void setManagerEvaluation(String managerEvaluation) {
        this.managerEvaluation = managerEvaluation;
    }

    public String getManagerWithTrainTime() {
        return managerWithTrainTime;
    }

    public void setManagerWithTrainTime(String managerWithTrainTime) {
        this.managerWithTrainTime = managerWithTrainTime;
    }
}