package com.wgmf.yxgj.module.business.employability.newworkertrain.service.util;

/**
 * 业务异常
 * @author yuanli 
 * @date 2018年8月8日 下午1:36:00
 */
public class MktException extends RuntimeException {
	private static final long serialVersionUID = 3025083913230467114L;

	protected String code;

	public MktException() {
		super();
	}

	public MktException(String message) {
		super(message);
	}

	public MktException(String code, String message) {
		super(message);
		this.code = code;
	}

	public MktException(Throwable cause) {
		super(cause);
	}

	public MktException(String message, Throwable cause) {
		super(message, cause);
	}

	public MktException(String code, String message, Throwable cause) {
		super(message, cause);
		this.code = code;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
