package com.wgmf.yxgj.module.business.employability.newworkertrain.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.library.utils.StringUtil;
import com.wgmf.yxgj.module.business.employability.R;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.NewWorkerTrainUserEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.UserWeekListEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.WeekItemListEntity;

import java.util.List;

@SuppressWarnings("all")
public class NewWorkerTrainEditChildAdapter5 extends BaseAdapter {
    private int index;
    private boolean modify;
    private Context context;
    private String trainMentorStaffId;
    private NewWorkerTrainUserEntity weekItemListEntities = new NewWorkerTrainUserEntity();

    public void setData(NewWorkerTrainUserEntity weekItemListEntities, int index) {
        this.index = index;
        this.weekItemListEntities = weekItemListEntities;
    }

    public NewWorkerTrainEditChildAdapter5(Context context, String trainMentorStaffId, NewWorkerTrainUserEntity weekItemListEntities) {
        this.context = context;
        this.trainMentorStaffId = trainMentorStaffId;
        this.weekItemListEntities = weekItemListEntities;
    }

    public List<WeekItemListEntity> getUploadData() {
        return weekItemListEntities.getUserWeekList().get(index).getWeekItemList();
    }

    @Override
    public int getCount() {
        return 1;
    }

    @Override
    public Object getItem(int position) {
        return position;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    class ViewHolder {
        TextView newWorkerTrainEvaluateNameTv;
        TextView newWorkerTrainTaskCompleteTv;
        TextView newWorkerTrainTaskRateTv;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup arg2) {
        final ViewHolder holder = new ViewHolder();
        convertView = LayoutInflater.from(context).inflate(R.layout.new_worker_train_edit_task_item2, null);
        holder.newWorkerTrainEvaluateNameTv = (TextView) convertView.findViewById(R.id.new_worker_train_evaluate_task_content_tv);
        holder.newWorkerTrainTaskCompleteTv = (TextView) convertView.findViewById(R.id.new_worker_train_task_complete_tv);
        holder.newWorkerTrainTaskRateTv = (TextView) convertView.findViewById(R.id.new_worker_train_task_rate_tv);
        convertView.setTag(holder);
        final UserWeekListEntity data = weekItemListEntities.getUserWeekList().get(index);
        //个人业绩目标
        holder.newWorkerTrainEvaluateNameTv.setText(data.getWorkerTrainTaskWirte().getTaskContent());
        holder.newWorkerTrainTaskCompleteTv.setText(data.getWorkerTrainTaskWirte().getCompleteValue());
        if (StringUtil.isNotNullAndNotEmpty(data.getWorkerTrainTaskWirte().getCompleteRate())) {
            holder.newWorkerTrainTaskRateTv.setText(data.getWorkerTrainTaskWirte().getCompleteRate());
        }
        return convertView;
    }
}