package com.wgmf.yxgj.module.business.manageproduct.model;

import com.wgmf.yxgj.model.CommonUserinfoBean;

import java.io.Serializable;
import java.util.List;

/**
 * ReturnInfo«TransferredInAndOutDetail» {
 * msgCode (integer, optional): 0 操作成功，1 操作失败 ,
 * msgContent (string, optional): 操作错误信息提示 ,
 * result (TransferredInAndOutDetail, optional): 返回的数据对象 ,
 * resultList (Array[TransferredInAndOutDetail], optional): 返回的数据集合 ,
 * sysCode (integer, optional): 0 系统正常，1系统异常 ,
 * sysContent (string, optional): 服务器异常错误信息提示
 * }
 * TransferredInAndOutDetail {
 * dbBillCode (string, optional): 调拨单编号 ,
 * distance (number, optional): 门店距离 ,
 * productTransferredInAndOutNumList (Array[ProductTransferredInAndOutNum], optional): 产品和数量 ,
 * sh (boolean, optional),
 * shDate (string, optional): 收货日期 ,
 * shUserName (string, optional): 收货人 ,
 * transferredInAndOutDate (string, optional): 调入调出时间 ,
 * transferredInStoreId (string, optional): 调入门店Id ,
 * transferredInStoreName (string, optional): 调入门店名称 ,
 * transferredOutStoreId (string, optional): 调出门店Id ,
 * transferredOutStoreName (string, optional): 调出门店名称 ,
 * transferredPerson (string, optional): 调拨人
 * }
 * ProductTransferredInAndOutNum {
 * fixedProduct (FixedProduct, optional): 产品-传 产品id,产品编码,产品价格,产品名称,产品单位,产品单位id ,
 * produceDate (string, optional): 生产日期 ,
 * productAmount (number, optional): 调入调出总价 ,
 * productBillCode (string, optional): 产品BillCode/资材调拨时用 ,
 * productSock (integer, optional): 产品库存 ,
 * sh (boolean, optional),
 * shDate (string, optional): 收货日期 ,
 * shUserName (string, optional): 收货人 ,
 * transferredInAndOutNum (number, optional): 调入调出数量
 * }
 * FixedProduct {
 * pdBillCode (string, optional): 盘点单号 ,
 * pdId (integer, optional): 盘点ID ,
 * proBrandID (integer, optional): 产品品牌ID 15 食补集 8 磨粉 ,
 * proBrandName (string, optional): 产品品牌名称 ,
 * proId (integer, optional): 产品ID ,
 * proIsDecimal (string, optional): 是否可以录小数 ,
 * productBigFatherType (string, optional): 产品大类父类 ,
 * productBigType (string, optional): 产品大类 ,
 * productBoxNum (number, optional): 产品箱装数量 ,
 * productCd (string, optional): 产品是否可冲顶 ,
 * productCode (string, optional): 产品编码 ,
 * productDh (string, optional): 产品是否可订货 ,
 * productImage (string, optional): 产品图片 ,
 * productName (string, optional): 产品名称 ,
 * productPack (number, optional): 产品规格 ,
 * productPd (string, optional): 产品是否可盘点 ,
 * productPrice (string, optional): 产品价格 ,
 * productSc (string, optional): 产品是否可试吃 ,
 * productStatus (string, optional): 产品状态 ,
 * productType (string, optional): 产品类别 ,
 * productUnit (string, optional): 产品单位 ,
 * productUnitId (integer, optional): 产品单位id ,
 * productXs (string, optional): 产品是否可销售
 * }
 */
@SuppressWarnings("all")
public class ProductTransferredInAndOutNumLists implements Serializable {
    private List<ProductTransferredInAndOutNumListEntity> productTransferredInAndOutNumList;

    private String distance;

    private String transferredInOrOutDate;

    private boolean sh;

    private String shDate;

    private String shUserName;

    private String dbReason;

    private String dbBillCode;

    private int dbId;

    private String transferredInAndOutDate;

    private String transferredInStoreId;

    private String transferredInStoreName;

    private String transferredOutStoreId;

    private String transferredOutStoreName;

    private String transferredPerson;

    private String transferredReason;

    private CommonUserinfoBean userInfo;

    public void setProductTransferredInAndOutNumList(List<ProductTransferredInAndOutNumListEntity> productTransferredInAndOutNumList) {
        this.productTransferredInAndOutNumList = productTransferredInAndOutNumList;
    }

    public List<ProductTransferredInAndOutNumListEntity> getProductTransferredInAndOutNumList() {
        return this.productTransferredInAndOutNumList;
    }

    public void setTransferredInOrOutDate(String transferredInOrOutDate) {
        this.transferredInOrOutDate = transferredInOrOutDate;
    }

    public String getTransferredInAndOutDate() {
        return transferredInAndOutDate;
    }

    public void setTransferredInStoreId(String transferredInStoreId) {
        this.transferredInStoreId = transferredInStoreId;
    }

    public void setTransferredOutStoreId(String transferredOutStoreId) {
        this.transferredOutStoreId = transferredOutStoreId;
    }

    public CommonUserinfoBean getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(CommonUserinfoBean userInfo) {
        this.userInfo = userInfo;
    }

    public String getTransferredInStoreName() {
        return transferredInStoreName;
    }

    public String getTransferredOutStoreName() {
        return transferredOutStoreName;
    }

    public String getTransferredPerson() {
        return transferredPerson;
    }

    public String getTransferredInOrOutDate() {
        return transferredInOrOutDate;
    }

    public void setTransferredInAndOutDate(String transferredInAndOutDate) {
        this.transferredInAndOutDate = transferredInAndOutDate;
    }

    public String getTransferredInStoreId() {
        return transferredInStoreId;
    }

    public void setTransferredInStoreName(String transferredInStoreName) {
        this.transferredInStoreName = transferredInStoreName;
    }

    public String getTransferredOutStoreId() {
        return transferredOutStoreId;
    }

    public void setTransferredOutStoreName(String transferredOutStoreName) {
        this.transferredOutStoreName = transferredOutStoreName;
    }

    public void setTransferredPerson(String transferredPerson) {
        this.transferredPerson = transferredPerson;
    }

    public String getTransferredReason() {
        return transferredReason;
    }

    public void setTransferredReason(String transferredReason) {
        this.transferredReason = transferredReason;
    }

    public String getDistance() {
        return distance;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public boolean isSh() {
        return sh;
    }

    public void setSh(boolean sh) {
        this.sh = sh;
    }

    public String getShDate() {
        return shDate;
    }

    public void setShDate(String shDate) {
        this.shDate = shDate;
    }

    public String getShUserName() {
        return shUserName;
    }

    public void setShUserName(String shUserName) {
        this.shUserName = shUserName;
    }

    public String getDbReason() {
        return dbReason;
    }

    public void setDbReason(String dbReason) {
        this.dbReason = dbReason;
    }

    public String getDbBillCode() {
        return dbBillCode;
    }

    public void setDbBillCode(String dbBillCode) {
        this.dbBillCode = dbBillCode;
    }

    public int getDbId() {
        return dbId;
    }

    public void setDbId(int dbId) {
        this.dbId = dbId;
    }
}