package com.wgmf.yxgj.module.business.manageproduct.model;

import com.wgmf.yxgj.publics.model.Shop;

/**
 * shop (Shop, optional): 门店 ,
 * transferredInAmount (number, optional): 调入金额 ,
 * transferredInNum (number, optional): 调入数量 ,
 * transferredOutAmount (number, optional): 调出金额 ,
 * transferredOutNum (number, optional): 调出数量
 * transferredInOutFlag (integer, optional): 调入调出标识 ：0表示有调入调出,1无调入调出 ,
 *
 * @author XiePing on 2016/11/30 10:41
 */
public class ProductTransferredInAndOutShopEntity {
    private Shop shop;

    private String transferredInAmount;

    private String transferredInNum;

    private String transferredOutAmount;

    private String transferredOutNum;

    private int transferredInOutFlag;

    public void setShop(Shop shop) {
        this.shop = shop;
    }

    public Shop getShop() {
        return this.shop;
    }

    public void setTransferredInAmount(String transferredInAmount) {
        this.transferredInAmount = transferredInAmount;
    }

    public String getTransferredInAmount() {
        return this.transferredInAmount;
    }

    public void setTransferredInNum(String transferredInNum) {
        this.transferredInNum = transferredInNum;
    }

    public String getTransferredInNum() {
        return this.transferredInNum;
    }

    public void setTransferredOutAmount(String transferredOutAmount) {
        this.transferredOutAmount = transferredOutAmount;
    }

    public String getTransferredOutAmount() {
        return this.transferredOutAmount;
    }

    public void setTransferredOutNum(String transferredOutNum) {
        this.transferredOutNum = transferredOutNum;
    }

    public String getTransferredOutNum() {
        return this.transferredOutNum;
    }

    public Integer getTransferredInOutFlag() {
        return transferredInOutFlag;
    }

    public void setTransferredInOutFlag(int transferredInOutFlag) {
        this.transferredInOutFlag = transferredInOutFlag;
    }
}
