package com.wgmf.yxgj.module.business.manageproduct.model;

import com.xp.pro.imagepickerlib.bean.ImageItem;

import java.util.ArrayList;

/**
 * deductMarks (number, optional): 扣分 ,
 * diffAmount (number, optional): 本期盈亏金额 ,
 * pdAmount (number, optional): 实盘总金额 ,
 * pdBillCode (string, optional): 实盘总金额 ,
 * pdId (integer, optional): 盘点id ,
 * checkFlag (string, optional): 1,未盘点;2,已盘点;3,生效;4,不可盘点 ,
 * storeName (string, optional): 门店名称 ,
 * storeNo (string, optional): 门店编号
 *
 * @author XiePing on 2016/10/14 10:39
 */
public class StockGoodsCheckList {

    private boolean isOpen;

    private double diffAmount;

    private double pdAmount;

    private double pdNum;

    private String pdBillCode;

    private int pdId;

    private double deductMarks;

    private int checkFlag;

    private String pdState;

    private String storeName;

    private String storeNo;
    /**
     * isOrNotUpdateFlag (string, optional):是否可以修改盘点按钮:1可修改/2不可修改 ,
     */
    private String isOrNotUpdateFlag;
    /**
     * isOrNotUpdateFlag (string, optional):盘点不可修改原因描述,
     */
    private String notUpdateReasonDesc;
    /**
     * inventoryImages (string, optional):盘点图片,
     */
    private String inventoryImages;

    private ArrayList<ImageItem> storeImageselectList = new ArrayList<>();

    public void setDiffAmount(double diffAmount) {
        this.diffAmount = diffAmount;
    }

    public double getDiffAmount() {
        return this.diffAmount;
    }

    public void setPdAmount(double pdAmount) {
        this.pdAmount = pdAmount;
    }

    public double getPdAmount() {
        return this.pdAmount;
    }

    public void setPdBillCode(String pdBillCode) {
        this.pdBillCode = pdBillCode;
    }

    public String getPdBillCode() {
        return this.pdBillCode;
    }

    public void setPdId(int pdId) {
        this.pdId = pdId;
    }

    public int getPdId() {
        return this.pdId;
    }

    public void setDeductMarks(double deductMarks) {
        this.deductMarks = deductMarks;
    }

    public double getDeductMarks() {
        return this.deductMarks;
    }

    public int getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(int checkFlag) {
        this.checkFlag = checkFlag;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreName() {
        return this.storeName;
    }

    public void setStoreNo(String storeNo) {
        this.storeNo = storeNo;
    }

    public String getStoreNo() {
        return this.storeNo;
    }

    public double getPdNum() {
        return pdNum;
    }

    public void setPdNum(double pdNum) {
        this.pdNum = pdNum;
    }

    public String getPdState() {
        return pdState;
    }

    public void setPdState(String pdState) {
        this.pdState = pdState;
    }

    public String getIsOrNotUpdateFlag() {
        return isOrNotUpdateFlag;
    }

    public void setIsOrNotUpdateFlag(String isOrNotUpdateFlag) {
        this.isOrNotUpdateFlag = isOrNotUpdateFlag;
    }

    public String getNotUpdateReasonDesc() {
        return notUpdateReasonDesc;
    }

    public void setNotUpdateReasonDesc(String notUpdateReasonDesc) {
        this.notUpdateReasonDesc = notUpdateReasonDesc;
    }

    public String getInventoryImages() {
        return inventoryImages;
    }

    public void setInventoryImages(String inventoryImages) {
        this.inventoryImages = inventoryImages;
    }

    public ArrayList<ImageItem> getStoreImageselectList() {
        return storeImageselectList;
    }

    public void setStoreImageselectList(ArrayList<ImageItem> storeImageselectList) {
        this.storeImageselectList = storeImageselectList;
    }

    public boolean isOpen() {
        return isOpen;
    }

    public void setOpen(boolean open) {
        isOpen = open;
    }
}