//package com.wgmf.yxgj.module.business.manageproduct.ui;
//
//import android.content.Context;
//import android.support.v7.widget.RecyclerView;
//import android.text.TextUtils;
//import android.view.LayoutInflater;
//import android.view.View;
//import android.view.ViewGroup;
//import android.widget.LinearLayout;
//import android.widget.TextView;
//
//import com.wgmf.library.utils.DateUtil;
//import com.wgmf.yxgj.dialog.AdDialog;
//import com.wgmf.yxgj.module.business.manageproduct.R;
//import com.wgmf.yxgj.module.business.manageproduct.model.ProductAndSuggestOrderGoodsList;
//
//import org.greenrobot.eventbus.EventBus;
//
//import java.util.ArrayList;
//import java.util.Date;
//import java.util.List;
//
///**
// * 订货审核产品列表适配器
// *
// * @author XiePing
// */
//class GoodsAuditingAddProductsAdapter extends RecyclerView.Adapter<GoodsAuditingAddProductsAdapter.ViewHolder> {
//
//    private Context context;
//    private List<ProductAndSuggestOrderGoodsList> list;
//    /**
//     * 选中的产品数据
//     */
//    private List<ProductAndSuggestOrderGoodsList> checkedList = new ArrayList<>();
//
//    GoodsAuditingAddProductsAdapter(Context context, List<ProductAndSuggestOrderGoodsList> list) {
//        this.context = context;
//        this.list = list;
//    }
//
//    @Override
//    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
//        return new ViewHolder(LayoutInflater.from(parent.getContext()).inflate(R.layout.list_item_add_chioce_view, parent, false));
//    }
//
//    @Override
//    public void onBindViewHolder(final ViewHolder holder, final int pos) {
//        final ProductAndSuggestOrderGoodsList item = list.get(pos);
//        if (null != item.getFixedProduct()) {
//            if (item.getFixedProduct().isChoice()) {
//                holder.choice.setBackgroundResource(R.drawable.square_orange);
//            } else {
//                holder.choice.setBackgroundResource(R.drawable.square_gray);
//            }
//            holder.name.setText(item.getFixedProduct().getProductName());
//            if (!TextUtils.isEmpty(item.getFixedProduct().getProductImage())) {
//                holder.img.setVisibility(View.VISIBLE);
//            } else {
//                holder.img.setVisibility(View.GONE);
//            }
//            holder.choice.setOnClickListener(new View.OnClickListener() {
//                @Override
//                public void onClick(View v) {
//                    checkStatus(!item.getFixedProduct().isChoice(), holder, item, pos);
//                }
//            });
//            holder.img.setOnClickListener(new View.OnClickListener() {
//                @Override
//                public void onClick(View v) {
//                    showAdDialog(context, item.getFixedProduct().getProductImage());
//                }
//            });
//        }
//    }
//
//    @Override
//    public int getItemCount() {
//        return list.size();
//    }
//
//    class ViewHolder extends RecyclerView.ViewHolder {
//        TextView name;
//        TextView choice;
//        TextView img;
//        LinearLayout addItemRl;
//
//        ViewHolder(View itemView) {
//            super(itemView);
//            name = (TextView) itemView.findViewById(R.id.content_text);
//            choice = (TextView) itemView.findViewById(R.id.content_choice);
//            img = (TextView) itemView.findViewById(R.id.content_img);
//            addItemRl = (LinearLayout) itemView.findViewById(R.id.list_item_check_ll);
//        }
//    }
//
//    private void checkStatus(boolean isChecked, ViewHolder holder, ProductAndSuggestOrderGoodsList item, int position) {
//        if (isChecked) {
//            holder.choice.setBackgroundResource(R.drawable.square_orange);
//            item.getFixedProduct().setChoice(true);
//        } else {
//            holder.choice.setBackgroundResource(R.drawable.square_gray);
//            item.getFixedProduct().setChoice(false);
//        }
//        item.setCreateTime(DateUtil.getMillis(new Date()));
//        checkedList.add(list.get(position));
//        EventBus.getDefault().post(checkedList);
//    }
//
//    /**
//     * 弹出图片弹窗
//     *
//     */
//    private void showAdDialog(Context context, String adInfo) {
//        final AdDialog adDialog = new AdDialog(context, adInfo);
//        //点击空白区域能不能退出
//        adDialog.setCanceledOnTouchOutside(false);
//        //按返回键能能退出
//        adDialog.setCancelable(true);
//        adDialog.setClickLink(adInfo);
//        adDialog.setLinkType("url");
//        adDialog.show();
//    }
//}