//package com.wgmf.yxgj.module.business.manageproduct.ui;
//
//import android.content.Intent;
//import android.os.Bundle;
//import android.util.Log;
//import android.view.View;
//import android.view.View.OnClickListener;
//import android.widget.Button;
//import android.widget.TextView;
//
//import com.google.gson.Gson;
//import com.wgmf.library.base.BaseResponse;
//import com.wgmf.library.base.ResultData;
//import com.wgmf.yxgj.base.BaseParentAct;
//import com.wgmf.yxgj.config.BusinessID;
//import com.wgmf.yxgj.db.GreenDaoManager;
//import com.wgmf.yxgj.db.OrderGoodsAuditDetailDao;
//import com.wgmf.yxgj.global.ConstantParams;
//import com.wgmf.yxgj.global.NetworkParams;
//import com.wgmf.yxgj.model.OrderGoodsAuditDetail;
//import com.wgmf.yxgj.model.OrderGoodsStoreWeekDayAndCycle;
//import com.wgmf.yxgj.module.business.manageproduct.R;
//import com.wgmf.yxgj.module.business.manageproduct.model.OrderGoodsAuditDetailListEntity;
//import com.wgmf.yxgj.module.business.manageproduct.model.OrderGoodsAuditDetailUploadListEntity;
//import com.wgmf.yxgj.module.business.manageproduct.model.OrderGoodsAuditEntity;
//import com.wgmf.yxgj.module.business.manageproduct.service.GoodsManagerService;
//import com.wgmf.yxgj.pop.PublicThreeSecondsPop;
//import com.wgmf.yxgj.widgets.ListView.SlideDeleteListView;
//
//import org.greenrobot.eventbus.EventBus;
//import org.greenrobot.eventbus.Subscribe;
//
//import java.util.ArrayList;
//import java.util.List;
//
//
//@SuppressWarnings("all")
//public class GoodsAuditingDetailsActivity extends BaseParentAct implements View.OnClickListener, PublicThreeSecondsPop.ThreeSecondsPopListener, GoodsAuditingDetailsAdapter.CountFocusChangeListener {
//    private GoodsAuditingDetailsAdapter adapter;
//    private List<OrderGoodsAuditDetail> list = new ArrayList<>();
//    private OrderGoodsAuditEntity mOrderGoodsAuditEntity = new OrderGoodsAuditEntity();
//    /**
//     * 订货审核状态数据
//     */
//    private SlideDeleteListView slv;
//    private Button submit;
//    private Button salesCont;
//    /**
//     * 订货审核id
//     */
//    private int orderGoodsAuditId;
//
//    private OrderGoodsAuditDetailDao mOrderGoodsAuditDetailDao;
//
//    @Override
//    protected void onCreate(Bundle savedInstanceState) {
//        super.onCreate(savedInstanceState);
//        setContentView(R.layout.activity_goods_auditing_detail);
//        initTitle();
//        initContet();
//        initListener();
//        getShopData();
//    }
//
//    @Override
//    public void initTitle() {
//        super.initTitle();
//        String branchTitle = getIntent().getStringExtra("branchTitle");
//        homeTitleText.setText(branchTitle);
//        homeTitleMoreLl.setVisibility(View.INVISIBLE);
//        homeTitleBackLl.setVisibility(View.VISIBLE);
//    }
//
//    private void getShopData() {
//        showDialog();
//        if (null != userInfo) {
//            orderGoodsAuditId = mOrderGoodsAuditEntity.getOrderGoodsAuditId();
//            GoodsManagerService.getInstance().requestFindOrderGoodsAuditDeatil(orderGoodsAuditId + "", GoodsAuditingDetailsActivity.this);
//        }
//    }
//
//    private void initContet() {
//        EventBus.getDefault().register(this);
//        mOrderGoodsAuditEntity = (OrderGoodsAuditEntity) getIntent().getSerializableExtra("mOrderGoodsAuditEntity");
//        //将需要审核的信息存入数据库
//        mOrderGoodsAuditDetailDao = GreenDaoManager.getInstance().getDaoSession(this).getOrderGoodsAuditDetailDao();
//        mOrderGoodsAuditDetailDao.deleteAll();
//        slv = (SlideDeleteListView) findViewById(R.id.listview);
//        TextView dataEmpty = (TextView) findViewById(R.id.public_list_view_empty_tv);
//        slv.setEmptyView(dataEmpty);
//
//        View headerView = getLayoutInflater().inflate(
//                R.layout.second_auditing_goods_item, null);
//        slv.addHeaderView(headerView);
//
//        salesCont = (Button) findViewById(R.id.sales_cont);
//        submit = (Button) findViewById(R.id.submit);
//        salesCont.setVisibility(View.GONE);
//        submit.setVisibility(View.GONE);
//        adapter = new GoodsAuditingDetailsAdapter(list, GoodsAuditingDetailsActivity.this, this);
//        slv.setAdapter(adapter);
//        slv.setOnRemovedListener(new SlideDeleteListView.OnRemovedListener() {
//            @Override
//            public void onRemoveItem(int position) {
//                try {
//                    if (list.get(position - 1).getType() == 1) {
//                        mOrderGoodsAuditDetailDao.deleteByKey(list.get(position - 1).getProductId());
//                    } else {
//                        showMsg("不能删除该条数据！");
//                    }
//                } catch (Exception e) {
//                    Log.e(TAG, "数据库出错");
//                }
//                list = mOrderGoodsAuditDetailDao.loadAll();
//                adapter = new GoodsAuditingDetailsAdapter(list, GoodsAuditingDetailsActivity.this, GoodsAuditingDetailsActivity.this);
//                slv.setAdapter(adapter);
//            }
//        });
//        parseHeadData();
//    }
//
//    private void parseHeadData() {
//        TextView store = (TextView) findViewById(R.id.auditing_store);
//        TextView itemCount = (TextView) findViewById(R.id.pingxiang_dnum);
//        TextView amount = (TextView) findViewById(R.id.auditing_price);
//        TextView lastSales = (TextView) findViewById(R.id.last_sales);
//        TextView date = (TextView) findViewById(R.id.auditing_date);
//        TextView bill = (TextView) findViewById(R.id.auditing_num);
//        TextView condition = (TextView) findViewById(R.id.auditing_condition);
//        TextView isExamine = (TextView) findViewById(R.id.is_examine);
//        TextView status = (TextView) findViewById(R.id.auditing_status);
//
//        store.setText(mOrderGoodsAuditEntity.getStoreName());
//        itemCount.setText("品项数  " + mOrderGoodsAuditEntity.getTypeNum() + "");
//        amount.setText("订货金额  ￥" + mOrderGoodsAuditEntity.getOrderGoodsAuditAmount() + "");
//        lastSales.setText("近30天销售  ￥" + mOrderGoodsAuditEntity.getSaleAmount() + "");
//        date.setText("制单日期  " + mOrderGoodsAuditEntity.getSetOrderDate() + "");
//        bill.setText("订单单号  " + mOrderGoodsAuditEntity.getOrderGoodsBillCode() + "'");
//        status.setText(mOrderGoodsAuditEntity.getOrderGoodsAuditState());
//        if (!"待审核".equals(mOrderGoodsAuditEntity.getOrderGoodsAuditState())) {
//            if (mOrderGoodsAuditEntity.getOrderGoodsAuditState().contains("作废")) {
//                status.setText("已作废");
//            } else {
//                status.setText("待复核");
//            }
//        }
//        isExamine.setVisibility(View.GONE);
//        condition.setVisibility(View.GONE);
//    }
//
//    /**
//     * 接口返回的订货明细实体
//     *
//     * @param item 订货明细
//     */
//    @Subscribe
//    public void onEventMainThread(OrderGoodsAuditDetailListEntity item) {
//        if (item != null && !item.getResultList().isEmpty()) {
//            //将接口返回的订货信息插入数据库
//            for (int i = 0; i < item.getResultList().size(); i++) {
//                item.getResultList().get(i).setUserNo(userInfo.getStaffId());
//                mOrderGoodsAuditDetailDao.insertOrReplaceInTx(item.getResultList().get(i));
//            }
//            list = mOrderGoodsAuditDetailDao.loadAll();
//            adapter = new GoodsAuditingDetailsAdapter(list, GoodsAuditingDetailsActivity.this, GoodsAuditingDetailsActivity.this);
//            slv.setAdapter(adapter);
//            boolean submitFlag = mOrderGoodsAuditEntity.isSubmitFlag();
//            if ("待审核".equals(mOrderGoodsAuditEntity.getOrderGoodsAuditState())) {
//                if (submitFlag) {
//                    salesCont.setVisibility(View.VISIBLE);
//                    submit.setVisibility(View.VISIBLE);
//                } else {
//                    salesCont.setVisibility(View.VISIBLE);
//                    salesCont.setText("不可审核");
//                    salesCont.setBackground(getResources().getDrawable(R.drawable.btn_gray_style));
//                    salesCont.setTextColor(getResources().getColor(R.color.divider_line_deep));
//                    salesCont.setOnClickListener(null);
//                }
//            }
//        }
//    }
//
//    /**
//     * 继续添加订货后返回的明细实体
//     *
//     * @param item 产品明细
//     */
//    @Subscribe
//    public void onEventMainThread(List<OrderGoodsAuditDetail> item) {
//        if (item != null && !item.isEmpty()) {
//            list = mOrderGoodsAuditDetailDao.loadAll();
//            adapter = new GoodsAuditingDetailsAdapter(list, GoodsAuditingDetailsActivity.this, GoodsAuditingDetailsActivity.this);
//            slv.setAdapter(adapter);
//        }
//    }
//
//    @Override
//    protected void onBusinessResultAtMainThread(ResultData result) {
//        super.onBusinessResultAtMainThread(result);
//        dismissDialog();
//        if (null != result) {
//            final int id = result.taskID;
//            switch (id) {
//                case BusinessID.GoodsManager.MSG_ON_FIND_ORDERGOODS_AUDIT_DEATIL: {
//                    final String msg = result.getInfo();
//                    if (result.isSuccessed()) {
//                        OrderGoodsAuditDetailListEntity mOrderGoodsAuditDetailListEntity = new Gson().fromJson(msg, OrderGoodsAuditDetailListEntity.class);
//                        Log.d(TAG, "mOrderGoodsAuditDetailListEntity=" + mOrderGoodsAuditDetailListEntity.toString());
//                        if (!mOrderGoodsAuditDetailListEntity.getResultList().isEmpty()) {
//                            //显示从接口返回的数据
//                            EventBus.getDefault().post(mOrderGoodsAuditDetailListEntity);
//                        }
//                    } else {
//                        showMsg(result.getResultInfo());
//                    }
//                }
//                break;
//                case BusinessID.GoodsManager.MSG_ON_SAVE_UPDATE_ORDERGOODS_AUDITIONS: {
//                    final String msg = result.getInfo();
//                    if (result.isSuccessed()) {
//                        BaseResponse mBaseResponse = new Gson().fromJson(msg, BaseResponse.class);
//                        Log.d(TAG, "mBaseResponse=" + mBaseResponse.toString());
//                        showMsg(mBaseResponse.retInfo);
//                        if (ConstantParams.CONSTANT_PARAMS_0.equals(mBaseResponse.retCode)) {
//                            //弹出提示进度条,等待OE返回
//                            showPopwindow();
//                        }
//                    } else {
//                        showMsg(result.getResultInfo());
//                    }
//                }
//                break;
//                default:
//                    break;
//            }
//        }
//    }
//
//    private void initListener() {
//        submit.setOnClickListener(this);
//        //继续添加订货
//        salesCont.setOnClickListener(new OnClickListener() {
//
//            @Override
//            public void onClick(View v) {
//                Intent intent = new Intent(GoodsAuditingDetailsActivity.this, GoodsAuditingAddProductsActivity.class);
//                intent.putExtra("orderGoodsAuditId", orderGoodsAuditId);
//                intent.putExtra("storeNo", getIntent().getStringExtra("storeNo"));
//                intent.putExtra("orderBrandId", getIntent().getStringExtra("orderBrandId"));
//                intent.putExtra("type", "DH");
//                startActivity(intent);
//            }
//        });
//    }
//
//    /**
//     * 上传订货审核数据
//     */
//    private void uploadCommitOper() {
//        showDialog();
//        setDialogCancel(false, false);
//        for (int i = 0; i < list.size(); i++) {
//            OrderGoodsStoreWeekDayAndCycle mOrderGoodsStoreWeekDayAndCycle = new OrderGoodsStoreWeekDayAndCycle();
//            mOrderGoodsStoreWeekDayAndCycle.setOrderGoodsCycle(mOrderGoodsAuditEntity.getOrderGoodsCycle());
//            mOrderGoodsStoreWeekDayAndCycle.setOrderGoodsWeekDay(mOrderGoodsAuditEntity.getOrderGoodsWeekDay());
//            list.get(i).setOrderGoodsStoreWeekDayAndCycle(mOrderGoodsStoreWeekDayAndCycle);
//        }
//
//        OrderGoodsAuditDetailUploadListEntity mOrderGoodsAuditDetailUploadListEntity = new OrderGoodsAuditDetailUploadListEntity();
//        mOrderGoodsAuditDetailUploadListEntity.setOrderGoodsAuditDetailList(list);
//        String content = new Gson().toJson(mOrderGoodsAuditDetailUploadListEntity);
//
//        Log.d(TAG, content);
//        GoodsManagerService.getInstance().requestSaveUpdateOrderGoodsAuditions(content, GoodsAuditingDetailsActivity.this);
//    }
//
//
//    @Override
//    public void onDestroy() {
//        super.onDestroy();
//        EventBus.getDefault().unregister(this);
//    }
//
//    /**
//     * 弹出延时窗
//     */
//    private void showPopwindow() {
//        PublicThreeSecondsPop publicThreeSecondsPop = new PublicThreeSecondsPop(this, this);
//        if (!publicThreeSecondsPop.isShowing()) {
//            publicThreeSecondsPop.show(this.findViewById(R.id.title));
//        }
//    }
//
//    @Override
//    public void onTimingFinish() {
//        GoodsAuditingDetailsActivity.this.finish();
//    }
//
//    /**
//     * 提交按钮变化
//     */
//    private void listviewChange() {
//        int invalidCount = 0;
//        for (OrderGoodsAuditDetail p : list) {
//            if (p.getInvalid() && !p.getSecondValid()) {
//                invalidCount++;
//            }
//        }
//        if (invalidCount > 0) {
//            submit.setOnClickListener(null);
//            submit.setTextColor(getResources().getColor(R.color.bg_color));
//            submit.setBackgroundResource(R.drawable.org_bg);
//        } else {
//            submit.setOnClickListener(this);
//            submit.setTextColor(getResources().getColor(R.color.normal_color));
//            submit.setBackgroundResource(R.drawable.selector_update_btn);
//        }
//    }
//
//    @Override
//    public void onOverMaxSuggestOrderGoodsNum() {
//        listviewChange();
//    }
//
//    @Override
//    public void onClick(View v) {
//        if (v.getId() == R.id.submit) {
//            if (list == null || list.size() == 0) {
//                return;
//            }
//            uploadCommitOper();//提交数据
//        }
//    }
//}