package com.wgmf.yxgj.module.business.manageproduct.ui

import android.content.Context
import android.os.Bundle
import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import android.widget.TextView
import com.alibaba.android.arouter.launcher.ARouter
import com.wgmf.yxgj.module.business.manageproduct.R
import com.wgmf.yxgj.module.business.manageproduct.model.NotOrderStoreList
import com.xp.arouter.RouterParams


/**
 * @author LW on 2021-9-15 0015
 * 订货审核门店列表标题适配器
 */
class GoodsAuditingShopListAdapter(
    private val context: Context,
    var dataList: List<NotOrderStoreList>?
) : RecyclerView.Adapter<GoodsAuditingShopListAdapter.GoodsAuditingShopListTitleHolder>() {

    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): GoodsAuditingShopListTitleHolder {
        return GoodsAuditingShopListTitleHolder(
            LayoutInflater.from(context)
                .inflate(R.layout.auditing_goods_shop_list_item, parent, false)
        )
    }

    override fun getItemCount(): Int {
        return dataList?.size ?: 0
    }

    override fun onBindViewHolder(holder: GoodsAuditingShopListTitleHolder, position: Int) {
        val item = dataList?.get(position)
        holder.apply {
            tvAuditingStore.text = item?.shopName
            llAuditingStoreItemRoot.setOnClickListener {
                /*
                ARouter.getInstance().build(RouterParams.URL_ORDERGOODSSUBMITACT)
                        .with(Bundle().apply {
                            putString("shopId", item?.shopId)
                            putString("shopName", item?.shopName)
                        })
                        .navigation()
                 */
            }
        }
    }

    class GoodsAuditingShopListTitleHolder(view: View) : RecyclerView.ViewHolder(view) {
        val llAuditingStoreItemRoot: LinearLayout = view.findViewById(R.id.ll_auditing_store_item_root)
        val tvAuditingStore: TextView = view.findViewById(R.id.tv_auditing_store)
    }
}