package com.wgmf.yxgj.module.business.manageproduct.ui

import com.wgmf.yxgj.module.business.manageproduct.model.DingHuoOplQtyEntity
import java.lang.ref.WeakReference

/**
 * @author Sasuke on 2018/4/16.
 *  订货提交时，校验6方数量是否符合规则
 *  （每一组数量必须是6的倍数）
 */
fun checkNumLimit(list: List<DingHuoOplQtyEntity.DinghuoDetail>?): Boolean {
    val ref = WeakReference<List<DingHuoOplQtyEntity.DinghuoDetail>>(list)
//            val dahuo = ref?.get()?.sumByDouble { if (it.itemid in DAHUO && it.tqty > 0) it.tqty else 0.0 } ?:0.0
    val cengdie = ref?.get()?.sumByDouble { if (it.itemid in CENGDIE && it.tqty > 0) it.tqty else 0.0 }?: 0.0
    val youji = ref?.get()?.sumByDouble { if (it.itemid in YOUJI && it.tqty > 0) it.tqty else 0.0 }?: 0.0

    arrayOf(/*dahuo,*/cengdie, youji).forEach {
        if (it != 0.0 && it % 6 != 0.0) {
            return false
        }
    }
    return true
}

/**精准六方大货*/
val DAHUO = listOf<String>(
        "2.40226", //阿胶谷物营养餐（桃花颜）
        "2.40227", //红薏米谷物营养餐（湿旡踪）
        "2.40228", //奇亚籽谷物营养餐（小天才）
        "2.40229", //紫米谷物营养餐（小幸孕）
        "2.40230", //黑枸杞谷物营养餐（黑色派）
        "2.40231" //青稞谷物营养餐（长辈福）
)

/**精准六方层叠装*/
val CENGDIE = listOf<String>(
        "2.40232", //阿胶谷物营养餐（层叠装）
        "2.40233", //红薏米谷物营养餐（层叠装）
        "2.40234", //奇亚籽谷物营养餐（层叠装）
        "2.40235", //紫米谷物营养餐（层叠装）
        "2.40236", //黑枸杞谷物营养餐（层叠装）
        "2.40237" //青稞谷物营养餐（层叠装）
)

/**有机六方*/
val YOUJI = listOf<String>(
        "2.40183", //黑芝麻南瓜籽仁谷物套餐
        "2.40184", //红豆薏米谷物套餐
        "2.40185", //黑芝麻黑米谷物套餐
        "2.40186", //山药南瓜籽仁谷物套餐
        "2.40187", //红枣薏米谷物套餐
        "2.40188" //山药小米谷物套餐
)