package com.wgmf.yxgj.module.business.managesales.model;

import com.wgmf.library.base.BaseResponse;

import java.io.Serializable;
import java.util.List;

/**
 * 作者：xiep on 2017/3/9 14:17
 * 邮箱：2975837870@qq.com
 * <p>
 * ReturnInfo«SaleForecastGroup» {
 * msgCode (integer, optional): 0 操作成功，1 操作失败 ,
 * msgContent (string, optional): 操作错误信息提示 ,
 * result (SaleForecastGroup, optional): 返回的数据对象 ,
 * resultList (Array[SaleForecastGroup], optional): 返回的数据集合 ,
 * sysCode (integer, optional): 0 系统正常，1系统异常 ,
 * sysContent (string, optional): 服务器异常错误信息提示
 * }
 * SaleForecastGroup {
 * saleForecast (SaleForecast, optional): 销售预测 ,
 * saleForecastProductList (Array[SaleForecastProduct], optional): 销售预测产品 ,
 * saleForecastSaleTask (number, optional): 当月的销售目标 ,
 * writeOrUpdateSaleForecastFlag (string, optional): 是否可以填写和更改表示 ‘0’ 标识不可以 ；‘1’ 表示可以
 * }
 * SaleForecast {
 * id (integer, optional),
 * saleFCUserId (string, optional): 添加预测人 ,
 * saleFcAddTime (string, optional): 添加时间 ,
 * saleFcUpdateTime (string, optional): 更新时间 ,
 * saleFcYearMonth (string, optional): 销售预测年月 ,
 * saleForeCastShopId (string, optional): 门店id ,
 * saleForecastAmount (number, optional): 销售预测金额 ,
 * saleForecastNumber (number, optional): 销售预测数量 ,
 * saleForecastProduct (Array[SaleForecastProduct], optional): 销售预测产品列表 ,
 * saleForecastProportion (number, optional): 销售预测产品的总占比（合计）
 * }
 * SaleForecastProduct {
 * id (integer, optional),
 * productOldSaleAccounting (number, optional): 产品原始销售占比 ,
 * productSaleAccounting (number, optional): 产品销售占比 ,
 * productSaleForecastNumber (number, optional): 产品销售数量 ,
 * saleFcProductName (string, optional): 产品名称 ,
 * saleFcProductNo (string, optional): 产品编号 ,
 * saleFcProductPrice (number, optional): 产品单价 ,
 * saleFcProductUnit (string, optional): 产品单位 ,
 * saleForecastId (integer, optional): 销售预测id ,
 * saleProductType (string, optional): 产品分类
 * }
 */

public class SaleForecastGroupEntity extends BaseResponse implements Serializable {
    private List<SaleForecastGroupResultlist> resultList;

    public List<SaleForecastGroupResultlist> getResultlist() {
        return resultList;
    }

    public void setResultlist(List<SaleForecastGroupResultlist> resultlist) {
        this.resultList = resultlist;
    }
}
