package com.wgmf.yxgj.module.business.managestaff.graph;

import com.wgmf.yxgj.graph.PerActivity;
import com.wgmf.yxgj.module.business.managestaff.ui.interview.InterviewAssessmentPresenter;
import com.wgmf.yxgj.module.business.managestaff.ui.interview.InterviewAssessmentView;

import dagger.Module;
import dagger.Provides;

/**
 * 作者：xiep on 2017/10/9 16:58
 * 邮箱：2975837870@qq.com
 */
@Module
public class InterviewModule {
    private final InterviewAssessmentView mView;

    public InterviewModule(InterviewAssessmentView view) {
        mView = view;
    }

    @PerActivity
    @Provides
    public InterviewAssessmentPresenter provideInterviewAssessmentPresenter() {
        return new InterviewAssessmentPresenter(mView);
    }
}
