package com.wgmf.yxgj.module.business.managestaff.graph;

import com.wgmf.yxgj.graph.PerActivity;
import com.wgmf.yxgj.module.business.managestaff.ui.staffinfo.StaffInfoPersenter;
import com.wgmf.yxgj.module.business.managestaff.ui.staffinfo.StaffInfoView;

import dagger.Module;
import dagger.Provides;

/**
 * 作者：xiep on 2017/9/11 15:01
 * 邮箱：2975837870@qq.com
 */
@Module
public class StaffInfoModule {
    private final StaffInfoView mView;

    public StaffInfoModule(StaffInfoView view) {
        mView = view;
    }

    @PerActivity
    @Provides
    public StaffInfoPersenter provideStaffInfoPersenter() {
        return new StaffInfoPersenter(mView);
    }
}
