package com.wgmf.yxgj.module.business.managestaff.model

import com.wgmf.yxgj.global.ConstantParams

/**
 * 在职/离职分配审核请求数据
 */
data class ResignOrWorkingAssignmentReviewRequest(
    val userLevel: String?,    //登录人等级
    val saleOrgId: String?,   //	登录人销售组织
    val staffStatus: Int,   //分配审核类型：0-在职分配,1-离职分配
    val page: Int,
    val size: Int = ConstantParams.CONSTANT_STARTS_20
)


/**
 * 在职分配审核提交请求数据
 */
data class WorkingAssignmentReviewSubmitRequest(
    val id: Int,
    val approvalStaffId: String?,  //	操作人工号
    val auditStatus: Int,  //	审核状态：2-审核通过,3-审核驳回
    val rejectReason: String?   //驳回原因
)

