package com.wgmf.yxgj.module.business.managestaff.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.wgmf.yxgj.model.BrandList;
import com.wgmf.yxgj.module.business.managestaff.R;

import java.util.List;

@SuppressWarnings("all")
public class BrandSelectAdapter extends BaseAdapter {
    private Context context;
    private List<BrandList> brandLists;

    BrandSelectAdapter(Context context, List<BrandList> brandLists) {
        this.context = context;
        this.brandLists = brandLists;
    }

    @Override
    public int getCount() {
        return brandLists.isEmpty() ? 0 : brandLists.size();
    }

    @Override
    public Object getItem(int position) {
        return brandLists.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        final ViewHolder viewHolder;
        convertView = null;
        if (convertView == null) {
            convertView = LayoutInflater.from(context).inflate(R.layout.list_item_add_chioce_view, null);
            viewHolder = new ViewHolder();
            viewHolder.addItemRl = (LinearLayout) convertView.findViewById(R.id.list_item_check_ll);
            viewHolder.name = (TextView) convertView.findViewById(R.id.content_text);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        final BrandList item = brandLists.get(position);
        viewHolder.name.setText(item.getBrandName());
        return convertView;
    }

    class ViewHolder {
        TextView name;
        LinearLayout addItemRl;
    }
}