package com.wgmf.yxgj.module.business.managestaff.ui.scheduling;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.managestaff.R;
import com.wgmf.yxgj.module.business.managestaff.model.NutConsultantScheduling;

import java.util.List;

/**
 * 作者：xiep on 2017/7/21 13:49
 * 邮箱：2975837870@qq.com
 */

class SchedulingThreeAndCurrentDayAdapter extends BaseAdapter {

    private List<NutConsultantScheduling> list;
    private Context context;

    SchedulingThreeAndCurrentDayAdapter(List<NutConsultantScheduling> mlist, Context context) {
        this.list = mlist;
        this.context = context;
    }

    @Override
    public int getCount() {

        return list == null ? 0 : list.size();
    }

    @Override
    public Object getItem(int position) {

        return list == null ? null : list.get(position);
    }

    @Override
    public long getItemId(int position) {

        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        final ViewHolder viewHolder;
        if (convertView == null) {
            convertView = LayoutInflater.from(context).inflate(R.layout.nutconsultant_scheduling_day_list_item, null);
            viewHolder = new ViewHolder();
            viewHolder.nutconsultantSchedulingSchedulingday = (TextView) convertView.findViewById(R.id.nutconsultant_scheduling_schedulingday_value);
            viewHolder.nutconsultantSchedulingSchedulingshopname = (TextView) convertView.findViewById(R.id.nutconsultant_scheduling_schedulingshopname_value);
            viewHolder.nutconsultantSchedulingPersonalsaletarget = (TextView) convertView.findViewById(R.id.nutconsultant_scheduling_personalsaletarget_value);
            viewHolder.nutconsultantSchedulingWorkshift = (TextView) convertView.findViewById(R.id.nutconsultant_scheduling_workshift_value);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        NutConsultantScheduling ent = list.get(position);
        viewHolder.nutconsultantSchedulingSchedulingday.setText(ent.getSchedulingDay());
        viewHolder.nutconsultantSchedulingSchedulingshopname.setText(ent.getSchedulingShopName());
        viewHolder.nutconsultantSchedulingPersonalsaletarget.setText("￥" + ent.getPersonalSaleTarget() + "");
        viewHolder.nutconsultantSchedulingWorkshift.setText(ent.getWorkShift());
        return convertView;
    }

    class ViewHolder {
        TextView nutconsultantSchedulingSchedulingday;
        TextView nutconsultantSchedulingSchedulingshopname;
        TextView nutconsultantSchedulingPersonalsaletarget;
        TextView nutconsultantSchedulingWorkshift;
    }
}
