package com.wgmf.yxgj.module.business.memberday.model;

import java.util.List;

/**
 * 作者：xiep on 2018/1/17 09:55
 * 邮箱：2975837870@qq.com
 * <p>
 * memDaySignImgList (Array[会员日签到签退图片], optional): 会员日签到签退图片 ,
 * orgId (integer, optional): 门店销售组织id ,
 * saleaCount (number, optional): 会员日销售金额 ,
 * shopId (string, optional): 门店id ,
 * shopName (string, optional): 门店名称 ,
 * signInTime (string, optional): 签到时间 ,
 * signOutTime (string, optional): 签退时间 ,
 * staffId (string, optional): 员工号 ,
 * status (integer, optional): 状态 0:已签到 1:打卡完成 ,
 * updateTime (string, optional): 创建或更新时间 ,
 * ym (string, optional): 会员日年月
 */

public class MemDaySignVoEntity {

    private String id;

    private int orgId;

    private String saleaCount;

    private String shopId;

    private String shopName;

    private String staffId;

    private int status;

    private String ymd;

    private String signInTime;

    private String signOutTime;

    private List<MemDaySignImgListEntity> memDaySignImgList;

    public int getOrgId() {
        return orgId;
    }

    public void setOrgId(int orgId) {
        this.orgId = orgId;
    }

    public String getSaleaCount() {
        return saleaCount;
    }

    public void setSaleaCount(String saleaCount) {
        this.saleaCount = saleaCount;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getYmd() {
        return ymd;
    }

    public void setYmd(String ymd) {
        this.ymd = ymd;
    }

    public String getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(String signInTime) {
        this.signInTime = signInTime;
    }

    public String getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(String signOutTime) {
        this.signOutTime = signOutTime;
    }

    public List<MemDaySignImgListEntity> getMemDaySignImgList() {
        return memDaySignImgList;
    }

    public void setMemDaySignImgList(List<MemDaySignImgListEntity> memDaySignImgList) {
        this.memDaySignImgList = memDaySignImgList;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}