package com.wgmf.yxgj.dialog;

import android.content.Context;
import android.os.Bundle;
import android.widget.ImageView;

import com.bumptech.glide.Glide;
import com.wgmf.yxgj.base.R;
import com.xp.pro.imagepickerlib.widgets.SafeDialog;

/**
 * @author xiep
 */
public class PublicDialogLoading extends SafeDialog {

    private Context context;

    public PublicDialogLoading(Context context) {
        super(context, R.style.dialog_logout);
        this.context=context;
        //这句代码设置这个对话框是否能被用户触摸取消掉
        setCanceledOnTouchOutside(false);
        //这句代码设置这个对话框是否能被用户按[返回键]而取消掉
        setCancelable(true);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.public_dialog_loading);

        ImageView  publicDialogLoadingIv= (ImageView) findViewById(R.id.public_dialog_loading_iv);
        Glide.with(context).load(R.drawable.img_loading).asGif().into(publicDialogLoadingIv);
    }

    /**
     *
     * @param cancelable false：不能取消
     */
    public void setDialogCancel(boolean canceledOnTouch,boolean cancelable){
        //这句代码设置这个对话框是否能被用户触摸取消掉
        setCanceledOnTouchOutside(canceledOnTouch);
        //这句代码设置这个对话框是否能被用户按[返回键]而取消掉
        setCancelable(cancelable);
    }
}