package com.wgmf.yxgj.global;

public class AppConstants {

    /**
     * 跳转链接类型
     */
    public static final class LinkType {

        public static final String URL = "url";

        public static final String NATIVE = "native";
    }

    /**
     * 用于Intent传值时的Extra_Key
     */
    public static final class ExtraKeys {
        /**
         * 配送单号产品数据
         */
        public static final String DISPATCH_PRODUCT_DATA = "DISPATCH_PRODUCT_DATA";

        /**
         * 配送单号角标
         */
        public static final String DISPATCH_PRODUCT_POS = "DISPATCH_PRODUCT_POS";

        /**
         * 配送单号类型
         */
        public static final String DISPATCH_PRODUCT_TYPE = "DISPATCH_PRODUCT_TYPE";

        /**
         * 反馈直通车CType类型
         */
        public static final String DISPATCH_PRODUCT_CTYPE = "DISPATCH_PRODUCT_CTYPE";

        /**
         * 自定义任务数据
         */
        public static final String CUSTOM_TASK_DATA = "CUSTOM_TASK_DATA";
        /**
         * 自定义任务数
         */
        public static final String CUSTOM_TASK_COUNT = "CUSTOM_TASK_COUNT";
        /**
         * 自定义详情
         */
        public static final String CUSTOM_TASK_DETAILS = "CUSTOM_TASK_DETAILS";

        /**
         * 员工离职审核数据
         */
        public static final String EMPLOYEE_DISSMISS_REVIEW = "EMPLOYEE_DIMISSION_REVIEW_DETAILS";

        /**
         * 离职员工名称
         */
        public static final String TURNOVER_EMPLOYEE_NAME = "EMPLOYEE_TURNOVER_NAME";

        /**
         * 离职员工工号
         */
        public static final String TURNOVER_EMPLOYEE_ID = "TURNOVER_EMPLOYEE_ID";

        /**
         * 员工离职记录数据
         */
        public static final String EMPLOYEE_DISSMISS_RECORDS = "EMPLOYEE_DISSMISS_RECORDS";

        /**
         * 员工名称
         */
        public static final String STAFF_NAME = "STAFF_NAME";

        /**
         * 员工工号
         */
        public static final String STAFF_ID = "STAFF_ID";

        /**
         * 门店ID
         */
        public static final String STORE_ID = "STORE_ID";

        /**
         * 门店名称
         */
        public static final String STORE_NAME = "STORE_NAME";

        /**
         * 标题
         */
        public static final String BRANCH_TITLE = "branchTitle";

        /**
         * 调拨原因
         */
        public static final String TRANSFER_REASON = "TRANSFER_REASON";

        /**
         * 调拨特殊原因
         */
        public static final String TRANSFER_REASON_REPLENISH = "TRANSFER_REASON_REPLENISH";

        /**
         * 企微顾客分配数据
         */
        public static final String QIWEI_CUSTOMERS_ASSIGNMENT = "QIWEI_CUSTOMERS_ASSIGNMENT";

        /**
         * 企微顾客分配数据Id
         */
        public static final String QIWEI_CUSTOMERS_ASSIGNMENT_ID = "QIWEI_CUSTOMERS_ASSIGNMENT_ID";

        /**
         * 企微顾客在职状态
         */
        public static final String CONSULTANT_WORKING_STATUS = "CONSULTANT_WORKING_STATUS";

        /**
         * 企微顾客分配记录数据
         */
        public static final String QIWEI_CUSTOMERS_ASSIGNMENT_RECORDS = "QIWEI_CUSTOMERS_ASSIGNMENT_RECORDS";

        /**
         * 企微顾客分配信息类型
         */
        public static final String QIWEI_CUSTOMERS_ASSIGNMENT_INFO_TYPE = "QIWEI_CUSTOMERS_ASSIGNMENT_INFO_TYPE";

        /**
         * 在职离职分配审核类型
         */
        public static final String RESIGN_OR_WORKING_STAFF_STATUS = "RESIGN_OR_WORKING_ASSIGNMENT_REVIEW_TYPE";

        /**
         * 兼职督察门店品牌信息
         */
        public static final String PART_TIME_SHOP_BRAND = "PART_TIME_SHOP_BRAND";

        /**
         * 品牌Id
         */
        public static final String BRAND_ID = "BRAND_ID";

        /**
         * 兼职督察门店信息
         */
        public static final String PART_TIME_SHOP_INFO = "PART_TIME_SHOP_INFO";
        /**
         * 兼职督察锁Id
         */
        public static final String PART_TIME_TAKE_STOCK_ID = "PART_TIME_TAKE_STOCK_ID";

    }
}
