package com.wgmf.yxgj.global

/**
 * 品牌类型
 */
object Brand {
    /**
     * 五谷磨房
     */
    const val BRAND_WUGU_MOFENG: Int = 8

    /**
     *食补集
     */
    const val BRAND_FOOD_SUPPLEMENT: Int = 15

    /**
     * 未知
     */
    const val BRAND_UN_KNOWN: Int = 0
}

/**
 * 审核状态
 * 1待审核 2待复核 3已作废
 */
object ApprovalStatus{
    /**
     * 1待审核
     */
    const val PENDING_REVIEW: String = "1"

    /**
     * 2待复核
     */
    const val REVIEWED: String = "2"

    /**
     * 3已作废
     */
    const val OBSOLETE_REVIEW: String = "3"

}


/**
 * 包装类型
 */
object PackType {
    /**
     * 产成品
     */
    const val FINISHED_PRODUCT_TYPE = "产成品"

    /**
     * 小包装
     */
    const val SMALL_PACK = "小包装"

    /**
     * 辅料资材
     */
    const val ACCESSORIES_SUPPLIERS = "辅料"

    /**
     * 非卖品
     */
    const val NO_SELL="非卖品"

    /**
     * 全部
     */
    const val all = 4
}

/**
 * 包装类型
 */
object PackTypeId {
    /**
     * 产成品
     */
    const val FINISHED_PRODUCT_TYPE = 1

    /**
     * 小包装
     */
    const val SMALL_PACK = 2

    /**
     * 辅料资材
     */
    const val ACCESSORIES_SUPPLIERS = 3

    /**
     * 全部
     */
    const val all = 4
}
