package com.wgmf.yxgj.model;

import java.io.Serializable;

/**
 * 1，新员工入职办理，提交入职信息
 * 2，流动营养顾问排班查询
 * 3，新员工入职办理本地数据库存储
 *
 * @author XiePing
 */
@SuppressWarnings("all")
public class YuanGongEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 上次存储时间
     */
    private Long Id;
    /**
     * 组织机构ID,服务器要求int类型
     */
    private int sale_organization;
    /**
     * 组织机构名称
     */
    private String sale_organization_name;
    /**
     * 员工编号
     */
    private String wgmf_operatorid;
    /**
     * 员工姓名
     */
    private String name;
    /**
     * 流动营养顾问id
     */
    private String staffId;
    /**
     * 培训导师工号
     */
    private String trainingsupervisorid;
    /**
     * 培训导师名字
     */
    private String trainingsupervisor;
    /**
     * 员工密码
     */
    private String wgmf_password;
    /**
     * 员工性别
     */
    private String wgmf_sex;
    /**
     * 员工类型
     */
    private String wgmf_type;
    /**
     * 所属门店,服务器要求int类型
     */
    private int wgmf_shop;
    /**
     * 所属门店名称
     */
    private String wgmf_storename;
    /**
     * 紧急联系电话
     */
    private String wgmf_phone;
    /**
     * 手机
     */
    private String wgmf_mobilephone;
    /**
     * 身份证
     */
    private String wgmf_personalid;
    /**
     * 出生日期
     */
    private String wgmf_birthday;
    /**
     * 入职日期
     */
    private String wgmf_workdate;
    /**
     * 工作岗位 1：驻店营养顾问 2：流动营养顾问 3：促销主管 4：机修 5：办事处文员 6：终端经理 7：区域经理
     */
    private String wgmf_rolestatus;
    /**
     * 离职状态：0-正常，1-已离职,2-待入职
     */
    private String wgmf_status;
    /**
     * 1-待审核，2-审批不通过，3-待入职，4-入职"
     */
    private String entrystatus;
    /**
     * 学历 01：本科 02：大专 03：中专 04：高中 05：初中 06：小学
     */
    private String wgmf_xlid;
    /**
     * 籍贯
     */
    private String wgmf_ryjg;
    /**
     * 录入日期
     */
    private String wgmf_adddate;
    /**
     * 离职日期
     */
    private String wgmf_lzdate;
    /**
     * 修改人编号
     */
    private String wgmf_chgperson;
    /**
     * 修改人名称
     */
    private String wgmf_chg_name;
    /**
     * 修改日期
     */
    private String wgmf_chgdate;
    /**
     * 审核状态：-- 0-未审核，1-已审核
     */
    private String wgmf_shstatus;
    /**
     * 审核日期
     */
    private String wgmf_shdate;
    /**
     * 审核人编号
     */
    private String wgmf_shperson;
    /**
     * 审核人名称
     */
    private String wgmf_sh_name;
    /**
     * 开户银行
     */
    private String wgmf_bankname;
    /**
     * 开户省市
     */
    private String wgmf_bankcity;
    /**
     * 开户行信息
     */
    private String wgmf_bankcity_detail;
    /**
     * 银行账号
     */
    private String wgmf_accountid;
    /**
     * 基本工资
     */
    private String wgmf_jb_net;
    /**
     * 绩效工资
     */
    private String wgmf_jx_net;
    /**
     * 爱心基金
     */
    private String wgmf_ax_net;
    /**
     * 任务内提成点
     */
    private String wgmf_rwn_rate;
    /**
     * 超额提成点
     */
    private String wgmf_ce_rate;
    /**
     * 岗位工资
     */
    private String salary_job;
    /**
     * 交通补贴
     */
    private String trafficsubsidy;
    /**
     * 通讯补贴
     */
    private String commsubsidy;
    /**
     * 紧急联系人
     */
    private String wgmf_homemail;
    /**
     * 招聘来源：('01','58同城'),('02','赶集网'),('03','智联招聘'),('04','前程无忧'),('05','内部推荐'),('06','巡场招聘'),('07','地方论坛'),('08','熟人介绍')
     */
    private String zply;
    /**
     * 有无亲属在本公司：('Y','有'),('N','无')
     */
    private String ifrelatives;
    /**
     * 亲属姓名
     */
    private String relatives;
    /**
     * 亲属职位
     */
    private String relativespost;
    /**
     * 办事处ID
     */
    private String entryOfficeId;
    /**
     * 是否是外包：('Y','是'),('N','否')
     */
    private String ifoutsourced;
    /**
     * 外包公司名字，传编码
     */
    private String outsourceperson;
    /**
     * 外包公司名字
     */
    private String outsourcepersonName;
    /**
     * 上次保存时间
     */
    private String newStaffInductionTime;

    public int getSale_organization() {
        return this.sale_organization;
    }

    public void setSale_organization(int sale_organization) {
        this.sale_organization = sale_organization;
    }

    public String getWgmf_operatorid() {
        return this.wgmf_operatorid;
    }

    public void setWgmf_operatorid(String wgmf_operatorid) {
        this.wgmf_operatorid = wgmf_operatorid;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStaffId() {
        return this.staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getTrainingsupervisorid() {
        return this.trainingsupervisorid;
    }

    public void setTrainingsupervisorid(String trainingsupervisorid) {
        this.trainingsupervisorid = trainingsupervisorid;
    }

    public String getTrainingsupervisor() {
        return this.trainingsupervisor;
    }

    public void setTrainingsupervisor(String trainingsupervisor) {
        this.trainingsupervisor = trainingsupervisor;
    }

    public String getWgmf_password() {
        return this.wgmf_password;
    }

    public void setWgmf_password(String wgmf_password) {
        this.wgmf_password = wgmf_password;
    }

    public String getWgmf_sex() {
        return this.wgmf_sex;
    }

    public void setWgmf_sex(String wgmf_sex) {
        this.wgmf_sex = wgmf_sex;
    }

    public String getWgmf_type() {
        return this.wgmf_type;
    }

    public void setWgmf_type(String wgmf_type) {
        this.wgmf_type = wgmf_type;
    }

    public int getWgmf_shop() {
        return this.wgmf_shop;
    }

    public void setWgmf_shop(int wgmf_shop) {
        this.wgmf_shop = wgmf_shop;
    }

    public String getWgmf_storename() {
        return this.wgmf_storename;
    }

    public void setWgmf_storename(String wgmf_storename) {
        this.wgmf_storename = wgmf_storename;
    }

    public String getWgmf_phone() {
        return this.wgmf_phone;
    }

    public void setWgmf_phone(String wgmf_phone) {
        this.wgmf_phone = wgmf_phone;
    }

    public String getWgmf_mobilephone() {
        return this.wgmf_mobilephone;
    }

    public void setWgmf_mobilephone(String wgmf_mobilephone) {
        this.wgmf_mobilephone = wgmf_mobilephone;
    }

    public String getWgmf_personalid() {
        return this.wgmf_personalid;
    }

    public void setWgmf_personalid(String wgmf_personalid) {
        this.wgmf_personalid = wgmf_personalid;
    }

    public String getWgmf_birthday() {
        return this.wgmf_birthday;
    }

    public void setWgmf_birthday(String wgmf_birthday) {
        this.wgmf_birthday = wgmf_birthday;
    }

    public String getWgmf_workdate() {
        return this.wgmf_workdate;
    }

    public void setWgmf_workdate(String wgmf_workdate) {
        this.wgmf_workdate = wgmf_workdate;
    }

    public String getWgmf_rolestatus() {
        return this.wgmf_rolestatus;
    }

    public void setWgmf_rolestatus(String wgmf_rolestatus) {
        this.wgmf_rolestatus = wgmf_rolestatus;
    }

    public String getWgmf_status() {
        return this.wgmf_status;
    }

    public void setWgmf_status(String wgmf_status) {
        this.wgmf_status = wgmf_status;
    }

    public String getEntrystatus() {
        return this.entrystatus;
    }

    public void setEntrystatus(String entrystatus) {
        this.entrystatus = entrystatus;
    }

    public String getWgmf_xlid() {
        return this.wgmf_xlid;
    }

    public void setWgmf_xlid(String wgmf_xlid) {
        this.wgmf_xlid = wgmf_xlid;
    }

    public String getWgmf_ryjg() {
        return this.wgmf_ryjg;
    }

    public void setWgmf_ryjg(String wgmf_ryjg) {
        this.wgmf_ryjg = wgmf_ryjg;
    }

    public String getWgmf_adddate() {
        return this.wgmf_adddate;
    }

    public void setWgmf_adddate(String wgmf_adddate) {
        this.wgmf_adddate = wgmf_adddate;
    }

    public String getWgmf_lzdate() {
        return this.wgmf_lzdate;
    }

    public void setWgmf_lzdate(String wgmf_lzdate) {
        this.wgmf_lzdate = wgmf_lzdate;
    }

    public String getWgmf_chgperson() {
        return this.wgmf_chgperson;
    }

    public void setWgmf_chgperson(String wgmf_chgperson) {
        this.wgmf_chgperson = wgmf_chgperson;
    }

    public String getWgmf_chg_name() {
        return this.wgmf_chg_name;
    }

    public void setWgmf_chg_name(String wgmf_chg_name) {
        this.wgmf_chg_name = wgmf_chg_name;
    }

    public String getWgmf_chgdate() {
        return this.wgmf_chgdate;
    }

    public void setWgmf_chgdate(String wgmf_chgdate) {
        this.wgmf_chgdate = wgmf_chgdate;
    }

    public String getWgmf_shstatus() {
        return this.wgmf_shstatus;
    }

    public void setWgmf_shstatus(String wgmf_shstatus) {
        this.wgmf_shstatus = wgmf_shstatus;
    }

    public String getWgmf_shdate() {
        return this.wgmf_shdate;
    }

    public void setWgmf_shdate(String wgmf_shdate) {
        this.wgmf_shdate = wgmf_shdate;
    }

    public String getWgmf_shperson() {
        return this.wgmf_shperson;
    }

    public void setWgmf_shperson(String wgmf_shperson) {
        this.wgmf_shperson = wgmf_shperson;
    }

    public String getWgmf_sh_name() {
        return this.wgmf_sh_name;
    }

    public void setWgmf_sh_name(String wgmf_sh_name) {
        this.wgmf_sh_name = wgmf_sh_name;
    }

    public String getWgmf_bankname() {
        return this.wgmf_bankname;
    }

    public void setWgmf_bankname(String wgmf_bankname) {
        this.wgmf_bankname = wgmf_bankname;
    }

    public String getWgmf_bankcity() {
        return this.wgmf_bankcity;
    }

    public void setWgmf_bankcity(String wgmf_bankcity) {
        this.wgmf_bankcity = wgmf_bankcity;
    }

    public String getWgmf_accountid() {
        return this.wgmf_accountid;
    }

    public void setWgmf_accountid(String wgmf_accountid) {
        this.wgmf_accountid = wgmf_accountid;
    }

    public String getWgmf_jb_net() {
        return this.wgmf_jb_net;
    }

    public void setWgmf_jb_net(String wgmf_jb_net) {
        this.wgmf_jb_net = wgmf_jb_net;
    }

    public String getWgmf_jx_net() {
        return this.wgmf_jx_net;
    }

    public void setWgmf_jx_net(String wgmf_jx_net) {
        this.wgmf_jx_net = wgmf_jx_net;
    }

    public String getWgmf_ax_net() {
        return this.wgmf_ax_net;
    }

    public void setWgmf_ax_net(String wgmf_ax_net) {
        this.wgmf_ax_net = wgmf_ax_net;
    }

    public String getWgmf_rwn_rate() {
        return this.wgmf_rwn_rate;
    }

    public void setWgmf_rwn_rate(String wgmf_rwn_rate) {
        this.wgmf_rwn_rate = wgmf_rwn_rate;
    }

    public String getWgmf_ce_rate() {
        return this.wgmf_ce_rate;
    }

    public void setWgmf_ce_rate(String wgmf_ce_rate) {
        this.wgmf_ce_rate = wgmf_ce_rate;
    }

    public String getSalary_job() {
        return this.salary_job;
    }

    public void setSalary_job(String salary_job) {
        this.salary_job = salary_job;
    }

    public String getTrafficsubsidy() {
        return this.trafficsubsidy;
    }

    public void setTrafficsubsidy(String trafficsubsidy) {
        this.trafficsubsidy = trafficsubsidy;
    }

    public String getCommsubsidy() {
        return this.commsubsidy;
    }

    public void setCommsubsidy(String commsubsidy) {
        this.commsubsidy = commsubsidy;
    }

    public String getWgmf_homemail() {
        return this.wgmf_homemail;
    }

    public void setWgmf_homemail(String wgmf_homemail) {
        this.wgmf_homemail = wgmf_homemail;
    }

    public String getZply() {
        return this.zply;
    }

    public void setZply(String zply) {
        this.zply = zply;
    }

    public String getIfrelatives() {
        return this.ifrelatives;
    }

    public void setIfrelatives(String ifrelatives) {
        this.ifrelatives = ifrelatives;
    }

    public String getRelatives() {
        return this.relatives;
    }

    public void setRelatives(String relatives) {
        this.relatives = relatives;
    }

    public String getRelativespost() {
        return this.relativespost;
    }

    public void setRelativespost(String relativespost) {
        this.relativespost = relativespost;
    }

    public String getEntryOfficeId() {
        return this.entryOfficeId;
    }

    public void setEntryOfficeId(String entryOfficeId) {
        this.entryOfficeId = entryOfficeId;
    }

    public String getOutsourceperson() {
        return this.outsourceperson;
    }

    public void setOutsourceperson(String outsourceperson) {
        this.outsourceperson = outsourceperson;
    }

    public String getNewStaffInductionTime() {
        return this.newStaffInductionTime;
    }

    public void setNewStaffInductionTime(String newStaffInductionTime) {
        this.newStaffInductionTime = newStaffInductionTime;
    }

    public String getOutsourcepersonName() {
        return this.outsourcepersonName;
    }

    public void setOutsourcepersonName(String outsourcepersonName) {
        this.outsourcepersonName = outsourcepersonName;
    }

    public String getWgmf_bankcity_detail() {
        return this.wgmf_bankcity_detail;
    }

    public void setWgmf_bankcity_detail(String wgmf_bankcity_detail) {
        this.wgmf_bankcity_detail = wgmf_bankcity_detail;
    }

    public Long getId() {
        return this.Id;
    }

    public void setId(Long Id) {
        this.Id = Id;
    }

    public String getSale_organization_name() {
        return this.sale_organization_name;
    }

    public void setSale_organization_name(String sale_organization_name) {
        this.sale_organization_name = sale_organization_name;
    }

    public String getIfoutsourced() {
        return this.ifoutsourced;
    }

    public void setIfoutsourced(String ifoutsourced) {
        this.ifoutsourced = ifoutsourced;
    }

    @Override
    public String toString() {
        return "YuanGongEntity{" +
                "Id=" + Id +
                ", sale_organization=" + sale_organization +
                ", sale_organization_name='" + sale_organization_name + '\'' +
                ", wgmf_operatorid='" + wgmf_operatorid + '\'' +
                ", name='" + name + '\'' +
                ", staffId='" + staffId + '\'' +
                ", trainingsupervisorid='" + trainingsupervisorid + '\'' +
                ", trainingsupervisor='" + trainingsupervisor + '\'' +
                ", wgmf_password='" + wgmf_password + '\'' +
                ", wgmf_sex='" + wgmf_sex + '\'' +
                ", wgmf_type='" + wgmf_type + '\'' +
                ", wgmf_shop=" + wgmf_shop +
                ", wgmf_storename='" + wgmf_storename + '\'' +
                ", wgmf_phone='" + wgmf_phone + '\'' +
                ", wgmf_mobilephone='" + wgmf_mobilephone + '\'' +
                ", wgmf_personalid='" + wgmf_personalid + '\'' +
                ", wgmf_birthday='" + wgmf_birthday + '\'' +
                ", wgmf_workdate='" + wgmf_workdate + '\'' +
                ", wgmf_rolestatus='" + wgmf_rolestatus + '\'' +
                ", wgmf_status='" + wgmf_status + '\'' +
                ", entrystatus='" + entrystatus + '\'' +
                ", wgmf_xlid='" + wgmf_xlid + '\'' +
                ", wgmf_ryjg='" + wgmf_ryjg + '\'' +
                ", wgmf_adddate='" + wgmf_adddate + '\'' +
                ", wgmf_lzdate='" + wgmf_lzdate + '\'' +
                ", wgmf_chgperson='" + wgmf_chgperson + '\'' +
                ", wgmf_chg_name='" + wgmf_chg_name + '\'' +
                ", wgmf_chgdate='" + wgmf_chgdate + '\'' +
                ", wgmf_shstatus='" + wgmf_shstatus + '\'' +
                ", wgmf_shdate='" + wgmf_shdate + '\'' +
                ", wgmf_shperson='" + wgmf_shperson + '\'' +
                ", wgmf_sh_name='" + wgmf_sh_name + '\'' +
                ", wgmf_bankname='" + wgmf_bankname + '\'' +
                ", wgmf_bankcity='" + wgmf_bankcity + '\'' +
                ", wgmf_bankcity_detail='" + wgmf_bankcity_detail + '\'' +
                ", wgmf_accountid='" + wgmf_accountid + '\'' +
                ", wgmf_jb_net='" + wgmf_jb_net + '\'' +
                ", wgmf_jx_net='" + wgmf_jx_net + '\'' +
                ", wgmf_ax_net='" + wgmf_ax_net + '\'' +
                ", wgmf_rwn_rate='" + wgmf_rwn_rate + '\'' +
                ", wgmf_ce_rate='" + wgmf_ce_rate + '\'' +
                ", salary_job='" + salary_job + '\'' +
                ", trafficsubsidy='" + trafficsubsidy + '\'' +
                ", commsubsidy='" + commsubsidy + '\'' +
                ", wgmf_homemail='" + wgmf_homemail + '\'' +
                ", zply='" + zply + '\'' +
                ", ifrelatives='" + ifrelatives + '\'' +
                ", relatives='" + relatives + '\'' +
                ", relativespost='" + relativespost + '\'' +
                ", entryOfficeId='" + entryOfficeId + '\'' +
                ", ifoutsourced='" + ifoutsourced + '\'' +
                ", outsourceperson='" + outsourceperson + '\'' +
                ", outsourcepersonName='" + outsourcepersonName + '\'' +
                ", newStaffInductionTime='" + newStaffInductionTime + '\'' +
                '}';
    }
}