package com.wgmf.yxgj.publics.model;

import java.io.Serializable;

/**
 * 门店ibeacon
 * isLDSR (integer, optional):
 * <p>
 * 两店三人标识： 0是；1不是 ,
 * lDSRCode (string, optional):
 * <p>
 * 门店两店三人编码 （编码相同，则属于同一组） ,
 * latitudes (number, optional):
 * <p>
 * 纬度 ,
 * longitudes (number, optional):
 * <p>
 * 经度 ,
 * saleOrganization (integer, optional):
 * <p>
 * 销售组织id ,
 * shopCityCountryId (integer, optional):
 * <p>
 * 门店销售城市id ,
 * shopId (string, optional):
 * <p>
 * 门店shopid ,
 * shopIsCanOrder (boolean, optional):
 * <p>
 * 门店是否可以订货：true 表示可以订货，false 不可以订货 ,
 * shopName (string, optional):
 * <p>
 * 门店名称 ,
 * shopType (string, optional):
 * <p>
 * 类型 :DZD 五谷事业部 ,
 *
 * @author xiep on 2016/7/28.
 */
public class Shop implements Serializable {
    private String shopId;

    private String shopName;

    private int saleOrganization;

    private String usable;

    private int id;

    private double distance;

    private String address;
    /**
     * 两店三人标识： 0是；1不是 ,
     */
    private Integer isLDSR;
    /**
     * 门店两店三人编码 （编码相同，则属于同一组） ,
     */
    private String lDSRCode;
    /**
     * shopCityCountryID (integer, optional):门店所属城市区域id ,
     */
    private Integer shopCityCountryId;

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopId() {
        return this.shopId;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopName() {
        return this.shopName;
    }

    public void setSaleOrganization(int saleOrganization) {
        this.saleOrganization = saleOrganization;
    }

    public int getSaleOrganization() {
        return this.saleOrganization;
    }

    public void setUsable(String usable) {
        this.usable = usable;
    }

    public String getUsable() {
        return this.usable;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getId() {
        return this.id;
    }

    public double getDistance() {
        return distance;
    }

    public void setDistance(double distance) {
        this.distance = distance;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getIsLDSR() {
        return isLDSR;
    }

    public void setIsLDSR(Integer isLDSR) {
        this.isLDSR = isLDSR;
    }

    public String getlDSRCode() {
        return lDSRCode;
    }

    public void setlDSRCode(String lDSRCode) {
        this.lDSRCode = lDSRCode;
    }

    public Integer getShopCityCountryId() {
        return shopCityCountryId;
    }

    public void setShopCityCountryId(Integer shopCityCountryId) {
        this.shopCityCountryId = shopCityCountryId;
    }
}