package com.wgmf.yxgj.publics.service.request;

import com.squareup.okhttp.FormEncodingBuilder;
import com.wgmf.library.base.BaseRequest;
import com.wgmf.yxgj.protocol.SendJPushSetting;

/**
 * 发送审批消息
 *
 * @author XiePing
 *         2016/6/2 11:15
 */
public class SendJPushMsgRequest extends BaseRequest {

    public SendJPushMsgRequest(final String sendStaffId, final String recieverStaffId, final String receiverType, final String extra, final String type, final String platformType, final String msgTitle, final String msgContent) {
        this.builder = new FormEncodingBuilder();
        SendJPushSetting.SendJPushReq req = new SendJPushSetting.SendJPushReq();
        req.setSendStaffId(sendStaffId);
        req.setRecieverStaffId(recieverStaffId);
        req.setReceiverType(receiverType);
        req.setExtra(extra);
        req.setType(type);
        req.setMsgTitle(msgTitle);
        req.setMsgContent(msgContent);
        req.setPlatformType(platformType);
        req.addParams(this.builder);
    }
}