package com.wgmf.yxgj.widgets.TextView;

import android.content.Context;
import android.support.v7.widget.AppCompatTextView;
import android.text.TextUtils;
import android.util.AttributeSet;

/**
 * 跑马灯效果显示文字
 */
public class MarqueeTextView extends AppCompatTextView {
    public MarqueeTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.setHorizontallyScrolling(true);
        this.setSingleLine();
        this.setMarqueeRepeatLimit(-1);
        this.setEllipsize(TextUtils.TruncateAt.MARQUEE);
        this.setFocusable(true);
    }

    public MarqueeTextView(Context context) {
        this(context, null);
    }

    @Override
    public boolean isFocused() {
        return true;
    }
}
