package com.wgmf.yxgj.businessmodule.ui;

import android.os.Bundle;

import com.wgmf.yxgj.model.CommonResourcesBean;
import com.wgmf.yxgj.businessmodule.ui.base.IBaseFragment;

import java.util.List;

public class BusinessFragment extends IBaseFragment implements BusinessAdapter.OnBusinessClickListener {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //父ID==107为业务类，2.6.0新权限父ID==500为业务类
        businessPresenter.getDataByID(500);
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);
        //父ID==107为业务类，2.6.0新权限父ID==500为业务类
        BusinessAdapter mBusinessAdapter = new BusinessAdapter(businessPresenter.getAllData(500), getActivity());
        mBusinessAdapter.setListener(this);
        publicListViewLv.setAdapter(mBusinessAdapter);
    }

    @Override
    public void onBusinessClick(List<CommonResourcesBean> fonctionList, int postion) {
        businessPresenter.onGirdClickListener(fonctionList, postion);
    }
}