package com.wgmf.yxgj.modulemain.model

import com.wgmf.library.base.BaseResponse
import java.io.Serializable

/**
 *
 * popContentNor (string, optional): 弹窗文案（正常） ,
 * popContentRed (string, optional): 弹窗文案（标红） ,
 * popFlag (boolean, optional): 是否弹窗：true弹窗 ,
 * switchUrl (string, optional): 生意管家跳转地址
}
 */
data class PopWindowShowEntity(
    var resultInfo: PopWindowShowBean?
) : BaseResponse(), Serializable {

    data class PopWindowShowBean(
        val popContentNor: String?,
        val popContentRed: String?,
        val popFlag: Boolean,
        val switchUrl: String?
    ) : Serializable {

        override fun toString(): String {
            return "PopWindowShowBean(popContentNor=$popContentNor, popContentRed=$popContentRed, popFlag=$popFlag, switchUrl=$switchUrl)"
        }
    }

    override fun toString(): String {
        return "PopWindowShowEntity(resultInfo=$resultInfo)"
    }
}