package com.wgmf.yxgj.module.business.parttime.model;

/**
 * 兼职督查巡店检查 {
 * checkDate (string, optional): 检查日期 ,
 * checkTime (string, optional): 检查时间 ,
 * onTheJob (integer, optional): 是否在岗 0:不在岗 1:在岗 ,
 * partTimeStaffId (string, optional): 兼职督查员工id ,
 * partTimeStaffName (string, optional): 兼职督查员工姓名 ,
 * remark (string, optional): 不在岗备注 ,
 * shopId (string, optional): 门店id ,
 * submitTime (string, optional): 检查提交时间 ,
 * tourId (integer, optional)
 * }
 * 作者：xiep on 2018/3/15 11:13
 * 邮箱：2975837870@qq.com
 */

public class PartTimeResultEntity {

    private int reviewStatus;

    private String checkDate;

    private String checkTime;

    private String onTheJob;

    private String partTimeStaffId;

    private String partTimeStaffName;

    private String remark;

    private String shopId;

    private String shopName;

    private String tourId;

    private String takeStockId;

    private int brandId;

    /**
     * 1)partTimeType0Remak (兼职自己员工形象质量备注) 2)partTimeType1Remak(兼职自己专柜卫生质量 备注)
     * 3)partTimeType2Remak(兼职自己外部陈列质量备注) 4)partTimeType3Remak(兼职自己员工服务质量备注)
     */
    private String partTimeType0Remak;

    private String partTimeType1Remak;

    private String partTimeType2Remak;

    private String partTimeType3Remak;
    /**
     * 员工形象检查图片上传状态: 成功;没有图片;失败信息 ,
     */
    private String type0ImgStatus;
    /**
     * 专柜卫生质量检查图片上传状态: 成功;没有图片;失败信息 ,
     */
    private String type1ImgStatus;

    /**
     * 外部陈列质量检查图片上传状态:成功;没有图片;失败信息 ,
     */
    private String type2ImgStatus;
    /**
     * 员工服务质量检查音频上传状态:成功;没有图片;失败信息
     */
    private String type3VoiceStatus;


    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getOnTheJob() {
        return onTheJob;
    }

    public void setOnTheJob(String onTheJob) {
        this.onTheJob = onTheJob;
    }

    public String getPartTimeStaffId() {
        return partTimeStaffId;
    }

    public void setPartTimeStaffId(String partTimeStaffId) {
        this.partTimeStaffId = partTimeStaffId;
    }

    public String getPartTimeStaffName() {
        return partTimeStaffName;
    }

    public void setPartTimeStaffName(String partTimeStaffName) {
        this.partTimeStaffName = partTimeStaffName;
    }

    public int getBrandId() {
        return brandId;
    }

    public void setBrandId(int brandId) {
        this.brandId = brandId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getTourId() {
        return tourId;
    }

    public void setTourId(String tourId) {
        this.tourId = tourId;
    }

    public String getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(String takeStockId) {
        this.takeStockId = takeStockId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public int getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(int reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public String getPartTimeType0Remak() {
        return partTimeType0Remak;
    }

    public void setPartTimeType0Remak(String partTimeType0Remak) {
        this.partTimeType0Remak = partTimeType0Remak;
    }

    public String getPartTimeType1Remak() {
        return partTimeType1Remak;
    }

    public void setPartTimeType1Remak(String partTimeType1Remak) {
        this.partTimeType1Remak = partTimeType1Remak;
    }

    public String getPartTimeType2Remak() {
        return partTimeType2Remak;
    }

    public void setPartTimeType2Remak(String partTimeType2Remak) {
        this.partTimeType2Remak = partTimeType2Remak;
    }

    public String getPartTimeType3Remak() {
        return partTimeType3Remak;
    }

    public void setPartTimeType3Remak(String partTimeType3Remak) {
        this.partTimeType3Remak = partTimeType3Remak;
    }

    public String getType0ImgStatus() {
        return type0ImgStatus;
    }

    public void setType0ImgStatus(String type0ImgStatus) {
        this.type0ImgStatus = type0ImgStatus;
    }

    public String getType1ImgStatus() {
        return type1ImgStatus;
    }

    public void setType1ImgStatus(String type1ImgStatus) {
        this.type1ImgStatus = type1ImgStatus;
    }

    public String getType2ImgStatus() {
        return type2ImgStatus;
    }

    public void setType2ImgStatus(String type2ImgStatus) {
        this.type2ImgStatus = type2ImgStatus;
    }

    public String getType3VoiceStatus() {
        return type3VoiceStatus;
    }

    public void setType3VoiceStatus(String type3VoiceStatus) {
        this.type3VoiceStatus = type3VoiceStatus;
    }
}