package com.wgmf.yxgj.module.business.parttime.service;

import android.text.TextUtils;

import com.wgmf.yxgj.module.business.parttime.model.PartTimeTourShopDetailEntity;

public class PartTimeManager {

    /**
     * 图片上传状态: 成功;没有图片;失败信息 ,
     */
    public static void setImageStatus(int typeID, PartTimeTourShopDetailEntity partTimeTourShopDetailEntity, String tip) {
        if (!TextUtils.isEmpty(tip)) {
            switch (typeID) {
                case 0:
                    partTimeTourShopDetailEntity.setType0ImgStatus(tip);
                    break;
                case 1:
                    partTimeTourShopDetailEntity.setType1ImgStatus(tip);
                    break;
                case 2:
                    partTimeTourShopDetailEntity.setType2ImgStatus(tip);
                    break;
                case 3:
                    partTimeTourShopDetailEntity.setType3VoiceStatus(tip);
                    break;
                default:
                    break;
            }
        }
    }

    /**
     * 1)partTimeType0Remak (兼职自己员工形象质量备注) 2)partTimeType1Remak(兼职自己专柜卫生质量 备注)
     * 3)partTimeType2Remak(兼职自己外部陈列质量备注) 4)partTimeType3Remak(兼职自己员工服务质量备注)
     */
    public static void setRemark(int typeID, PartTimeTourShopDetailEntity partTimeTourShopDetailEntity, String reportRemark) {
        if (!TextUtils.isEmpty(reportRemark)) {
            switch (typeID) {
                case 0:
                    partTimeTourShopDetailEntity.setPartTimeType0Remak(reportRemark);
                    break;
                case 1:
                    partTimeTourShopDetailEntity.setPartTimeType1Remak(reportRemark);
                    break;
                case 2:
                    partTimeTourShopDetailEntity.setPartTimeType2Remak(reportRemark);
                    break;
                case 3:
                    partTimeTourShopDetailEntity.setPartTimeType3Remak(reportRemark);
                    break;
                default:
                    break;
            }
        }
    }
}
