package com.wgmf.yxgj.module.bussiness.reportact.model;

import com.wgmf.library.base.BaseResponse;

/**
 * @author XP
 * @ClassName: ReportActEntity
 * @Description: 拉新活动上报查询活动主题实体
 * @date 2016-3-17 上午9:43:27
 * <p>
 * NewCusActPromoProps {
 * id (integer, optional),
 * newCusActCreateTime (string, optional): 创建时间 ,
 * newCusActFlag (string, optional): 状态标识：‘1’/可用；2/禁用 ,
 * newCusActPromoPropsId (integer, optional): 推广道具 id ,
 * newCusActPromoPropsName (string, optional): 推广道具名字 ,
 * newCusActUpdateTime (string, optional): 修改时间 ,
 * top (string, optional): 置顶标识：'1'置顶; '2'/未置顶
 * }
 */
public class ReportNewCusPropsEntity extends BaseResponse {
    private String id;

    private int selectedActPropsPosition = -1;

    private String newCusActPromoPropsId;// 推广道具 id ,

    private String newCusActPromoPropsName;// 推广道具名字 ,

    public int getSelectedActPropsPosition() {
        return selectedActPropsPosition;
    }

    public void setSelectedActPropsPosition(int selectedActPropsPosition) {
        this.selectedActPropsPosition = selectedActPropsPosition;
    }

    public String getNewCusActPromoPropsId() {
        return newCusActPromoPropsId;
    }

    public void setNewCusActPromoPropsId(String newCusActPromoPropsId) {
        this.newCusActPromoPropsId = newCusActPromoPropsId;
    }

    public String getNewCusActPromoPropsName() {
        return newCusActPromoPropsName;
    }

    public void setNewCusActPromoPropsName(String newCusActPromoPropsName) {
        this.newCusActPromoPropsName = newCusActPromoPropsName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
