package com.wgmf.yxgj.module.bussiness.reportact.ui;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.wgmf.yxgj.module.bussiness.reportact.R;
import com.wgmf.yxgj.module.bussiness.reportact.model.ReportNewCusPropsEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 作者：xiep on 2017/3/17 10:49
 * 邮箱：2975837870@qq.com
 */

public class ReportNewCusPropsAdapter extends BaseAdapter {
    private Context context;
    private ReportNewCusPropsEntity reportNewCusPropsEntity;
    private List<ReportNewCusPropsEntity> reportNewCusPropsEntitys;

    /**
     * @return 活动上报数据
     */
    public List<ReportNewCusPropsEntity> getUploadData() {
        List<ReportNewCusPropsEntity> reportNewCusPropsEntitysUploadList = new ArrayList<>();
        for (int i = 0; i < reportNewCusPropsEntitys.size(); i++) {
            if (reportNewCusPropsEntitys.get(i).getSelectedActPropsPosition() != -1) {
                reportNewCusPropsEntitysUploadList.add(reportNewCusPropsEntitys.get(i));
            }
        }
        return reportNewCusPropsEntitysUploadList;
    }

    /**
     * @return 选中位置
     */
    public int getSelected() {
        return reportNewCusPropsEntity.getSelectedActPropsPosition();
    }

    /**
     * 设置选中位置
     */
    private void setSelected(int selected) {
        reportNewCusPropsEntity.setSelectedActPropsPosition(selected);
    }

    ReportNewCusPropsAdapter(Context context, List<ReportNewCusPropsEntity> reportNewCusPropsEntitys) {
        this.context = context;
        this.reportNewCusPropsEntitys = reportNewCusPropsEntitys;
        reportNewCusPropsEntity = new ReportNewCusPropsEntity();
    }

    @Override
    public int getCount() {
        return reportNewCusPropsEntitys.size();
    }

    @Override
    public Object getItem(int position) {
        return reportNewCusPropsEntitys.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        if (convertView == null) {
            convertView = View.inflate(context, R.layout.list_item_new_cus_view, null);
        }
        LinearLayout actContentLl = (LinearLayout) convertView.findViewById(R.id.act_content_ll);
        final ImageView reportActChoice = (ImageView) convertView.findViewById(R.id.new_cus_choice);
        TextView reportActTv = (TextView) convertView.findViewById(R.id.new_cus_tv);
        reportActTv.setText(reportNewCusPropsEntitys.get(position).getNewCusActPromoPropsName());

        actContentLl.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // 点击条目前已经是选中状态，则取消
                if (getSelected() == position) {
                    reportActChoice.setImageResource(R.drawable.square_gray);
                    setSelected(-1);
                    reportNewCusPropsEntitys.get(position).setSelectedActPropsPosition(-1);
                } else {
                    // 点击条目前已经是未选中状态，则取消
                    reportActChoice.setImageResource(R.drawable.square_orange);
                    setSelected(position);
                    reportNewCusPropsEntitys.get(position).setSelectedActPropsPosition(position);
                }
                notifyDataSetChanged();
            }
        });
        return convertView;
    }
}