package com.wgmf.yxgj.module.business.reportmodule.model;

/**
 * 通用上报配置model {
 * isChecked (string, optional):是否选中 Y:是 N:否 ,
 * modelId (integer, optional):modelId ,
 * modelOptId (integer, optional),
 * type (string, optional):类型1:单行文本2:多行文本3:单项选择 4:多项选择 5:日期选择 6:照片选择 7:音频选择 ,
 * value (string, optional):值
 * }
 */
public class ReportModuleOptionEntity {
    /**
     * 键
     */
    private int type;
    /**
     * 描述信息
     */
    private String value;
    /**
     * 是否选中
     */
    private String isChecked;
    /**
     * 本地使用选中
     */
    private boolean isChoice;

    private String modelId;

    private String modelOptId;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public String getModelOptId() {
        return modelOptId;
    }

    public void setModelOptId(String modelOptId) {
        this.modelOptId = modelOptId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getIsChecked() {
        return isChecked;
    }

    public void setIsChecked(String isChecked) {
        this.isChecked = isChecked;
    }

    public boolean isChoice() {
        return isChoice;
    }

    public void setChoice(boolean choice) {
        isChoice = choice;
    }
}