package com.wgmf.yxgj.module.business.reportproblem.model;

/**
 * 机修工单详情
 */
public class MachineOrder {
    private String applicantName;// (string, optional):申请人名称 ,
    private String applicantNo;// (string, optional):申请人工号 ,
    private String applicantShopId;//(string, optional):门店号 ,
    private String applicantShopName;//(string, optional):门店名称 ,
    private String applyDate;//(string, optional):申请时间 ,
    private String applyReason;// (string, optional):申请事由 ,
    private MachineOrderMaintenance machineOrderMaintenance;//(MachineOrderMaintenance, optional):机修工单维修表 ,
    private String mroNo;// (string, optional):工单号 ,
    private String mroOperName;//(string, optional):维修人员名字 ,
    private String mroOperNo;// (string, optional):维修人员工号 ,
    private String mroOperPhone;//(string, optional):维修人员电话 ,
    private String mroStatus;//(string, optional):工单状态 0待处理,1待评价,2已评价 ,
    private String mroType;//(string, optional):工单类型 生意0,营销1 ,
    private String needLicense;// (string, optional):需要施工证 ,y表示需要 ,n不需要 ,
    private String needClimb;//(string, optional):需要登高作业 ,y表示需要 ,n不需要 ,
    private String needECable;// (string, optional):需要电缆 ,y表示需要 ,n不需要 ,
    private String needEMeter;// (string, optional):需要安装电表 ,y表示需要 ,n不需要 ,
    private String operationTimeBegin;//(string, optional):施工开始时间 ,
    private String operationTimeEnd;// (string, optional):施工结束时间 ,
    private String otherReq;// (string, optional):其他要求 ,
    private String picOperationBefore;// (string, optional):施工前照片：多张突破逗号隔开,
    private String pid ;// (string, optional)

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public String getApplicantNo() {
        return applicantNo;
    }

    public void setApplicantNo(String applicantNo) {
        this.applicantNo = applicantNo;
    }

    public String getApplicantShopId() {
        return applicantShopId;
    }

    public void setApplicantShopId(String applicantShopId) {
        this.applicantShopId = applicantShopId;
    }

    public String getApplicantShopName() {
        return applicantShopName;
    }

    public void setApplicantShopName(String applicantShopName) {
        this.applicantShopName = applicantShopName;
    }

    public String getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(String applyDate) {
        this.applyDate = applyDate;
    }

    public String getApplyReason() {
        return applyReason;
    }

    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
    }

    public MachineOrderMaintenance getMachineOrderMaintenance() {
        return machineOrderMaintenance;
    }

    public void setMachineOrderMaintenance(MachineOrderMaintenance machineOrderMaintenance) {
        this.machineOrderMaintenance = machineOrderMaintenance;
    }

    public String getMroNo() {
        return mroNo;
    }

    public void setMroNo(String mroNo) {
        this.mroNo = mroNo;
    }

    public String getMroOperName() {
        return mroOperName;
    }

    public void setMroOperName(String mroOperName) {
        this.mroOperName = mroOperName;
    }

    public String getMroOperNo() {
        return mroOperNo;
    }

    public void setMroOperNo(String mroOperNo) {
        this.mroOperNo = mroOperNo;
    }

    public String getMroOperPhone() {
        return mroOperPhone;
    }

    public void setMroOperPhone(String mroOperPhone) {
        this.mroOperPhone = mroOperPhone;
    }

    public String getMroStatus() {
        return mroStatus;
    }

    public void setMroStatus(String mroStatus) {
        this.mroStatus = mroStatus;
    }

    public String getMroType() {
        return mroType;
    }

    public void setMroType(String mroType) {
        this.mroType = mroType;
    }

    public String getNeedLicense() {
        return needLicense;
    }

    public void setNeedLicense(String needLicense) {
        this.needLicense = needLicense;
    }

    public String getNeedClimb() {
        return needClimb;
    }

    public void setNeedClimb(String needClimb) {
        this.needClimb = needClimb;
    }

    public String getNeedECable() {
        return needECable;
    }

    public void setNeedECable(String needECable) {
        this.needECable = needECable;
    }

    public String getNeedEMeter() {
        return needEMeter;
    }

    public void setNeedEMeter(String needEMeter) {
        this.needEMeter = needEMeter;
    }

    public String getOperationTimeBegin() {
        return operationTimeBegin;
    }

    public void setOperationTimeBegin(String operationTimeBegin) {
        this.operationTimeBegin = operationTimeBegin;
    }

    public String getOperationTimeEnd() {
        return operationTimeEnd;
    }

    public void setOperationTimeEnd(String operationTimeEnd) {
        this.operationTimeEnd = operationTimeEnd;
    }

    public String getOtherReq() {
        return otherReq;
    }

    public void setOtherReq(String otherReq) {
        this.otherReq = otherReq;
    }

    public String getPicOperationBefore() {
        return picOperationBefore;
    }

    public void setPicOperationBefore(String picOperationBefore) {
        this.picOperationBefore = picOperationBefore;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }
}
