package com.wgmf.yxgj.module.business.reportproblem.model;

import android.text.TextUtils;

import com.wgmf.yxgj.global.ConstantParams;

import java.util.List;

/**
 * 作者：xiep on 2016/12/27 17:00
 * 邮箱：2975837870@qq.com
 */

public class ResultInfoEntity {
    /**
     * 是否展开评价内容
     */
    private boolean open;
    /**
     * 反馈问题的类型，721:到货误差
     */
    private int problemType;
    /**
     * 反馈问题的状态,1：未处理和处理中，2：已处理
     */
    private int status;
    /**
     * 提交人
     */
    private String submiter;
    /**
     * 提交问题时间
     */
    private String submitTime;
    /**
     * 问题类型名
     */
    private String problemName;
    /**
     * 处理意见
     */
    private List<OaHandler> replys;

    /**
     * 配送波次号
     */
    private String peisbch;
    /**
     * 问题描述
     */
    private String content;
    /**
     * 流水号
     */
    private String serialNumber;
    /**
     * 是否可以评价
     */
    private boolean canComment;
    /**
     * 是否已评价
     */
    private boolean hasComment;

    /**
     * 流程id
     */
    private String id;

    /**
     * 评级， 1 2 3 4
     */
    private String pj;

    /**
     * 评级内容
     */
    private String pjContent;
    /**
     * 提交所在门店
     */
    private String shopName;

    public void setProblemType(int problemType) {
        this.problemType = problemType;
    }

    public int getProblemType() {
        return this.problemType;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getStatus() {
        return this.status;
    }

    public void setSubmiter(String submiter) {
        this.submiter = submiter;
    }

    public String getSubmiter() {
        return this.submiter;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    public String getSubmitTime() {
        return this.submitTime;
    }

    public void setProblemName(String problemName) {
        this.problemName = problemName;
    }

    public String getProblemName() {
        return this.problemName;
    }

    public void setPeisbch(String peisbch) {
        this.peisbch = peisbch;
    }

    public String getPeisbch() {
        return this.peisbch;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public boolean getCanComment() {
        return canComment;
    }

    public void setCanComment(boolean canComment) {
        this.canComment = canComment;
    }

    public boolean getHasComment() {
        return hasComment;
    }

    public void setHasComment(boolean hasComment) {
        this.hasComment = hasComment;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setPj(float pj) {
        this.pj = String.valueOf((int) pj);
    }

    public void setPjContent(String pjContent) {
        this.pjContent = pjContent;
    }

    public int getPj() {
        return Integer.parseInt(TextUtils.isEmpty(pj) ? ConstantParams.CONSTANT_PARAMS_4 : pj);//需求是默认4星
    }

    public String getPjContent() {
        return TextUtils.isEmpty(pjContent) ? "" : pjContent;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public boolean isOpen() {
        return open;
    }

    public void setOpen(boolean open) {
        this.open = open;
    }

    public List<OaHandler> getReplys() {
        return replys;
    }

    public void setReplys(List<OaHandler> replys) {
        this.replys = replys;
    }
}