package com.wgmf.yxgj.module.business.reportproblem.service

class QualityType internal constructor(var name: String) {

    companion object {
        /**
         * 问题类型一级标题
         */
        const val REPORT_TYPE_ZHILIANG = "产品质量问题"
        const val REPORT_TYPE_WUCHA = "到货误差问题"
        const val REPORT_TYPE_GUIZI = "柜子/物料质量问题"
        const val REPORT_TYPE_WULIU = "物流紧急联系人"
        const val REPORT_TYPE_WULIU_DELIVER = "物流派送问题投诉"
        const val REPORT_TYPE_YIJIAN = "意见与建议"
        const val REPORT_TYPE_DUCHA = "我要找督察"
        const val REPORT_TYPE_BENJI = "本机问题"

        /**
         * 质量问题二级标题
         */
        const val REPORT_TYPE_ZHILIANG_1 = "包装盒破损(非外箱破损)"
        const val REPORT_TYPE_ZHILIANG_2 = "包装袋破损(非外箱破损)"
        const val REPORT_TYPE_ZHILIANG_3 = "日期标识问题"
        const val REPORT_TYPE_ZHILIANG_4 = "含量短缺"
        const val REPORT_TYPE_ZHILIANG_5 = "异物杂物"
        const val REPORT_TYPE_ZHILIANG_6 = "虫害（产品中有虫类）"
        const val REPORT_TYPE_ZHILIANG_7 = "异味"
        const val REPORT_TYPE_ZHILIANG_8 = "外观/口感不良"
        const val REPORT_TYPE_ZHILIANG_9 = "门店原因"
        const val REPORT_TYPE_ZHILIANG_10 = "非产品质量问题"
        const val REPORT_TYPE_ZHILIANG_11 = "其它"
        const val REPORT_TYPE_ZHILIANG_12 = "紧急突发事件处理"

        /**
         * 柜子/物料质量问题
         */
        const val REPORT_TYPE_ZILIANG1 = "柜子质量问题"
        const val REPORT_TYPE_ZILIANG2 = "物料质量问题"

        /**
         * 我要找督察二级标题
         */
        const val REPORT_TYPE_DUCHA_2 = "我要打电话投诉"
        const val REPORT_TYPE_DUCHA_3 = "我要发微信投诉"

        /**
         * 本机问题二级标题
         */
        const val REPORT_TYPE_BENJI_1 = "本机问题"
        const val REPORT_TYPE_BENJI_2 = "紧急问题处理"

        val DAMAGE_ARRAY = arrayOf("--请选择--", "无破损", "有破损", "严重破损")
        val COMPL_ARRAY = arrayOf("--请选择--", "完整", "不完整")
        val YES_OR_NO_ARRAY = arrayOf("--请选择--", "是", "否")
        val SIGN_ARRAY = arrayOf("--请选择--", "已备注破损情况", "未备注破损情况")

    }
}