package com.wgmf.yxgj.module.business.reportrating.model;

import android.graphics.Bitmap;

import com.wgmf.yxgj.utils.PhotoUtils;

import java.io.IOException;
import java.io.Serializable;

public class ImageItemEntity implements Serializable {
	private String imageId;
	private String thumbnailPath;
	private String imagePath;
	private Bitmap bitmap;
	private boolean isSelected = false;

	public Bitmap getBitmap() throws IOException {
		if (bitmap == null) {
			bitmap = PhotoUtils.revitionImageSize(imagePath);
		}
		return bitmap;
	}

	public void setBitmap(Bitmap bitmap) {
		this.bitmap = bitmap;
	}

	public String getImageId() {
		return imageId;
	}

	public void setImageId(String imageId) {
		this.imageId = imageId;
	}

	public String getThumbnailPath() {
		return thumbnailPath;
	}

	public void setThumbnailPath(String thumbnailPath) {
		this.thumbnailPath = thumbnailPath;
	}

	public String getImagePath() {
		return imagePath;
	}

	public void setImagePath(String imagePath) {
		this.imagePath = imagePath;
	}

	public boolean isSelected() {
		return isSelected;
	}

	public void setSelected(boolean selected) {
		isSelected = selected;
	}
}