package com.wgmf.yxgj.module.business.reportrating.model;

import java.util.List;

/**
 * StoreRatingsRankGroup {
 * shopLevel (string, optional):
 * <p>
 * 门店位置等级 ,
 * shopRatingFlag (string, optional):
 * <p>
 * 门店上报状态：1未上报/2待审核/3已审核 ,
 * storeRatinsList (Array[StoreRatingsRankInfo], optional):
 * <p>
 * 门店上报等级信息
 * }
 */
public class StoreRatingsRankGroup {
    private String shopLevel;

    private String shopRatingFlag;

    private List<RatingsDetailQueryEntity> storeRatinsList;

    public String getShopLevel() {
        return shopLevel;
    }

    public void setShopLevel(String shopLevel) {
        this.shopLevel = shopLevel;
    }

    public String getShopRatingFlag() {
        return shopRatingFlag;
    }

    public void setShopRatingFlag(String shopRatingFlag) {
        this.shopRatingFlag = shopRatingFlag;
    }

    public List<RatingsDetailQueryEntity> getStoreRatinsList() {
        return storeRatinsList;
    }

    public void setStoreRatinsList(List<RatingsDetailQueryEntity> storeRatinsList) {
        this.storeRatinsList = storeRatinsList;
    }
}