package com.wgmf.yxgj.wxapi;

import android.os.Bundle;

import com.tencent.mm.sdk.modelbase.BaseReq;
import com.tencent.mm.sdk.modelbase.BaseResp;
import com.tencent.mm.sdk.openapi.IWXAPI;
import com.tencent.mm.sdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.sdk.openapi.WXAPIFactory;
import com.wgmf.library.global.AppParams;

import com.wgmf.yxgj.base.BaseActivity;
import com.wgmf.yxgj.R;

/**
 * @author XP
 */
@SuppressWarnings("all")
public class WXEntryActivity extends BaseActivity implements IWXAPIEventHandler {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_wxentry);
        IWXAPI api = WXAPIFactory.createWXAPI(this, AppParams.WXAPP_ID, false);
        api.registerApp(AppParams.WXAPP_ID);
        api.handleIntent(getIntent(), this);
    }

    @Override
    public void onBackPressed() {
        super.onBackPressed();
    }

    @Override
    public void onReq(BaseReq baseReq) {
    }

    @Override
    public void onResp(BaseResp baseResp) {
        // showNotifyMessage("resp.errCode:" + baseResp.errCode +
        // ",resp.errStr:"
        // + baseResp.errStr);
        switch (baseResp.errCode) {
            case BaseResp.ErrCode.ERR_OK:
                // 分享成功
                showMsg("分享成功!!");
                break;
            case BaseResp.ErrCode.ERR_USER_CANCEL:
                // 分享取消
                break;
            case BaseResp.ErrCode.ERR_AUTH_DENIED:
                // 分享拒绝
                break;
            default:
                break;
        }
        finish();// 此功能为点击返回某程序，非停在微信时调用
    }
}