package com.wgmf.yxgj.bussiness.terminaldisplay.model;

import java.util.List;

/**
 * auditStatus (integer, optional):审核状态, 1待提交、2待审核可修改、3已审核可整改、4整改后待审核、5整改后已审核、6免提交 ,
 detailId (integer, optional):门店任务id ,
 endTime (string, optional):结束时间 ,
 isSpecial (integer, optional):是否特殊，0否，1是 ,
 missionName (string, optional):任务名称 ,
 missionType (integer, optional):任务类别，1常规，2活动 ,
 shopStatus (integer, optional):门店状态, 1待提交、2待审核可修改、3已审核可整改、4可再次整改、5免提交、6已截止 ,
 startTime (string, optional):开始时间 ,
 storeName (string, optional):门店名称 ,
 storeNo (string, optional):门店号 ,
 submitList (Array[ExhibitSubmit], optional)
 */
public class ExhibitMissionEntity {

    private String auditStatus;
    private String detailId;
    private String startTime;
    private String endTime;
    private String isSpecial;
    private String missionName;
    private String storeName;
    private String storeNo;
    private String shopStatus;
    private String missionRemark;

    private List<ExhibitSubmit> submitList;

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getIsSpecial() {
        return isSpecial;
    }

    public void setIsSpecial(String isSpecial) {
        this.isSpecial = isSpecial;
    }

    public String getMissionName() {
        return missionName;
    }

    public void setMissionName(String missionName) {
        this.missionName = missionName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreNo() {
        return storeNo;
    }

    public void setStoreNo(String storeNo) {
        this.storeNo = storeNo;
    }

    public String getShopStatus() {
        return shopStatus;
    }

    public void setShopStatus(String shopStatus) {
        this.shopStatus = shopStatus;
    }

    public List<ExhibitSubmit> getSubmitList() {
        return submitList;
    }

    public void setSubmitList(List<ExhibitSubmit> submitList) {
        this.submitList = submitList;
    }

    public String getMissionRemark() {
        return missionRemark;
    }

    public void setMissionRemark(String missionRemark) {
        this.missionRemark = missionRemark;
    }
}
