package com.wgmf.yxgj.bussiness.terminaldisplay.service;

import com.wgmf.yxgj.global.ConstantParams;

public class DataTransform {
    /**
     * 任务类别转换
     *
     * @param missionType  (integer, optional):任务类别,1常规，2活动 ,
     */
    public static String getMissionType(String missionType) {
        String status = "未知";
        switch (missionType) {
            case ConstantParams.CONSTANT_PARAMS_1:
                status = "常规";
                break;
            case ConstantParams.CONSTANT_PARAMS_2:
                status = "活动";
                break;
            default:
                break;
        }
        return status;
    }

    /**
     * 任务类别转换
     *
     * @param missionType  (integer, optional):任务类别,1常规，2活动 ,
     */
    public static String getMissionTypeString(String missionType) {
        String type = ConstantParams.CONSTANT_PARAMS_0;
        switch (missionType) {
            case "常规":
                type = ConstantParams.CONSTANT_PARAMS_1;
                break;
            case "活动":
                type = ConstantParams.CONSTANT_PARAMS_2;
                break;
            default:
                break;
        }
        return type;
    }
    /**
     * 门店状态转换
     *
     * @param shopStatus (integer, optional):门店状态, 1待提交、2待审核可修改、3已审核可整改、4可再次整改、5免提交、6已截止 ,
     * @return
     */
    public static String getShopStatus(String shopStatus) {
        String status = "未知";
        switch (shopStatus) {
            case ConstantParams.CONSTANT_PARAMS_1:
                status = "待提交";
                break;
            case ConstantParams.CONSTANT_PARAMS_2:
                status = "待审核可修改";
                break;
            case ConstantParams.CONSTANT_PARAMS_3:
                status = "已审核可整改";
                break;
            case ConstantParams.CONSTANT_PARAMS_4:
                status = "可再次整改";
                break;
            case ConstantParams.CONSTANT_PARAMS_5:
                status = "免提交";
                break;
            case ConstantParams.CONSTANT_PARAMS_6:
                status = "已截止";
                break;
            default:
                break;
        }
        return status;
    }
    /**
     * 门店状态转换
     *
     * @param shopStatus (integer, optional):门店状态, 1待提交、2待审核可修改、3已审核可整改、4可再次整改、5免提交、6已截止 ,
     * @return
     */
    public static String getMissionStatusString(String shopStatus) {
        String status = ConstantParams.CONSTANT_PARAMS_0;
        switch (shopStatus) {
            case "待提交":
                status = ConstantParams.CONSTANT_PARAMS_1;
                break;
            case "待审核可修改":
                status = ConstantParams.CONSTANT_PARAMS_2;
                break;
            case "已审核可整改":
                status =  ConstantParams.CONSTANT_PARAMS_3;
                break;
            case "可再次整改":
                status = ConstantParams.CONSTANT_PARAMS_4;
                break;
            case "免提交":
                status = ConstantParams.CONSTANT_PARAMS_5;
                break;
            case "已截止":
                status = ConstantParams.CONSTANT_PARAMS_6;
                break;
            default:
                break;
        }
        return status;
    }
}
