package com.wgmf.yxgj.bussiness.terminaldisplay.service.protocol;

import com.squareup.okhttp.FormEncodingBuilder;

/**
 * @author xiep on 2020/6/29 9:29
 *
 * detailId 门店任务id query 	integer
userNo 提交人工号 query 	string
userName 提交人名字 query 	string
remark 备注说明 query 	string
submitUrl 图片url,多张图片用,隔开 query 	string
 */
@SuppressWarnings("all")
public class AddMissionSetting {

    public static class AddMissionReq {

        private String detailId;
        private String userNo;
        private String userName;
        private String remark;
        private String submitUrl;

        public String getDetailId() {
            return detailId;
        }

        public void setDetailId(String detailId) {
            this.detailId = detailId;
        }

        public String getUserNo() {
            return userNo;
        }

        public void setUserNo(String userNo) {
            this.userNo = userNo;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getSubmitUrl() {
            return submitUrl;
        }

        public void setSubmitUrl(String submitUrl) {
            this.submitUrl = submitUrl;
        }

        /**
         * 添加上报数据
         */
        public void addParams(FormEncodingBuilder builder) {
            if (null != this.detailId && this.detailId.length() > 0) {
                builder.add("detailId", this.detailId);
            }
            if (null != this.userNo && this.userNo.length() > 0) {
                builder.add("userNo", this.userNo);
            }
            if (null != this.userName && this.userName.length() > 0) {
                builder.add("userName", this.userName);
            }
            if (null != this.remark && this.remark.length() > 0) {
                builder.add("remark", this.remark);
            }
            if (null != this.submitUrl && this.submitUrl.length() > 0) {
                builder.add("submitUrl", this.submitUrl);
            }
        }
    }
}