package com.wgmf.library.base;
/**
 *
 * @author XiePing
 * @time 2016/5/13 15:54
 */
@SuppressWarnings("all")
public class ResultData {
    public int taskID;

    private boolean success = false;
    /**
     * 提示信息
     */
    private String resultInfo;
    /**
     * 返回码
     */
    private String ret;
    /**
     * 返回数据
     */
    private String retInfo;

    private Object data;

    private BaseRequest request;

    public int getTaskID() {
        return taskID;
    }

    public void setTaskID(int taskID) {
        this.taskID = taskID;
    }

    public String getInfo() {
        return retInfo;
    }

    public void setInfo(String info) {
        this.retInfo = info;
    }

    public BaseRequest getRequest() {
        return request;
    }

    public void setRequest(BaseRequest request) {
        this.request = request;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public boolean isSuccessed() {
        return success && null != retInfo;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getResultInfo() {
        return resultInfo;
    }

    public void setResultInfo(String resultInfo) {
        this.resultInfo = resultInfo;
    }

    public String getResultCode() {
        return ret;
    }

    public void setResultCode(String resultCode) {
        this.ret = resultCode;
    }


    @Override
    public String toString() {
        return "ResultData{" +
                "taskID=" + taskID +
                ", success=" + success +
                ", resultInfo='" + resultInfo + '\'' +
                ", ret='" + ret + '\'' +
                ", retInfo='" + retInfo + '\'' +
                ", data=" + data +
                ", request=" + request +
                '}';
    }

    /**
     *
     * Created by XiePing on 2016/5/13.
     */
    public interface BusinessCallback {
        void onBusinessResult(ResultData result);
    }
}
