package com.wgmf.library.utils;

/**
 * java取整，四舍五入，截取，进位方法整理。
 *
 * @author xiep  on 2017/3/30 10:20
 */
@SuppressWarnings("all")
public class CastingNumbers {
    /**
     * @param num   待处理数据
     * @param digit 位数
     * @return 四舍五入取整数据
     */
    public static double doRound(double num, int digit) {
        double divisor = 1.0 * Math.pow(10, digit);
        try {
            return (Math.round(num * divisor) / divisor);
        } catch (Exception e) {
            return 0;
        }
    }
}