package com.wgmf.library.wx_share;

import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import android.util.Log;

import com.wgmf.library.global.AppParams;

import java.io.ByteArrayOutputStream;

/**
 * @author xiep
 */
class WechatShareUtil {

    static String getWeixinAppId() {
        return AppParams.WXAPP_ID;
    }

    static byte[] bmpToByteArray(final Bitmap bmp) {
        ByteArrayOutputStream output = new ByteArrayOutputStream();
        bmp.compress(CompressFormat.PNG, 100, output);
        bmp.recycle();
        byte[] result = output.toByteArray();
        try {
            output.close();
        } catch (Exception e) {
            Log.e("WechatShareUtil", "Error bmpToByteArray:", e);
        }
        return result;
    }
}