package com.xp.arouter.IInterceptor;

import android.content.Context;

import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.annotation.Interceptor;
import com.alibaba.android.arouter.facade.callback.InterceptorCallback;
import com.alibaba.android.arouter.facade.template.IInterceptor;
import com.xp.arouter.CommonStation;

@Interceptor(priority = 3, name = "拦截未选择门店")
public class ShopIInterceptor implements IInterceptor {
    @Override
    public void process(Postcard postcard, InterceptorCallback callback) {
        if (postcard.getExtra() == CommonStation.CHECK_SHOP && !CommonStation.checkShop()) {
            callback.onInterrupt(new RuntimeException("拦截未选择门店"));
        } else {
            callback.onContinue(postcard);
        }
    }

    @Override
    public void init(Context context) {

    }
}
