package com.xp.arouter.IInterceptor;

import android.content.Context;

import com.alibaba.android.arouter.facade.Postcard;
import com.alibaba.android.arouter.facade.annotation.Interceptor;
import com.alibaba.android.arouter.facade.callback.InterceptorCallback;
import com.alibaba.android.arouter.facade.template.IInterceptor;
import com.xp.arouter.CommonStation;

@Interceptor(priority = 2, name = "时间错误拦截器")
public class TimeIInterceptor implements IInterceptor {
    @Override
    public void process(Postcard postcard, InterceptorCallback callback) {
        if (postcard.getExtra() == CommonStation.CHECK_TIME && !CommonStation.checkTime()) {
            callback.onInterrupt(new RuntimeException("时间错误"));
        } else {
            callback.onContinue(postcard);
        }
    }

    @Override
    public void init(Context context) {

    }
}
