package com.xp.arouter;

/**
 * 资源URL
 *
 * @author xiep
 */
public class RouterParams {

    private RouterParams() {
    }

    /**
     * 数据列表
     */
    public static final String URL_DATALISTACTIVITY = "/publics/ui/DataListActivity";
    /**
     * 最近门店列表
     */
    public static final String URL_SELECTORSTOREGETNEARESTACTIVITY = "/publics/ui/SelectorStoreGetNearestActivity";
    /**
     * 城市范围内最近门店列表
     */
    public static final String URL_URL_SELECTORCITYSTOREGETNEARESTACTIVITY = "/publics/ui/SelectorCityStoreGetNearestActivity";
    /**
     * home页面
     */
    public static final String URL_HOMEACTIVITY = "/mainmodule/ui/HomeActivity";
    /**
     * 开发者选项列表页面
     */
    public static final String URL_DEVELOPERACTIVITY = "/mainmodule/ui/DeveloperActivity";
    /**
     * H5页面
     */
    public static final String URL_HTML5DETAILACTIVITY = "/basewebview/ui/Html5DetailActivity";
    /**
     * 登录页面
     */
    public static final String URL_LOGINACTIVITY = "/loginmodule/LoginActivity";
    /**
     * 组织选择页
     */
    public static final String URL_ORGSELECTORACTIVITY = "/loginmodule/ui/OrgSelectorActivity";
    /**
     * 升级页面
     */
    public static final String URL_UPDATEMANAGER = "/other/UpdateManager";
    /**
     * 消息列表页面
     */
    public static final String URL_MESSAGEACTIVITY = "/messagemodle/MessageActivity";
    /**
     * 录音页面
     */
    public static final String URL_SOUNDRECORDER = "/soundrecorder/ui/SoundRecorder";
    /**
     * 问题上报
     */
    public static final String URL_REPORTPROBLEMSACTIVITY = "/reportproblem/ui/ReportProblemsActivity";
    /**
     * 问题上报类型选择列表
     */
    public static final String URL_SELECTORPROBLEMTYPEACTIVITY = "/reportproblem/ui/SelectorProblemTypeActivity";
    /**
     * 特殊活动上报
     */
    public static final String URL_REPORTACTDETAILACTIVITY = "/reportact/ui/ReportActDetailActivity";
    /**
     * 评级上报列表
     */
    public static final String URL_RATINGSSHOPLISTACTIVITY = "/reportrating/ui/RatingsShopListActivity";
    /**
     * 评级上报
     */
    public static final String URL_REPORTRATINGSDETAILACTIVITY = "/reportrating/ui/ReportRatingsDetailActivity";
    /**
     * 月计划与总结批复
     */
    public static final String URL_MONTHREPORTACTIVITY = "/reportmonthly/ui/MonthReportActivity";
    /**
     * 月计划与总结查询
     */
    public static final String URL_QUERYMONTHLYCONDITIONSACTIVITY = "/reportmonthly/ui/QueryMonthlyConditionsActivity";
    /**
     * 巡店辅导
     */
    public static final String URL_TOURSHOPREPORTLISTACTIVITY = "/reporttourshop/ui/TourShopReportListActivity";
    /**
     * Ibeacan上报/查询
     */
    public static final String URL_IBEACONREPORTLISTACTIVITY = "/reportibeacon/ui/IbeaconReportListActivity";
    /**
     * 员工入职
     */
    public static final String URL_STAFFENTRYACTIVITY = "/managestaff/ui/StaffEntryActivity";
    /**
     * 员工离职
     */
    public static final String URL_STAFFDIMISSIONACTIVITY = "/managestaff/ui/StaffDimissionActivity";
    /**
     * 离职/在职分配审核
     */
    public static final String URL_RESIGNORWORKINGASSIGNMENTREVIEWACTIVITY = "/managestaff/ui/ResignOrWorkingAssignmentReviewActivity";
    /**
     * 企微顾客分配
     */
    public static final String URL_QIWEICUSTOMERSASSIGNMENTACTIVITY = "/managestaff/ui/QiWeiCustomersAssignmentActivity";
    /**
     * 员工查询人员列表
     */
    public static final String URL_SELECTORSTAFFACTIVITY = "/managestaff/ui/SelectorStaffActivity";
    /**
     * 员工信息修改
     */
    public static final String URL_STAFFAMENDACTIVITY = "/managestaff/ui/StaffAmendActivity";
    /**
     * 员工信息审批
     */
    public static final String URL_STAFFAPPROVEACTIVITY = "/managestaff/ui/StaffApproveActivity";

    /**
     * 新员工入职办理
     */
    public static final String URL_NEWSTAFFINDUCTIONACTIVITY = "/managestaff/ui/NewStaffInductionActivity";

    /**
     * 流动营养顾问排班
     */
    public static final String URL_NUTCONSULTANT_SCHEDULING_ACTIVITY = "/managestaff/ui/SchedulingNutConsultantActivity";
    /**
     * 订货审核
     */
    public static final String URL_GOODSAUDITINGSHOPLISTACTIVITY = "/manageproduct/ui/GoodsAuditingShopListActivity";

    /**
     * 订货加单入口列表
     */
    public static final String URL_GOODSADDORDERENTRYLISTACTIVITY = "/manageproduct/ui/GoodsAddOrderEntryListActivity";

    /**
     * 订货加单 主页面
     */
    public static final String URL_ORDERGOODSSUBMITACT = "/manageproduct/ui/OrderGoodsSubmitAct";

    /**
     * 到家业务库存查询
     */
    public static final String URL_HOMEBUSINESSSTOCKACT = "/manageproduct/ui/HomeBusinessStockAct";

    /**
     * 到家业务库存明细
     */
    public static final String URL_HOMESTOCKDETAILACT = "/manageproduct/ui/HomeStockDetailAct";

    /**
     * 盘点查询/修改
     */
    public static final String URL_GOODSSTOCKCHECKSHOPLISTACTIVITY = "/manageproduct/ui/GoodsStockCheckShopListActivity";

    /**
     * 资材收货
     */
    public static final String URL_CAPITALRECEIPTSLISTACTIVITY = "/managecapital/ui/CapitalReceiptsListActivity";
    /**
     * 资材库存查询
     */
    public static final String URL_CAPITALSTOCKSHOPLISTACTIVITY = "/managecapital/ui/CapitalStockShopListActivity";
    /**
     * 产品调入调出
     */
    public static final String URL_GOODSTRANSFERREDINOROUTACTIVITY = "/manageproduct/ui/GoodsTransferredInOrOutActivity";
    /**
     * 查询产品调入调出
     */
    public static final String URL_GOODSTRANSFERREDINOROUTSHOPLISTACTIVITY = "/manageproduct/ui/GoodsTransferredInOrOutShopListActivity";
    /**
     * 资材调拨
     */
    public static final String URL_CAPITALTRANSFERREDINOROUTACTIVITY = "/managecapital/ui/CapitalTransferredInOrOutActivity";
    /**
     * 销售预测
     */
    public static final String URL_SALEFORECASTSHOPACTIVITY = "/managesales/ui/SaleForecastShopActivity";
    /**
     * 新客拉新上报
     */
    public static final String URL_REPORTNEWCUSDETAILACTIVITY = "/reportact/ui/ReportNewCusDetailActivity";

    /**
     * 上报反馈查询
     */
    public static final String URL_REPORTPROBLEMERRORQUERYACTIVITY = "/reportproblem/ui/ReportProblemErrorQueryActivity";
    /**
     * 机修工单提交
     */
    public static final String URL_RREPORTMECHANICORDERACTIVITY = "/reportproblem/ui/mechanicorder/ReportMechanicOrderActivity";
    /**
     * 机修工单查询
     */
    public static final String URL_QUERYMECHANICORDERACTIVITY = "/reportproblem/ui/mechanicorder/QueryMechanicOrderActivity";
    /**
     * 客户拜访
     */
    public static final String URL_CUSTOMERVISITACTIVITY = "/manageka/ui/CustomerVisitActivity";
    /**
     * 拜访查询
     */
    public static final String URL_CUSTOMERVISITQUERYACTIVITY = "/manageka/ui/CustomerVisitQueryActivity";
    /**
     * 面试评估
     */
    public static final String URL_INTERVIEWASSESSMENTACTIVITY = "/managestaff/ui/InterviewAssessmentActivity";
    /**
     * 大数据上报
     */
    public static final String URL_BIGDATAMANAGERACTIVITY = "/reportbigdata/ui/BigDataManagerActivity";
    /**
     * 人才库
     */
    public static final String URL_TALENTPOOLSHOPACTIVITY = "/talentpool/ui/TalentPoolShopActivity";
    /**
     * 会员日全员下店
     */
    public static final String URL_MENBERDAYACTIVITY = "/memberday/ui/MenberDayActivity";
    /**
     * 会员日全员下店查询
     */
    public static final String URL_MENBERDAYLISTACTIVITY = "/memberday/ui/MenberDayListActivity";
    /**
     * 兼职督察登录填写姓名页面
     */
    public static final String URL_PART_TIME_LOGIN_ACTIVITY = "/parttime/ui/PartTimeLoginActivity";


    /**
     * 盘点信息录入
     */
    public static final String URL_PART_TIME_INVENTORY_SHOP_INFO_ACTIVITY = "/parttime/ui/PartTimeInventoryShopInfoActivity";

    /**
     * 门店检查结果录入
     */
    public static final String URL_PART_TIME_CHECK_RESULT_SHOP_INFO_ACTIVITY = "/parttime/ui/PartTimeCheckResultShopInfoActivity";
    /**
     * 兼职督察盘点信息录入
     */
    public static final String URL_PARTTIME_TAKESTOCK_LOCK_ACTIVITY = "/parttime/ui/PartTimeTakeStockLockActivity";

    /**
     * 兼职督察门店检查结果录入
     */
    public static final String URL_PARTTIME_TOURSHOP_CHECK_ACTIVITY = "/parttime/ui/PartTimeTourShopCheckActivity";
    /**
     * 兼职督察——我的检查
     */
    public static final String URL_PARTTIMEQUERYMANAGERACTIVITY = "/parttime/ui/ParttimeQueryManagerActivity";
    /**
     * 专项上报列表
     */
    public static final String URL_REPORTMODULELISTACTIVITY = "/reportmodule/ui/ReportModuleListActivity";
    /**
     * 专项上报明细
     */
    public static final String URL_REPORTMODULEDETAILACTIVITY = "/reportmodule/ui/ReportModuleDetailActivity";
    /**
     * 能力发展Star与计划
     */
    public static final String URL_STARPLANWRITEACTIVITY = "/starplan/ui/StarPlanWriteActivity";
    /**
     * 能力发展Star辅导批复
     */
    public static final String URL_STARPLANREPLYACTIVITY = "/starplan/ui/StarPlanReplyActivity";
    /**
     * 顾问人才评估
     */
    public static final String URL_EMPLOY_TALENTS_LIST_ACTIVITY = "/employability/ui/EmployTalentsListActivity";
    /**
     * 顾问亮灯状态
     */
    public static final String URL_STARS_LIGHTS_LIST_ACTIVITY = "/employability/ui/StarsLightsListActivity";
    /**
     * 顾客评论
     */
    public static final String URL_EVALUATION_LIST_ACTIVITY = "/employability/ui/EvaluationListActivity";
    /**
     * 员工能力评估
     */
    public static final String URL_EMPLOY_ABILITY_LIST_ACTIVITY = "/employability/ui/EmployAbilityListActivity";
    /**
     * 入职培训导师分配/入职评估
     */
    public static final String URL_NEW_WORKER_LIST_ACTIVITY = "/newworkertrain/ui/NewWorkerListActivity";
    /**
     * 员工能力查询门店分页页面
     */
    public static final String URL_EMPLOY_ABILITY_QUERY_SHOP_ACTIVITY = "/employability/ui/EmployAbilityQueryShopActivity";
    /**
     * 员工能力查询门店分页页面
     */
    public static final String URL_EMPLOY_ABILITY_QUERY_PERSON_ACTIVITY = "/employability/ui/EmployAbilityQueryPersonActivity";
    /**
     * 终端陈列整改门店列表
     */
    public static final String URL_TERMINAL_DISPLAY_SHOP_ACTIVITY = "/terminaldisplay/ui/TerminalDisplayShopActivity";
    /**
     * 到家业务
     */
    public static final String URL_HOME_BUSINESS_ACTIVITY = "/reporthome/ui/HomeBusinessActivity";
    /**
     * 到家业务提交页面
     */
    public static final String URL_HOME_BUSINESS_EDIT_ACTIVITY = "/reporthome/ui/HomeBusinessEditActivity";
    /**
     * 自定义任务页面
     */
    public static final String URL_CUSTOM_TASK_ACTIVITY = "/customtask/ui/CustomTaskActivity";
    /**
     * 月度目标系数
     */
    public static final String URL_MONTHLY_TARGET_COEFFICIENT_ACTIVITY = "/targetcoefficient/ui/MonthlyTargetCoefficientActivity";


}