package com.wgmf.yxgj.module.bussiness.customtask.model

import com.wgmf.yxgj.global.ConstantParams
import java.io.Serializable

/**
 * 分页查询自定义任务列表
 */
data class CustomTaskRequest(
    val staffId: String,  //创建人工号
    val platform: Int = ConstantParams.CONSTANT_STARTS_2,  //展示平台：1-精准后台,2-营销管家
    val page: Int,
    val size: Int = ConstantParams.CONSTANT_STARTS_10
)


/**
 * 创建自定义任务
 */
class CreateCustomTaskBean :Serializable{
    var saleStartDate: String? = null  //上一次购买开始时间
    var saleEndDate: String? = null   //上一次购买结束时间
    var staffId: String? = null //	创建人工号
    var taskName: String? = null //任务名称
    var areaId: String? = null //大区id
    var officeId: String? = null //办事处id
    var labelInfoIdList: List<Int>? = null  //标签id集合
    var cusGradeList: List<Int>? = null  //	会员等级列表：0预备会员;1谷谷卡;2银谷卡;3金谷卡;4钻谷卡
    var cusType: Int? = null //	会员类型:0-新会员,1-老会员
    var orderMin: String? = null //	客单价 最小值
    var orderMax: String? = null //	客单价 最大值
    var shopIdList: List<String>? = null //门店id集合
    var designatedShopId: String? = null //指定门店
    var consTimes: String? = null   //消费(含)多少次数以上
    var overdue:String? = null //	积分过期(含)多少天过期
    var usablePoints: String? = null //积分(含)多少可用
    var prodCodeList: List<String>? = null //产品列表
    var activityIdList: List<String>? = null //参与促销活动列表
    var partnerId: Int? = null  //指定商超系统
    var notBoughtDay: String? = null  //间隔多少天未回头
    var careStartDate: String? = null  //开始关怀时间
    var careEndDate: String? = null    //	结束关怀时间
}