package com.wgmf.yxgj.module.bussiness.customtask.model

import com.wgmf.library.base.BaseResponse

/**
 * 品牌信息
 */
data class LabelInfoEntity(val payload: List<LabelInfoBean>?) : BaseResponse() {
    data class LabelInfoBean(
        var isChecked: Boolean = false,  //是否选中
        val labelGroupId: Int,  //标签组ID
        val labelGroupName: String?,  //标签组名称
        val selectType: Int,    //	标签组选择类型 1 多选 2 单选
        val labels: List<LabelBean>?
    ) {
        data class LabelBean(
            val labelId: Int,  //标签Id
            val labelName: String?,  //	标签名称
            val id: Int = -1,  //标签主键id
            var isSelected: Boolean = false  //是否选中
        )
    }
}