package com.wgmf.yxgj.module.bussiness.customtask.model

import com.wgmf.library.base.BaseResponse

/**
 * 办事处门店实体类
 *        @ApiModelProperty(value = "ID")
private String Id;

@ApiModelProperty(value = "门店ID")
private String storeId;

@ApiModelProperty(value = "门店名称")
private String storeName;

@ApiModelProperty(value = "门店地址")
private String address;

@ApiModelProperty(value = "经度")
private double lng;

@ApiModelProperty(value = "纬度")
private double lat;

@ApiModelProperty(value = "和给定地点的距离")
private double distance;

@ApiModelProperty(value = "门店所属城市区域id")
private Integer shopCityCountryID;

@ApiModelProperty(value = "两店三人标识： 0是；1不是")
private Long isLDSR;

@ApiModelProperty(value = "门店两店三人编码 （编码相同，则属于同一组）")
private String lDSRCode;

@ApiModelProperty(value = "营养顾问")
private List<Staff> staff;

@ApiModelProperty(value = "禁止销售标识： 0可销售；1禁止销售")
private Long forbidsale;

@ApiModelProperty(value = "营养顾问名字")
private String staffName;

@ApiModelProperty(value = "营养顾问电话")
private String staffPhone;

@ApiModelProperty(value = "营养顾问工号")
private String staffId;

@ApiModelProperty(value = "OE角色（1.营养顾问  2.流动营养顾问）")
private String roleStatus;
 */
data class ShopInfoByOrgAndMarketEntity(val data: List<ShopInfoByOrgAndMarketBean>) :
    BaseResponse() {
    data class ShopInfoByOrgAndMarketBean(
        val Id: String?,
        val storeId: String?,
        val storeName: String?,
        val address: String,
        val lng: Double,
        val lat: Double,
        val distance: Double,
        val shopCityCountryID: Int,
        val isLDSR: Long,
        val lDSRCode: String?,
        val staff: List<Staff>?,
        val forbidsale: Long,
        var isCheck: Boolean = false
    ) {
        data class Staff(
            val staffName: String?,
            val staffPhone: String?,
            val staffId: String?,
            val roleStatus: String?
        )


    }
}