package com.wgmf.yxgj.module.bussiness.customtask.model

import com.wgmf.library.base.BaseResponse


data class ShopSalesOrgRequest( val areaId: String? = "",val officeId: String? = "")

/**
 * 查询活跃的门店销售组织数据（有客户购买过的门店）
 */
data class ShopSalesOrgEntity(val payload: ShopSalesOrgBean?) : BaseResponse() {
    data class ShopSalesOrgBean(
        val areaList: List<OrgBean>?,  //大区列表
        val officeList: List<OrgBean>?, //办事处列表
        val shopList: List<OrgBean>?   //门店列表
    ) {
        data class OrgBean(
            val orgId: String?,  //	组织id
            val orgName: String?, //	组织名称
            var isCheck: Boolean = false
        )
    }
}