package com.wgmf.yxgj.module.bussiness.customtask.ui.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.wgmf.yxgj.module.bussiness.customtask.R
import com.wgmf.yxgj.module.bussiness.customtask.model.ShopSalesOrgEntity

/**
 * 办事处列表适配器
 * @author LW
 */
class OfficeInfoByOrgAndMarketListAdapter(
    entity: List<ShopSalesOrgEntity.ShopSalesOrgBean.OrgBean>
) : BaseQuickAdapter<ShopSalesOrgEntity.ShopSalesOrgBean.OrgBean, BaseViewHolder>(
    R.layout.item_dailog_select_view,
    entity
) {

    override fun convert(
        helper: BaseViewHolder?,
        item: ShopSalesOrgEntity.ShopSalesOrgBean.OrgBean?
    ) {
        helper?.apply {
            item?.let {
                setText(
                    R.id.dialog_select_choose_tv, it.orgName
                )
            }
        }
    }
}