package com.wgmf.yxgj.module.business.employability.newworkertrain.model;

import java.util.List;

/**
 * ids (integer, optional),
 * trainUserId (integer, optional):入职顾问培训id(MKT_NewWorker_TRAIN_User的主键) ,
 * trainWeekId (integer, optional):周id ,
 * trainWeekName (string, optional):周 ,
 * weekItemList (Array[NewWorkerTrainUserWeekItem], optional):周项目关系 ,
 * weekTitleList (Array[NewWorkerTrainUserWeekTitle], optional):周主题关系
 */
public class UserWeekListEntity {
    private boolean isChoice;
    private String ids;
    private String trainUserId;
    private String trainWeekId;
    private String trainWeekName;
    private String trainItemTime;
    private String itemTrainShopName;
    private String itemTrainShopId;
    private String trainMentorStaffId;
    private String trainMentorStaffName;

    private List<WeekItemListEntity> weekItemList;
    private List<WeekTitleListEntity> weekTitleList;
    private WorkerTrainTaskWirte workerTrainTaskWirte;
    private WorkerTrainContentM workerTrainContentM;

    public boolean isChoice() {
        return isChoice;
    }

    public void setChoice(boolean choice) {
        isChoice = choice;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getTrainUserId() {
        return trainUserId;
    }

    public void setTrainUserId(String trainUserId) {
        this.trainUserId = trainUserId;
    }

    public String getTrainWeekId() {
        return trainWeekId;
    }

    public void setTrainWeekId(String trainWeekId) {
        this.trainWeekId = trainWeekId;
    }

    public String getTrainWeekName() {
        return trainWeekName;
    }

    public void setTrainWeekName(String trainWeekName) {
        this.trainWeekName = trainWeekName;
    }

    public List<WeekItemListEntity> getWeekItemList() {
        return weekItemList;
    }

    public void setWeekItemList(List<WeekItemListEntity> weekItemList) {
        this.weekItemList = weekItemList;
    }

    public List<WeekTitleListEntity> getWeekTitleList() {
        return weekTitleList;
    }

    public void setWeekTitleList(List<WeekTitleListEntity> weekTitleList) {
        this.weekTitleList = weekTitleList;
    }

    public String getTrainItemTime() {
        return trainItemTime;
    }

    public void setTrainItemTime(String trainItemTime) {
        this.trainItemTime = trainItemTime;
    }

    public String getItemTrainShopName() {
        return itemTrainShopName;
    }

    public void setItemTrainShopName(String itemTrainShopName) {
        this.itemTrainShopName = itemTrainShopName;
    }

    public String getItemTrainShopId() {
        return itemTrainShopId;
    }

    public void setItemTrainShopId(String itemTrainShopId) {
        this.itemTrainShopId = itemTrainShopId;
    }

    public String getTrainMentorStaffId() {
        return trainMentorStaffId;
    }

    public void setTrainMentorStaffId(String trainMentorStaffId) {
        this.trainMentorStaffId = trainMentorStaffId;
    }

    public String getTrainMentorStaffName() {
        return trainMentorStaffName;
    }

    public void setTrainMentorStaffName(String trainMentorStaffName) {
        this.trainMentorStaffName = trainMentorStaffName;
    }

    public WorkerTrainTaskWirte getWorkerTrainTaskWirte() {
        return workerTrainTaskWirte;
    }

    public void setWorkerTrainTaskWirte(WorkerTrainTaskWirte workerTrainTaskWirte) {
        this.workerTrainTaskWirte = workerTrainTaskWirte;
    }

    public WorkerTrainContentM getWorkerTrainContentM() {
        return workerTrainContentM;
    }

    public void setWorkerTrainContentM(WorkerTrainContentM workerTrainContentM) {
        this.workerTrainContentM = workerTrainContentM;
    }
}