package com.wgmf.yxgj.module.business.employability.newworkertrain.ui;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.employability.R;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.NewWorkerTrainUserEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.WeekItemListEntity;
import com.wgmf.yxgj.widgets.TextView.MarqueeTextView;

import java.util.List;

@SuppressWarnings("all")
public class NewWorkerTrainEditChildAdapter1 extends BaseAdapter {
    private int index;
    private Context context;
    private ClickListener clickListener;
    private NewWorkerTrainUserEntity weekItemListEntities;
    private Drawable drawable;

    public interface ClickListener {

        void trainItemDateClick(NewWorkerTrainUserEntity data, int postion);
    }

    public void setListener(ClickListener listener) {
        this.clickListener = listener;
    }

    public void setData(NewWorkerTrainUserEntity weekItemListEntities, int index) {
        this.index = index;
        this.weekItemListEntities = weekItemListEntities;
    }

    public NewWorkerTrainEditChildAdapter1(Context context, ClickListener clickListener, NewWorkerTrainUserEntity weekItemListEntities) {
        this.context = context;
        this.clickListener = clickListener;
        this.weekItemListEntities = weekItemListEntities;
    }

    public List<WeekItemListEntity> getUploadData() {
        return weekItemListEntities.getUserWeekList().get(index).getWeekItemList();
    }

    @Override
    public int getCount() {
        return weekItemListEntities.getUserWeekList().get(index).getWeekItemList() == null ? 0 : weekItemListEntities.getUserWeekList().get(index).getWeekItemList().size();
    }

    @Override
    public Object getItem(int position) {
        return position;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    class ViewHolder {
        TextView trainItemTimeTv;
        TextView trainItemNameTv;
        TextView trainItemContentTv;
        MarqueeTextView trainItemShopTv;
        MarqueeTextView trainItemMentorTv;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup arg2) {
        final ViewHolder holder = new ViewHolder();
        convertView = LayoutInflater.from(context).inflate(R.layout.new_worker_train_edit_week_item, null);
        holder.trainItemTimeTv = (TextView) convertView.findViewById(R.id.train_item_time_tv);
        holder.trainItemShopTv = (MarqueeTextView) convertView.findViewById(R.id.train_item_shop_tv);
        holder.trainItemMentorTv = (MarqueeTextView) convertView.findViewById(R.id.train_item_mentor_tv);
        holder.trainItemNameTv = (TextView) convertView.findViewById(R.id.train_item_name_tv);
        holder.trainItemContentTv = (TextView) convertView.findViewById(R.id.train_item_content_tv);

        final WeekItemListEntity data = weekItemListEntities.getUserWeekList().get(index).getWeekItemList().get(position);
        //项目名称
        holder.trainItemNameTv.setText(data.getTrainItemName());
        holder.trainItemTimeTv.setText(data.getTrainItemTime());
        holder.trainItemContentTv.setText(data.getTrainItemContent());
        return convertView;
    }
}