package com.wgmf.yxgj.module.business.employability.newworkertrain.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.support.v4.content.ContextCompat;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.employability.R;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.NewWorkerTrainUserEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.WeekItemListEntity;

import java.util.List;

@SuppressWarnings("all")
public class NewWorkerTrainEditChildAdapter3 extends BaseAdapter {
    private int index;
    private boolean modify;
    private Context context;
    private String trainMentorStaffId;
    private NewWorkerTrainUserEntity weekItemListEntities = new NewWorkerTrainUserEntity();

    public void setData(NewWorkerTrainUserEntity weekItemListEntities, int index) {
        this.index = index;
        this.weekItemListEntities = weekItemListEntities;
    }

    public NewWorkerTrainEditChildAdapter3(Context context, String trainMentorStaffId, NewWorkerTrainUserEntity weekItemListEntities) {
        this.context = context;
        this.trainMentorStaffId = trainMentorStaffId;
        this.weekItemListEntities = weekItemListEntities;
    }

    public List<WeekItemListEntity> getUploadData() {
        return weekItemListEntities.getUserWeekList().get(index).getWeekItemList();
    }

    @Override
    public int getCount() {
        return weekItemListEntities.getUserWeekList().get(index).getWeekItemList() == null ? 0 : weekItemListEntities.getUserWeekList().get(index).getWeekItemList().size();
    }

    @Override
    public Object getItem(int position) {
        return position;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    class ViewHolder {
        TextView newWorkerTrainEvaluateTimeTv;
        TextView newWorkerTrainEvaluateNameTv;
        TextView newWorkerTrainEvaluateContentTv;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup arg2) {
        final ViewHolder holder = new ViewHolder();
        convertView = LayoutInflater.from(context).inflate(R.layout.new_worker_train_edit_evaluate_item, null);
        holder.newWorkerTrainEvaluateTimeTv = (TextView) convertView.findViewById(R.id.new_worker_train_evaluate_time_tv);
        holder.newWorkerTrainEvaluateNameTv = (TextView) convertView.findViewById(R.id.new_worker_train_evaluate_name_tv);
        holder.newWorkerTrainEvaluateContentTv = (TextView) convertView.findViewById(R.id.new_worker_train_evaluate_content_tv);
        convertView.setTag(holder);
        final WeekItemListEntity data = weekItemListEntities.getUserWeekList().get(index).getWeekItemList().get(position);
        holder.newWorkerTrainEvaluateTimeTv.setText(data.getTrainItemTime());
        if (!TextUtils.isEmpty(data.getTrainItemContent())) {
            holder.newWorkerTrainEvaluateNameTv.setText(data.getTrainItemContent());
        }
        if (!TextUtils.isEmpty(data.getWeekOneContentIsNot())) {
            if (data.getWeekOneContentIsNot().equals("1")) {
                holder.newWorkerTrainEvaluateContentTv.setText("是");
            } else if (data.getWeekOneContentIsNot().equals("2")) {
                holder.newWorkerTrainEvaluateContentTv.setText("否");
            }
            holder.newWorkerTrainEvaluateContentTv.setVisibility(View.VISIBLE);
        }else {
            holder.newWorkerTrainEvaluateContentTv.setVisibility(View.INVISIBLE);
        }
        return convertView;
    }
}