package com.wgmf.yxgj.module.business.employability.newworkertrain.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.support.v4.content.ContextCompat;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.EditText;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.employability.R;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.NewWorkerTrainUserEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.UserWeekListEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.WeekItemListEntity;
import com.wgmf.yxgj.module.business.employability.newworkertrain.model.WorkerTrainTaskWirte;

import java.util.List;

@SuppressWarnings("all")
public class NewWorkerTrainEditChildAdapter4 extends BaseAdapter {
    private int index;
    private boolean modify;
    private Context context;
    private String trainMentorStaffId;
    private NewWorkerTrainUserEntity weekItemListEntities = new NewWorkerTrainUserEntity();

    public void setData(NewWorkerTrainUserEntity weekItemListEntities, int index) {
        this.index = index;
        this.weekItemListEntities = weekItemListEntities;
    }

    public NewWorkerTrainEditChildAdapter4(Context context, String trainMentorStaffId, NewWorkerTrainUserEntity weekItemListEntities) {
        this.context = context;
        this.trainMentorStaffId = trainMentorStaffId;
        this.weekItemListEntities = weekItemListEntities;
    }

    public List<WeekItemListEntity> getUploadData() {
        return weekItemListEntities.getUserWeekList().get(index).getWeekItemList();
    }

    @Override
    public int getCount() {
        return 1;
    }

    @Override
    public Object getItem(int position) {
        return position;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    class ViewHolder {
        EditText newWorkerTrainEvaluateNameTv;
        TextView newWorkerTrainEvaluateContentTv;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup arg2) {
        final ViewHolder holder = new ViewHolder();
        convertView = LayoutInflater.from(context).inflate(R.layout.new_worker_train_edit_task_item, null);
        holder.newWorkerTrainEvaluateNameTv = (EditText) convertView.findViewById(R.id.new_worker_train_evaluate_task_content_tv);
        holder.newWorkerTrainEvaluateContentTv = (TextView) convertView.findViewById(R.id.new_worker_train_task_content_tv);
        convertView.setTag(holder);
        final UserWeekListEntity data = weekItemListEntities.getUserWeekList().get(index);
        //个人业绩目标
        if (null != data.getWorkerTrainTaskWirte() && !TextUtils.isEmpty(data.getWorkerTrainTaskWirte().getTaskContent())) {
            holder.newWorkerTrainEvaluateNameTv.setText(data.getWorkerTrainTaskWirte().getTaskContent());
        }
        if (null != data.getWorkerTrainContentM() && !TextUtils.isEmpty(data.getWorkerTrainContentM().getContent())) {
            holder.newWorkerTrainEvaluateContentTv.setText(data.getWorkerTrainContentM().getContent());
        }
        holder.newWorkerTrainEvaluateNameTv.addTextChangedListener(new TextWatcher() {
            @Override
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {

            }

            @Override
            public void onTextChanged(CharSequence s, int start, int before, int count) {

            }

            @Override
            public void afterTextChanged(Editable s) {
                if (!TextUtils.isEmpty(s))
                    //将输入的个人业绩目标填充到数据列表中
                    data.getWorkerTrainTaskWirte().setTaskContent(s.toString());
            }
        } );
        return convertView;
    }
}