package com.wgmf.yxgj.module.business.employability.oldworkertrain.model;

import com.wgmf.library.utils.StringUtil;

/**
 * infoItemsQualified (string, optional):项目是否合格：0合格；1不合格 ,
 * itemsId (integer, optional):项目id ,
 * itemsName (string, optional):项目名称 ,
 * itemsTrainRecordsFlag (string, optional):项目培训记录：1表示有培训记录；0无培训记录 ,
 * itemsType (string, optional):项目类别
 * itemsCounts (string, optional):培训次数
 */
public class AbilityItemsEntity {

    private String infoItemsQualified;
    private String itemsId;
    private String itemsName;
    private String itemsTrainRecordsFlag;
    private String itemsType;
    private int itemsTypeNo;
    private String trainigNum;

    public String getTrainigNum() {
        if(!StringUtil.isNotNullAndNotEmpty(trainigNum)){
            return "0";
        }
        return trainigNum;
    }

    public void setTrainigNum(String trainigNum) {
        this.trainigNum = trainigNum;
    }

    public String getInfoItemsQualified() {
        return infoItemsQualified;
    }

    public void setInfoItemsQualified(String infoItemsQualified) {
        this.infoItemsQualified = infoItemsQualified;
    }

    public String getItemsId() {
        return itemsId;
    }

    public void setItemsId(String itemsId) {
        this.itemsId = itemsId;
    }

    public String getItemsName() {
        return itemsName;
    }

    public void setItemsName(String itemsName) {
        this.itemsName = itemsName;
    }

    public String getItemsTrainRecordsFlag() {
        return itemsTrainRecordsFlag;
    }

    public void setItemsTrainRecordsFlag(String itemsTrainRecordsFlag) {
        this.itemsTrainRecordsFlag = itemsTrainRecordsFlag;
    }

    public String getItemsType() {
        return itemsType;
    }

    public void setItemsType(String itemsType) {
        this.itemsType = itemsType;
    }

    public int getItemsTypeNo() {
        return itemsTypeNo;
    }

    public void setItemsTypeNo(int itemsTypeNo) {
        this.itemsTypeNo = itemsTypeNo;
    }
}