package com.wgmf.yxgj.module.business.managecapital.model

/**
 * 资产收货详情实体类
 *
 * ReturnInfo«ZcshDetailResponse» {
 * msgCode (integer, optional): 0 操作成功，1 操作失败 ,
 * msgContent (string, optional): 操作错误信息提示 ,
 * result (ZcshDetailResponse, optional): 返回的数据对象 ,
 * resultList (Array[ZcshDetailResponse], optional): 返回的数据集合 ,
 * sysCode (integer, optional): 0 系统正常，1系统异常 ,
 * sysContent (string, optional): 服务器异常错误信息提示
 * }
 * ZcshDetailResponse {
 * proName (string, optional): 资产名称 ,
 * proNo (string, optional): 资产编号 ,
 * proQty (integer, optional): 资产数量 ,
 * zcshdid (integer, optional): 资产收货明细id ,
 * zcshid (integer, optional): 资产收货id
 * }
 */
class CapitalReceiptsUploadEntity(
    var operateStaffId: String?,
    var source: String?,
    var zcshid: Int,
    var zcshDetailRequestList: List<CapitalReceiptsDetailsEntity.CapitalReceiptsDetailsBean>?
)