package com.wgmf.yxgj.module.business.manageka.graph;

import com.wgmf.yxgj.graph.PerActivity;
import com.wgmf.yxgj.module.business.manageka.ui.customerVisit.CustomerVisitPresenter;
import com.wgmf.yxgj.module.business.manageka.ui.customerVisit.CustomerVisitView;

import dagger.Module;
import dagger.Provides;

/**
 * 作者：xiep on 2017/9/5 13:44
 * 邮箱：2975837870@qq.com
 */
@Module
public class CustomerVisitModule {
    private final CustomerVisitView mView;

    public CustomerVisitModule(CustomerVisitView view) {
        mView = view;
    }

    @PerActivity
    @Provides
    public CustomerVisitPresenter provideCustomerVisitPresenter() {
        return new CustomerVisitPresenter(mView);
    }
}