package com.wgmf.yxgj.module.business.manageproduct.model

import com.wgmf.library.base.BaseResponse

/**
 * Created by Sasuke on 2020-05-05
 */
data class HomeStockDetailEntity(var result: Result?,
                                 var sysContent: String?,
                                 var resultList: List<ResultList>?): BaseResponse() {
//    HomeStockの商品、商品コード、単位などは前のページから渡される、インターフェスはもう提供しない、ご注意ください
    data class Result(var proName: String?,//产品名字
                      var proNo: String?,//产品编码
                      var proUnit: String?,//产品单位
                      var marketName: String?,//商超名字
                      var orgName: String?,//组织名字
                      var homebusinessStockList: List<HomebusinessStockList>?) {
        data class HomebusinessStockList(var instantStock: Double?,//即时库存
                                         var ontheWayStock: Double?,//在途库存
                                         var orgId: String?,//门店号
                                         var code1: String?,//用于跳转下一级时传的组织编号值
                                         var orgName: String?,//门店名
                                         var totalStock: Double?)//合计库存
    }

    //好像下面这个并不会用，接口返回的只有上面那个Result

    data class ResultList(var marketName: String?,
                          var orgName: String?,
                          var proName: String?,
                          var proNo: String?,
                          var proUnit: String?,
                          var homebusinessStockList: List<HomebusinessStockList>?) {
        data class HomebusinessStockList(var instantStock: Double?,//即时库存
                                         var ontheWayStock: Double?,
                                         var orgId: String?,
                                         var orgName: String?,
                                         var totalStock: Double?)
    }
}