package com.wgmf.yxgj.module.business.manageproduct.model

import com.wgmf.yxgj.model.OrderGoodsAuditBatchDetail

/**
 * maxSuggestOrderGoodsNum (number, optional):最大建议订货量 ,
 * orderGoodsAmount (number, optional):订货金额 ,
 * orderGoodsAuditId (integer, optional):订货审核Id ,
 * orderGoodsAuditNum (number, optional):审核数量 ,
 * orderGoodsNum (number, optional):订货数量 ,
 * orderGoodsNumINControl (string, optional):订货数量是否管控 ,
 * orderGoodsStoreWeekDayAndCycle (OrderGoodsStoreWeekDayAndCycle, optional):订货审核门店周期和星期 ,
 * pdBillCode (string, optional):盘点单号 ,
 * pdId (integer, optional):盘点ID ,
 * productAlreadyOrderNum (number, optional):已提交数量 ,
 * productBigFatherType (string, optional):产品大类父类 ,
 * productBigType (string, optional):产品大类 ,
 * productBoxNum (number, optional):产品箱装数量 ,
 * productCode (string, optional):产品编码 ,
 * productFutureNum (number, optional):产品在途数量 ,
 * productId (integer, optional):产品Id ,
 * productIsNotStock (boolean, optional):产品是否缺货： true/缺货，false/不缺 ,
 * productLastMonthOrderNum (number, optional):近30天已订货数量 ,
 * productLastMonthSaleNum (number, optional):产品前30天销售数量 ,
 * productName (string, optional):产品名称 ,
 * productPrice (string, optional):产品价格 ,
 * productStockNum (number, optional):产品库存数量 ,
 * productUnit (string, optional):产品单位 ,
 * productUnitId (integer, optional):产品单位id ,
 * suggestOrderGoodsNum (number, optional):建议订货量 ,
 * productStockDayNum
 * type (string, optional):类型（是UPDATE =0 或 INSERT =1） ,
 */
data class OrderGoodsAuditDetailBatchListEntity(
    val resultList: MutableList<OrderGoodsAuditBatchDetail>?
)

