package com.wgmf.yxgj.module.business.manageproduct.model;

import java.io.Serializable;

/**
 * orderBrandId (integer, optional):订货单的品牌： 8 表示磨粉，15食补，0表示食补和磨粉单 ,
 * orderGoodsAuditAmount (number, optional): 订货金额 ,
 * orderGoodsAuditId (integer, optional): 订货审核Id ,
 * orderGoodsAuditState (string, optional): 订货审核单状态 ,
 * orderGoodsBillCode (string, optional): 订货审核单号 ,
 * orderGoodsCycle (integer, optional): 订货周期 ,
 * orderGoodsWeekDay (integer, optional): 订货星期 ,
 * saleAmount (number, optional): 近30天销售金额 ,
 * setOrderDate (string, optional): 制单日期 ,
 * storeName (string, optional): 门店名称 ,
 * storeNo (string, optional): 门店编号 ,
 * submitFlag (boolean, optional): true 表示按钮显示， false 表示按钮隐藏 ,
 * typeNum (integer, optional): 品项数
 *
 * @author XiePing on 2016/9/27 14:37
 */
public class OrderGoodsAuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private boolean submitFlag;

    private int orderstate;//1正常订货，2加单 ,

    private int orderBrandId;

    private String orderGoodsCycle;

    private String orderGoodsWeekDay;

    private String setOrderDate;

    private String storeName;

    private String storeNo;

    private String orderGoodsBillCode;

    private String saleAmount;

    private String orderGoodsAuditAmount;

    private int orderGoodsAuditId;

    private String orderGoodsAuditState;

    private int typeNum;

    public int getOrderstate() {
        return orderstate;
    }

    public void setSetOrderDate(String setOrderDate) {
        this.setOrderDate = setOrderDate;
    }

    public String getSetOrderDate() {
        return this.setOrderDate;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreName() {
        return this.storeName;
    }

    public void setStoreNo(String storeNo) {
        this.storeNo = storeNo;
    }

    public String getStoreNo() {
        return this.storeNo;
    }

    public void setOrderGoodsBillCode(String orderGoodsBillCode) {
        this.orderGoodsBillCode = orderGoodsBillCode;
    }

    public String getOrderGoodsBillCode() {
        return this.orderGoodsBillCode;
    }

    public void setSaleAmount(String saleAmount) {
        this.saleAmount = saleAmount;
    }

    public String getSaleAmount() {
        return this.saleAmount;
    }

    public void setOrderGoodsAuditAmount(String orderGoodsAuditAmount) {
        this.orderGoodsAuditAmount = orderGoodsAuditAmount;
    }

    public String getOrderGoodsAuditAmount() {
        return this.orderGoodsAuditAmount;
    }

    public void setOrderGoodsAuditId(int orderGoodsAuditId) {
        this.orderGoodsAuditId = orderGoodsAuditId;
    }

    public int getOrderGoodsAuditId() {
        return this.orderGoodsAuditId;
    }

    public void setOrderGoodsAuditState(String orderGoodsAuditState) {
        this.orderGoodsAuditState = orderGoodsAuditState;
    }

    public String getOrderGoodsAuditState() {
        return this.orderGoodsAuditState;
    }

    public void setTypeNum(int typeNum) {
        this.typeNum = typeNum;
    }

    public int getTypeNum() {
        return this.typeNum;
    }


    public boolean isSubmitFlag() {
        return submitFlag;
    }

    public void setSubmitFlag(boolean submitFlag) {
        this.submitFlag = submitFlag;
    }

    public String getOrderGoodsCycle() {
        return orderGoodsCycle;
    }

    public void setOrderGoodsCycle(String orderGoodsCycle) {
        this.orderGoodsCycle = orderGoodsCycle;
    }

    public String getOrderGoodsWeekDay() {
        return orderGoodsWeekDay;
    }

    public void setOrderGoodsWeekDay(String orderGoodsWeekDay) {
        this.orderGoodsWeekDay = orderGoodsWeekDay;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public void setOrderstate(int orderstate) {
        this.orderstate = orderstate;
    }

    public int getOrderBrandId() {
        return orderBrandId;
    }

    public void setOrderBrandId(int orderBrandId) {
        this.orderBrandId = orderBrandId;
    }
}