package com.wgmf.yxgj.module.business.manageproduct.model;

import com.wgmf.yxgj.model.FixedProductListEntity;

import java.io.Serializable;

/**
 *fixedProduct (FixedProduct, optional): 产品-传 产品id,产品编码,产品价格,产品名称,产品单位,产品单位id ,
 * produceDate (string, optional): 生产日期 ,
 * productAmount (number, optional): 调入调出总价 ,
 * productBillCode (string, optional): 产品BillCode/资材调拨时用 ,
 * productSock (integer, optional): 产品库存 ,
 * sh (boolean, optional),
 * isSh (int ,optional), 是否收货(0未收货，1收货，2拒收，3取回）
 * shDate (string, optional): 收货日期 ,
 * shUserName (string, optional): 收货人 ,
 * transferredInAndOutNum (number, optional): 调入调出数量
 */
@SuppressWarnings("all")
public class ProductTransferredInAndOutNumListEntity implements Serializable {
    private FixedProductListEntity fixedProduct;

    private String productBillCode;

    private double productSock;

    private double transferredInAndOutNum;

    private String produceDate;

    private boolean sh;

    private int isSh;

    private String shDate;

    private String shUserName;

    public void setFixedProduct(FixedProductListEntity fixedProduct) {
        this.fixedProduct = fixedProduct;
    }

    public FixedProductListEntity getFixedProduct() {
        return this.fixedProduct;
    }

    public void setProductBillCode(String productBillCode) {
        this.productBillCode = productBillCode;
    }

    public void setTransferredInAndOutNum(double transferredInAndOutNum) {
        this.transferredInAndOutNum = transferredInAndOutNum;
    }

    public double getTransferredInAndOutNum() {
        return this.transferredInAndOutNum;
    }

    public void setProductSock(double productSock) {
        this.productSock = productSock;
    }

    public String getProductBillCode() {
        return productBillCode;
    }

    public double getProductSock() {
        return productSock;
    }

    public String getProduceDate() {
        return produceDate;
    }

    public void setProduceDate(String produceDate) {
        this.produceDate = produceDate;
    }

    public boolean isSh() {
        return sh;
    }

    public void setSh(boolean sh) {
        this.sh = sh;
    }

    public int getIsSh() {
        return isSh;
    }

    public void setIsSh(int isSh) {
        this.isSh = isSh;
    }

    public String getShDate() {
        return shDate;
    }

    public void setShDate(String shDate) {
        this.shDate = shDate;
    }

    public String getShUserName() {
        return shUserName;
    }

    public void setShUserName(String shUserName) {
        this.shUserName = shUserName;
    }


}