package com.wgmf.yxgj.module.business.manageproduct.ui

import android.support.v4.app.Fragment
import android.support.v4.app.FragmentManager
import android.support.v4.app.FragmentStatePagerAdapter

/**
 * 继续添加订货产品ViewPagerAdapter
 *
 * @author LW
 */
class AddProductsTabLayoutViewPagerAdapter(
    fm: FragmentManager?,
    val title: List<String>,
    val fragments: List<Fragment>
) : FragmentStatePagerAdapter(fm) {

    override fun getPageTitle(position: Int): CharSequence {
        return title[position]
    }

    override fun getItem(position: Int): Fragment {
        return fragments[position]
    }

    override fun getCount(): Int {
        return fragments.size
    }

    override fun getItemPosition(`object`: Any): Int {
        return POSITION_NONE
    }

}