package com.wgmf.yxgj.module.business.managesales.model;

/**
 * 作者：xiep on 2017/3/9 14:47
 * 邮箱：2975837870@qq.com
 * <p>
 * id (integer, optional),
 * saleFCUserId (string, optional): 添加预测人 ,
 * saleFcAddTime (string, optional): 添加时间 ,
 * saleFcUpdateTime (string, optional): 更新时间 ,
 * saleFcYearMonth (string, optional): 销售预测年月 ,
 * saleForeCastShopId (string, optional): 门店id ,
 * saleForecastAmount (number, optional): 销售预测金额 ,
 * saleForecastNumber (number, optional): 销售预测数量 ,
 * saleForecastProduct (Array[SaleForecastProduct], optional): 销售预测产品列表 ,
 * saleForecastProportion (number, optional): 销售预测产品的总占比（合计）
 */
@SuppressWarnings("all")
public class SaleForecast {
    /**
     * 销售预测金额 查询
     */
    private String saleForecastAmount;
    /**
     * 销售预测产品的总占比（合计） 查询
     */
    private double saleForecastProportion;

    private String id;

    private String saleFCUserId;

    private String saleFcYearMonth;

    private String saleForeCastShopId;


    private String saleForecastNumber;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSaleFCUserId() {
        return saleFCUserId;
    }

    public void setSaleFCUserId(String saleFCUserId) {
        this.saleFCUserId = saleFCUserId;
    }

    public String getSaleFcYearMonth() {
        return saleFcYearMonth;
    }

    public void setSaleFcYearMonth(String saleFcYearMonth) {
        this.saleFcYearMonth = saleFcYearMonth;
    }

    public String getSaleForeCastShopId() {
        return saleForeCastShopId;
    }

    public void setSaleForeCastShopId(String saleForeCastShopId) {
        this.saleForeCastShopId = saleForeCastShopId;
    }

    public String getSaleForecastAmount() {
        return saleForecastAmount;
    }

    public void setSaleForecastAmount(String saleForecastAmount) {
        this.saleForecastAmount = saleForecastAmount;
    }

    public String getSaleForecastNumber() {
        return saleForecastNumber;
    }

    public void setSaleForecastNumber(String saleForecastNumber) {
        this.saleForecastNumber = saleForecastNumber;
    }

    public double getSaleForecastProportion() {
        return saleForecastProportion;
    }

    public void setSaleForecastProportion(double saleForecastProportion) {
        this.saleForecastProportion = saleForecastProportion;
    }
}
