package com.wgmf.yxgj.module.business.managestaff.model;

import com.wgmf.yxgj.widgets.LinearLayout.CalendarBaseModelResponse;

import java.text.DecimalFormat;

/**
 * 作者：xiep on 2017/7/21 15:33
 * 邮箱：2975837870@qq.com
 * <p>
 * addPersonId (string, optional): 排班人 ,
 * addTime (string, optional): 添加日期 ,
 * id (integer, optional),
 * personalSaleTarget (number, optional): 个人销售目标 ,
 * schedulingDay (string, optional): 排班天-yyyy-MM-dd ,
 * schedulingShopId (string, optional): 排班门店id ,
 * schedulingShopName (string, optional): 排班门店名称 ,
 * schedulingShopName (string, optional): 排班门店 ,
 * schedulingStaffId (string, optional): 流动营养顾问id ,
 * workShift (string, optional): 班次
 */

public class NutConsultantScheduling extends CalendarBaseModelResponse {

    private String id;
    private String schedulingDay;// 排班天-yyyy-MM-dd
    private String addPersonId;// 排班人
    private double personalSaleTarget;// 个人销售目标
    private String schedulingShopId;// 排班门店
    private String schedulingShopName = "";//排班门店名称
    private String schedulingStaffId;// 流动营养顾问id
    private String workShift = "";// 班次

    public String getAddPersonId() {
        return addPersonId;
    }

    public void setAddPersonId(String addPersonId) {
        this.addPersonId = addPersonId;
    }

    public String getPersonalSaleTarget() {
        DecimalFormat df = new DecimalFormat("###########0");
        return df.format(personalSaleTarget);
    }

    public void setPersonalSaleTarget(double personalSaleTarget) {
        this.personalSaleTarget = personalSaleTarget;
    }

    public String getSchedulingDay() {
        return schedulingDay;
    }

    public void setSchedulingDay(String schedulingDay) {
        this.schedulingDay = schedulingDay;
    }

    public String getSchedulingShopId() {
        return schedulingShopId;
    }

    public void setSchedulingShopId(String schedulingShopId) {
        this.schedulingShopId = schedulingShopId;
    }

    public String getSchedulingStaffId() {
        return schedulingStaffId;
    }

    public void setSchedulingStaffId(String schedulingStaffId) {
        this.schedulingStaffId = schedulingStaffId;
    }

    public String getWorkShift() {
        return workShift;
    }

    public void setWorkShift(String workShift) {
        this.workShift = workShift;
    }

    public String getSchedulingShopName() {
        return schedulingShopName;
    }

    public void setSchedulingShopName(String schedulingShopName) {
        this.schedulingShopName = schedulingShopName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
