package com.wgmf.yxgj.module.business.managestaff.model;

import com.wgmf.library.base.BaseResponse;

import java.io.Serializable;

/**
 * NutrSalaryProCity {
 * cityId (integer, optional):
 * <p>
 * 城市Id ,
 * cityName (string, optional):
 * <p>
 * 城市名称 ,
 * countyId (integer, optional):
 * <p>
 * 区域Id ,
 * countyName (string, optional):
 * <p>
 * 区域名称 ,
 * provinceId (integer, optional):
 * <p>
 * 省份Id ,
 * provinceName (string, optional):
 * <p>
 * 省份名称 ,
 * salary (number, optional):
 * <p>
 * 底薪
 * }
 */
public class NutrSalaryProCityEntity extends BaseResponse implements Serializable{

    private Integer cityId;
    private String cityName;
    private Integer countyId;
    private String countyName;
    private Integer provinceId;
    private String provinceName;
    private double salary;

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public Integer getCountyId() {
        return countyId;
    }

    public void setCountyId(Integer countyId) {
        this.countyId = countyId;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public double getSalary() {
        return salary;
    }

    public void setSalary(double salary) {
        this.salary = salary;
    }
}