package com.wgmf.yxgj.expand

import android.widget.TextView
import com.github.yoojia.inputs.Scheme
import com.github.yoojia.inputs.verifiers.NotEmptyVerifier

object StaticSchemeExpand {
    const val PRIORITY_REQUIRED = -1024
    const val PRIORITY_GENERAL = 0

    /**
     * 必要项，输入内容不能为空
     * @return Scheme
     */
    @JvmStatic
    fun Required(view: TextView, defaultHint: String = ""): Scheme {
        return Scheme(NotEmptyVerifierExpand(view, defaultHint)).msg("此为必填项目")
            .priority(PRIORITY_REQUIRED)
    }
}