package com.wgmf.yxgj.model;

/**
 * @author xiep
 */
public class MessageExtraEntity extends ShopRatingsRankEntity {
    /**
     * 入职审批消息中，入职人的工号
     */
    private String operatorId;
    /**
     * 消息ID，用于已读标志更新
     */
    private String mid;
    /**
     * 消息类型，
     * 1，入职审批消息，接收对象为经理；
     * 2，审批处理后的消息，接收对象为主管（未使用）；
     * 3，请假消息；
     * 4，月报计划审批消息；
     * 5，月报总结审批消息（未使用）
     * 6，考勤异常,
     * 7，销售预测
     * 9，评级上报，接收对象为经理
     * 10，评级上报位置审核，接收对象为主管
     * 11，评级上报审核重置
     * 12，排班提醒
     * 13，营养顾问星级升降
     * 14，机修工单
     * 15，机修工单查询
     */
    private String type;
    /**
     * 月报查询组织机构
     */
    private String code;
    /**
     * 月报查询年月
     */
    private String yearMonth;
    /**
     * 员工姓名
     */
    private String staffName;

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getMessageId() {
        return mid;
    }

    public void setMessageId(String messageId) {
        this.mid = messageId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }
}