package com.wgmf.yxgj.model;

import java.io.Serializable;

/**
 * @author xiep  on 2016/6/12 16:31
 *         shopApproveContent (string, optional): 门店上报审核意见 ,
 *         shopApproveFlag (string, optional): 门店上报审核状态：1同意/2不同意 ,
 *         shopLevel (string, optional): 门店位置等级 ,
 *         shopRatingFlag (string, optional): 门店上报状态：1未上报/2待审核/3已审核 ,
 *         storeId (string, optional): 门店ID ,
 *         storeLatitudes (number, optional): 纬度 ,
 *         storeLongitudes (number, optional): 经度 ,
 *         storeName (string, optional): 门店
 */
public class ShopRatingsRankEntity implements Serializable {

    private String shopApproveContent;

    private String shopApproveFlag;

    private String shopRatingFlag;

    private String storeLatitudes;

    private String storeLongitudes;

    private String shopLevel;

    private String storeId;

    private String storeName;

    public void setShopLevel(String shopLevel) {
        this.shopLevel = shopLevel;
    }

    public String getShopLevel() {
        return this.shopLevel;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreId() {
        return this.storeId;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreName() {
        return this.storeName;
    }

    public String getShopApproveContent() {
        return shopApproveContent;
    }

    public void setShopApproveContent(String shopApproveContent) {
        this.shopApproveContent = shopApproveContent;
    }

    public String getShopApproveFlag() {
        return shopApproveFlag;
    }

    public void setShopApproveFlag(String shopApproveFlag) {
        this.shopApproveFlag = shopApproveFlag;
    }

    public String getShopRatingFlag() {
        return shopRatingFlag;
    }

    public String getStoreLatitudes() {
        return storeLatitudes;
    }

    public void setStoreLatitudes(String storeLatitudes) {
        this.storeLatitudes = storeLatitudes;
    }

    public String getStoreLongitudes() {
        return storeLongitudes;
    }

    public void setStoreLongitudes(String storeLongitudes) {
        this.storeLongitudes = storeLongitudes;
    }
    @SuppressWarnings("unused")
    public void setShopRatingFlag(String shopRatingFlag) {
        this.shopRatingFlag = shopRatingFlag;
    }
}