package com.wgmf.yxgj.protocol;

import com.squareup.okhttp.FormEncodingBuilder;

/**
 * @author XiePing on  2016/5/13 17:51
 */
@SuppressWarnings("all")
public class SendJPushSetting {

    public static class SendJPushReq {
        /**
         * 发送者工号
         */
        private String sendStaffId;
        /**
         * 接受者工号
         */
        private String recieverStaffId;
        /**
         * 接收者类型 （2 指定的 tag ，3 指定的 alias，4 广播：对 app_key 下的所有用户推送消息）
         */
        private String receiverType;
        /**
         * 默认1营销管家 2生意管家
         */
        private String platformType;
        /**
         * 附属信息
         */
        private String extra;
        /**
         * 消息类型
         */
        private String type;
        /**
         * 消息标题
         */
        private String msgTitle;
        /**
         * 消息内容
         */
        private String msgContent;

        public String getSendStaffId() {
            return sendStaffId;
        }

        public void setSendStaffId(String sendStaffId) {
            this.sendStaffId = sendStaffId;
        }

        public String getRecieverStaffId() {
            return recieverStaffId;
        }

        public void setRecieverStaffId(String recieverStaffId) {
            this.recieverStaffId = recieverStaffId;
        }

        public String getReceiverType() {
            return receiverType;
        }

        public void setReceiverType(String receiverType) {
            this.receiverType = receiverType;
        }

        public String getExtra() {
            return extra;
        }

        public void setExtra(String extra) {
            this.extra = extra;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getMsgTitle() {
            return msgTitle;
        }

        public void setMsgTitle(String msgTitle) {
            this.msgTitle = msgTitle;
        }

        public String getMsgContent() {
            return msgContent;
        }

        public void setMsgContent(String msgContent) {
            this.msgContent = msgContent;
        }

        public String getPlatformType() {
            return platformType;
        }

        public void setPlatformType(String platformType) {
            this.platformType = platformType;
        }

        /**
         * 添加上报数据
         */
        public void addParams(FormEncodingBuilder builder) {
            if (null != this.sendStaffId && this.sendStaffId.length() > 0) {
                builder.add("sendStaffId", this.sendStaffId);
            }
            if (null != this.recieverStaffId && this.recieverStaffId.length() > 0) {
                builder.add("recieverStaffId", this.recieverStaffId);
            }
            if (null != this.receiverType && this.receiverType.length() > 0) {
                builder.add("receiverType", this.receiverType);
            }
            if (null != this.extra && this.extra.length() > 0) {
                builder.add("extra", this.extra);
            }
            if (null != this.type && this.type.length() > 0) {
                builder.add("type", this.type);
            }
            if (null != this.msgTitle && this.msgTitle.length() > 0) {
                builder.add("msgTitle", this.msgTitle);
            }
            if (null != this.msgContent && this.msgContent.length() > 0) {
                builder.add("msgContent", this.msgContent);
            }
            if (null != this.platformType && this.platformType.length() > 0) {
                builder.add("platformType", this.platformType);
            }
        }
    }
}