package com.wgmf.yxgj.protocol;

import com.squareup.okhttp.FormEncodingBuilder;

/**
 * @author XiePing on 2016/5/13 17:51
 */
@SuppressWarnings("all")
public class SetJPushSetting {
    /**
     * JPsh上传请求
     */
    public static class SetJPushReq {
        /**
         * 员工工号
         */
        private String staffId;
        /**
         * 标签
         */
        private String tag;
        /**
         * 别名
         */
        private String alias;
        /**
         * 平台
         */
        private String platform;

        public String getTag() {
            return tag;
        }

        public void setTag(String tag) {
            this.tag = tag;
        }

        public String getStaffId() {
            return staffId;
        }

        public void setStaffId(String staffId) {
            this.staffId = staffId;
        }

        public String getAlias() {
            return alias;
        }

        public void setAlias(String alias) {
            this.alias = alias;
        }

        public String getPlatform() {
            return platform;
        }

        public void setPlatform(String platform) {
            this.platform = platform;
        }

        /**
         * 添加上报数据
         */
        public void addParams(FormEncodingBuilder builder) {
            if (null != this.staffId && this.staffId.length() > 0) {
                builder.add("staffId", this.staffId);
            }
            if (null != this.tag && this.tag.length() > 0) {
                builder.add("tag", this.tag);
            }
            if (null != this.alias && this.alias.length() > 0) {
                builder.add("alias", this.alias);
            }
            if (null != this.platform && this.platform.length() > 0) {
                builder.add("platform", this.platform);
            }
        }
    }
}