package com.wgmf.yxgj.publics.model;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

/**
 * @author xiep on 2016/9/19 16:44
 */
public class ShopDataEntity implements Serializable {

    @SerializedName(value = "shopId", alternate = {"storeId"})
    private String shopId;
    @SerializedName(value = "shopName", alternate = {"storeName"})
    private String shopName;
    @SerializedName(value = "longitude", alternate = {"lng"})
    private double longitude;
    @SerializedName(value = "latitude", alternate = {"lat"})
    private double latitude;
    @SerializedName(value = "staffId", alternate = {"staff"})
    private String staffId;
    @SerializedName(value = "id", alternate = {"orgId"})
    private String id;

    private double distance;

    private String address;
    /**
     * 两店三人标识： 0是；1不是 ,
     */
    private Integer isLDSR;
    /**
     * 门店两店三人编码 （编码相同，则属于同一组） ,
     */
    private String lDSRCode;
    /**
     * shopCityCountryID (integer, optional):门店所属城市区域id ,
     */
    private Integer shopCityCountryID;

    private List<Shop> shopList;

    public void setStoreId(String storeId) {
        this.shopId = storeId;
    }

    public String getStoreId() {
        return this.shopId;
    }

    public void setStoreName(String storeName) {
        this.shopName = storeName;
    }

    public String getStoreName() {
        return this.shopName;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddress() {
        return this.address;
    }

    public void setLng(double lng) {
        this.longitude = lng;
    }

    public double getLng() {
        return this.longitude;
    }

    public void setLat(double lat) {
        this.latitude = lat;
    }

    public double getLat() {
        return this.latitude;
    }

    public void setDistance(double distance) {
        this.distance = distance;
    }

    public double getDistance() {
        return this.distance;
    }

    public void setStaff(String staff) {
        this.staffId = staff;
    }

    public String getStaff() {
        return this.staffId;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return this.id;
    }

    public Integer getShopCityCountryID() {
        return shopCityCountryID;
    }

    public void setShopCityCountryID(Integer shopCityCountryID) {
        this.shopCityCountryID = shopCityCountryID;
    }

    public Integer getIsLDSR() {
        return isLDSR;
    }

    public void setIsLDSR(Integer isLDSR) {
        this.isLDSR = isLDSR;
    }

    public String getlDSRCode() {
        return lDSRCode;
    }

    public void setlDSRCode(String lDSRCode) {
        this.lDSRCode = lDSRCode;
    }

    public List<Shop> getShopList() {
        return shopList;
    }

    public void setShopList(List<Shop> shopList) {
        this.shopList = shopList;
    }
}