package com.wgmf.yxgj.publics.service;

import android.content.Context;
import android.os.Bundle;

import com.wgmf.yxgj.global.ConstantParams;
import com.wgmf.yxgj.model.MessageExtraEntity;
import com.xp.arouter.RouterCommonUtil;

/**
 * @author xiep on 2017/7/10 14:09
 */

public class ToMessageByType {

    public static void toClass(Context context, MessageExtraEntity mMessageExtraEntity) {
        Bundle mBundle = new Bundle();
        if (null != mMessageExtraEntity&&null != mMessageExtraEntity.getType()) {
            if (ConstantParams.CONSTANT_PARAMS_1.equals(mMessageExtraEntity.getType())) {
                // 入职审批
                mBundle.putLong("branchID", -150L);
                mBundle.putString("branchTitle", "入职审批");
                mBundle.putString("operatorId", mMessageExtraEntity.getOperatorId());
                mBundle.putString("mid", mMessageExtraEntity.getMessageId());
                RouterCommonUtil.startFunctionActivity(context, 0, -150L, mBundle);
            } else if (ConstantParams.CONSTANT_PARAMS_3.equals(mMessageExtraEntity.getType())) {
                // 请假审批
                mBundle.putString("branchUrl", "/mkt-front/html/attendance/holidayList.html");
                RouterCommonUtil.startFunctionActivity(context, 0, 0L, mBundle);
            } else if (ConstantParams.CONSTANT_PARAMS_4.equals(mMessageExtraEntity.getType())) {
                // 月报计划审批
                mBundle.putString("operatorId",
                        mMessageExtraEntity.getOperatorId());
                mBundle.putString("code",
                        mMessageExtraEntity.getCode());
                mBundle.putString("yearMonth",
                        mMessageExtraEntity.getYearMonth());
                mBundle.putString("staffName",
                        mMessageExtraEntity.getStaffName());
                //进入月报查询页面
                mBundle.putInt("position", 2);
                //进入月报查询页面
                mBundle.putInt("msg", 1);
                mBundle.putString("mid", mMessageExtraEntity.getMessageId());
                RouterCommonUtil.startFunctionActivity(context, 0, -133L, mBundle);
            } else if (ConstantParams.CONSTANT_PARAMS_6.equals(mMessageExtraEntity.getType())) {
                // 考勤异常
                mBundle.putString("branchUrl", "/mkt-front/html/attendance/attendance.html");
                mBundle.putString("branchTitle", "考勤管理");
                RouterCommonUtil.startFunctionActivity(context, 0, 0L, mBundle);
            } else if (ConstantParams.CONSTANT_PARAMS_7.equals(mMessageExtraEntity.getType())) {
                // 销售预测
                RouterCommonUtil.startFunctionActivity(context, 0, 201L, mBundle);
            } else if (ConstantParams.CONSTANT_PARAMS_9.equals(mMessageExtraEntity.getType()) || ConstantParams.CONSTANT_PARAMS_10.equals(mMessageExtraEntity.getType())) {
                // 评级上报查询
                mBundle.putString("shopId", mMessageExtraEntity.getStoreId());
                mBundle.putString("shopName", mMessageExtraEntity.getStoreName());
                mBundle.putString("storeLatitudes", mMessageExtraEntity.getStoreLatitudes());
                mBundle.putString("storeLongitudes", mMessageExtraEntity.getStoreLongitudes());
                RouterCommonUtil.startFunctionActivity(context, 0, -122L, mBundle);
            } else if (ConstantParams.CONSTANT_PARAMS_11.equals(mMessageExtraEntity.getType())) {
                // 评级上报列表
                RouterCommonUtil.startFunctionActivity(context, 0, 122L, mBundle);
            }else if (ConstantParams.CONSTANT_PARAMS_15.equals(mMessageExtraEntity.getType())) {
                // 机修查询列表
                mBundle.putInt("position", 1);
                RouterCommonUtil.startFunctionActivity(context, 0, 598L, mBundle);
            }else if(ConstantParams.CONSTANT_PARAMS_18.equals(mMessageExtraEntity.getType())){
               //离职申请待审核
                RouterCommonUtil.startFunctionActivity(context, 0, 221037L, mBundle);
            }else {
                RouterCommonUtil.startFunctionActivity(context, -5, 0L, mBundle);
            }
        }else{
            RouterCommonUtil.startFunctionActivity(context, -5, 0L, mBundle);
        }
    }
}