package com.wgmf.yxgj.widgets.LinearLayout

import android.content.Context
import android.content.res.TypedArray
import android.util.AttributeSet
import android.view.MotionEvent
import android.widget.LinearLayout
import com.wgmf.yxgj.base.R
import com.wgmf.yxgj.utils.MyToast

/**
 * 链接点击事件LinearLayout
 */
class InterceptEventLinearLayout(context: Context, attrs: AttributeSet) :
    LinearLayout(context, attrs) {

    private var mIsIntercept: Boolean = false

    override fun onInterceptTouchEvent(ev: MotionEvent?): Boolean {
        if (mIsIntercept) {
            MyToast.showSnack(this, "不可以点击操作哦~")
        }
        return mIsIntercept  //true就是拦截  false  就是不拦截
    }

    fun setIsInterceptEvent(isIntercept: Boolean) {
        this.mIsIntercept = isIntercept
    }
}