package com.wgmf.yxgj.basewebview.graph.modules;

import com.wgmf.yxgj.basewebview.ui.HtmlFragment;
import com.wgmf.yxgj.basewebview.ui.HtmlPresenter;

import dagger.Module;
import dagger.Provides;

/**
 * 网页碎片 Module
 */
@Module
public class HtmlFragmentModule {

    private final HtmlFragment mView;

    public HtmlFragmentModule(HtmlFragment view) {
        mView = view;
    }

    @Provides
    public HtmlPresenter provideCommonPresenter() {
        return new HtmlPresenter(mView);
    }
}
