package com.wgmf.yxgj.businessmodule.graph.modules;

import com.wgmf.yxgj.graph.PerFragment;
import com.wgmf.yxgj.businessmodule.ui.base.IBaseFragment;
import com.wgmf.yxgj.businessmodule.ui.base.IBasePresenter;

import dagger.Module;
import dagger.Provides;

/**
 * 列表 Module
 */
@Module
public class IBaseFragmentModule {

    private final IBaseFragment mView;

    public IBaseFragmentModule(IBaseFragment view) {
        mView = view;
    }

    @PerFragment
    @Provides
    public IBasePresenter provideIBasePresenter() {
        return new IBasePresenter(mView);
    }
}
