package com.wgmf.yxgj.loginmodule.graph.modules;

import com.wgmf.yxgj.graph.PerActivity;
import com.wgmf.yxgj.loginmodule.ui.LoginActivity;
import com.wgmf.yxgj.loginmodule.ui.LoginPresenter;

import dagger.Module;
import dagger.Provides;

/**
 * LoginActivityModule:
 * Author: xp
 * Date: 17/8/23 14:26
 * Email: xiexiepro@gmail.com
 * Blog: http://XieXiePro.github.io
 */
@Module
public class LoginActivityModule {
    private final LoginActivity mView;

    public LoginActivityModule(LoginActivity view) {
        mView = view;
    }

    @PerActivity
    @Provides
    public LoginPresenter provideLoginPresenter() {
        return new LoginPresenter(mView);
    }
}
