package com.wgmf.yxgj.loginmodule.graph.modules;

import com.wgmf.yxgj.graph.PerActivity;
import com.wgmf.yxgj.loginmodule.ui.OrgSelectorActivity;
import com.wgmf.yxgj.loginmodule.ui.OrgSelectorPresenter;

import dagger.Module;
import dagger.Provides;

/**
 * OrgSelectorActivityModule:
 * Author: xp
 * Date: 17/8/23 14:26
 * Email: xiexiepro@gmail.com
 * Blog: http://XieXiePro.github.io
 */
@Module
public class OrgSelectorActivityModule {
    private final OrgSelectorActivity mView;

    public OrgSelectorActivityModule(OrgSelectorActivity view) {
        mView = view;
    }

    @PerActivity
    @Provides
    public OrgSelectorPresenter provideOrgSelectorPresenter() {
        return new OrgSelectorPresenter(mView);
    }
}
