package com.wgmf.yxgj.loginmodule.service.protocol;

import com.squareup.okhttp.FormEncodingBuilder;

/**
 * @author XiePing on 2016/5/13 17:51
 */
public class LoginSetting {
    /**
     * 登陆请求
     */
    public static class LoginReq {
        /**
         * 用户名
         */
        private String username;
        /**
         * 密码
         */
        private String password;

        public void setUsername(String username) {
            this.username = username;
        }

        public void setPassword(String password) {
            this.password = password;
        }

        @Override
        public String toString() {
            return " username = " + this.username + " password = " + this.password;
        }

        /**
         * 添加上报数据
         */
        public void addParams(FormEncodingBuilder builder) {
            if (null != this.username && this.username.length() > 0) {
                builder.add("username", this.username);
            }
            if (null != this.password && this.password.length() > 0) {
                builder.add("password", this.password);
            }
        }
    }
}