package com.wgmf.yxgj.loginmodule.service.request;

import com.squareup.okhttp.FormEncodingBuilder;
import com.wgmf.library.base.BaseRequest;
import com.wgmf.yxgj.loginmodule.service.protocol.LoginSetting;

/**
 * 登录请求参数
 *
 * @author xiep
 */
public class LoginRequest extends BaseRequest {
    public LoginRequest(final String username, final String password) {
        this.builder = new FormEncodingBuilder();
        LoginSetting.LoginReq req = new LoginSetting.LoginReq();
        req.setUsername(username);
        req.setPassword(password);
        req.addParams(this.builder);
    }
}