package com.wgmf.yxgj.modulelowperformance.model;

import java.io.Serializable;

/**
 * @author XP on 2017/12/20 13:39
 *         <p>
 *         WorkerCostRatio {
 *         etlDate (string, optional): 数据更新时间 ,
 *         fctSale (number, optional): 预计销售 ,
 *         managerOrgId (string, optional): 上级组织id ,
 *         managerorgName (string, optional): 上级组织名称 ,
 *         orgFlag (string, optional): 组织层级：A全国,B大区,C办事处,D门店 ,
 *         orgId (string, optional): 组织id ,
 *         orgName (string, optional): 组织名称 ,
 *         workCostFctRoi (number, optional): 预计费销比 ,
 *         workCostPlanRoi (number, optional): 预算费销比 ,
 *         workCostRatioErro (number, optional): 差异 ,
 *         workCostShopType (string, optional): 门店类型：老店1，新店0，全部3 其他2 ,
 *         workCostWorkerType (string, optional): 营养顾问类型：流动2，驻店1，全部0 ,
 *         yearmonth (string, optional): 年月
 *         }
 */

public class WorkerCostRadio implements Serializable {

    private String orgId;

    private String orgName;

    private String yearmonth;

    private String fctSale;

    private String workCostFctRoi;

    private String workCostPlanRoi;

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getYearmonth() {
        return yearmonth;
    }

    public void setYearmonth(String yearmonth) {
        this.yearmonth = yearmonth;
    }

    public String getFctSale() {
        return fctSale;
    }

    public void setFctSale(String fctSale) {
        this.fctSale = fctSale;
    }

    public String getWorkCostFctRoi() {
        return workCostFctRoi;
    }

    public void setWorkCostFctRoi(String workCostFctRoi) {
        this.workCostFctRoi = workCostFctRoi;
    }

    public String getWorkCostPlanRoi() {
        return workCostPlanRoi;
    }

    public void setWorkCostPlanRoi(String workCostPlanRoi) {
        this.workCostPlanRoi = workCostPlanRoi;
    }
}
