package com.wgmf.yxgj.module.business.parttime.model

import android.os.Parcel
import android.os.Parcelable
import com.wgmf.library.base.BaseResponse

/**
 * 门店品牌实体类
 */
data class PartTimeShopBrandEntity(val result: List<PartTimeShopBrandBean>?) : BaseResponse() {
    data class PartTimeShopBrandBean(
        val brandId: Int,
        val brandName: String?,
        val shopId: String?
    ) : Parcelable{
        constructor(parcel: Parcel) : this(
            parcel.readInt(),
            parcel.readString(),
            parcel.readString()
        ) {
        }

        override fun writeToParcel(parcel: Parcel, flags: Int) {
            parcel.writeInt(brandId)
            parcel.writeString(brandName)
            parcel.writeString(shopId)
        }

        override fun describeContents(): Int {
            return 0
        }

        companion object CREATOR : Parcelable.Creator<PartTimeShopBrandBean> {
            override fun createFromParcel(parcel: Parcel): PartTimeShopBrandBean {
                return PartTimeShopBrandBean(parcel)
            }

            override fun newArray(size: Int): Array<PartTimeShopBrandBean?> {
                return arrayOfNulls(size)
            }
        }
    }
}

