package com.wgmf.yxgj.module.business.parttime.model;

/**
 * 兼职督查巡店模型 {
 * content (string, optional): 检查内容 ,
 * imgUrl (string, optional): 示范图片url ,
 * point (integer, optional): 分数 ,
 * type (integer, optional): 类型 0;员工形象检查 1:专柜卫生及内部陈列检查 2:专柜外部陈列检查 3:专柜服务检查 ,
 * typeName (string, optional): 类型名称
 * }
 * 作者：xiep on 2018/3/15 14:12
 * 邮箱：2975837870@qq.com
 */

public class PartTimeTourShopModelEntity {

    private String pos;

    private String tourModelId;

    private String mId;

    private String content;

    private String imgUrl;

    private String point;

    private int type;

    private String typeName;

    private Long isOk;

    private String achievePoint;

    private String shopId;

    private String shopName;

    private String tourId;

    private String tourDetailId;

    private String submitStaffId;

    private int resultStatus;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getPoint() {
        return point;
    }

    public void setPoint(String point) {
        this.point = point;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Long getIsOk() {
        return isOk;
    }

    public void setIsOk(Long isOk) {
        this.isOk = isOk;
    }

    public String getAchievePoint() {
        return achievePoint;
    }

    public void setAchievePoint(String achievePoint) {
        this.achievePoint = achievePoint;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getTourId() {
        return tourId;
    }

    public void setTourId(String tourId) {
        this.tourId = tourId;
    }

    public String getTourDetailId() {
        return tourDetailId;
    }

    public void setTourDetailId(String tourDetailId) {
        this.tourDetailId = tourDetailId;
    }

    public String getSubmitStaffId() {
        return submitStaffId;
    }

    public void setSubmitStaffId(String submitStaffId) {
        this.submitStaffId = submitStaffId;
    }

    public int getStatus() {
        return resultStatus;
    }

    public void setStatus(int status) {
        this.resultStatus = status;
    }

    public String getPos() {
        return pos;
    }

    public void setPos(String pos) {
        this.pos = pos;
    }

    public String getmId() {
        return mId;
    }

    public void setmId(String mId) {
        this.mId = mId;
    }

    public String getTourModelId() {
        return tourModelId;
    }

    public void setTourModelId(String tourModelId) {
        this.tourModelId = tourModelId;
    }
}