package com.wgmf.yxgj.module.business.parttime.ui.adapter;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.parttime.R;
import com.wgmf.yxgj.module.business.parttime.model.PartTimeShopScheduleEntity;

import java.util.List;

/**
 * 兼职督察门店查询
 * 作者：xiep on 2018/3/14 16:28
 * 邮箱：2975837870@qq.com
 */

public class PartTimeScheduleInfoAdapter extends BaseAdapter {

    private Context context;
    private List<PartTimeShopScheduleEntity.PartTimeShopScheduleBean.ShopScheduleVoBean.ShopScheduleBean> shopScheduleLists;


    public PartTimeScheduleInfoAdapter(List<PartTimeShopScheduleEntity.PartTimeShopScheduleBean.ShopScheduleVoBean.ShopScheduleBean> shopScheduleLists, Context context) {
        this.context = context;
        this.shopScheduleLists = shopScheduleLists;
    }

    @Override
    public int getCount() {
        return shopScheduleLists.isEmpty() ? 0 : shopScheduleLists.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        View view;
        if (convertView == null) {
            view = View.inflate(context, R.layout.part_time_schedule_item, null);
        } else {
            view = convertView;
        }
        TextView partTimeScheduleInfoName = view.findViewById(R.id.part_time_schedule_info_name);
        TextView partTimeScheduleInfo = view.findViewById(R.id.part_time_schedule_info);
        partTimeScheduleInfoName.setText(shopScheduleLists.get(position).getStaffName());
        partTimeScheduleInfo.setText(shopScheduleLists.get(position).getHughFlag());
        return view;
    }
}