package com.wgmf.yxgj.module.bussiness.reportact.model;

import java.util.List;

/**
 * 作者：xiep on 2017/3/17 18:14
 * 邮箱：2975837870@qq.com
 * <p>
 /**
 * NewCusActity {
 * activityEndTime (string, optional): 结束时间 yyyy-MM-DD ,
 * id (integer, optional),
 * nctivityAddTime (string, optional): 添加时间 ,
 * newCusActPromoProps (Array[NewCusActPromoProps], optional): 新客拉新活动推广道具 ,
 * newCusActityImag (Array[NewCusActityImag], optional): 新客拉新活动图片 ,
 * newCusActityType (Array[NewCusActityType], optional): 新客拉新活动类型 ,
 * newCusActivityStartTime (string, optional): 开始时间 yyyy-MM-DD ,
 * newCusActivityType (integer, optional): 活动类型 ,
 * newCusActivityTypeName (string, optional): 活动类型名称 ,
 * newCusActtyUserId (string, optional): 添加人 ,
 * newCustActSubject (Array[NewCustActSubject], optional): 新客拉新活动主题 ,
 * shopId (string, optional): 门店id ,
 * shopName (string, optional): 门店名称
 * }
 * NewCusActPromoProps {
 * id (integer, optional),
 * newCusActCreateTime (string, optional): 创建时间 ,
 * newCusActFlag (string, optional): 状态标识：‘1’/可用；2/禁用 ,
 * newCusActPromoPropsId (integer, optional): 推广道具 id ,
 * newCusActPromoPropsName (string, optional): 推广道具名字 ,
 * newCusActUpdateTime (string, optional): 修改时间 ,
 * top (string, optional): 置顶标识：'1'置顶; '2'/未置顶
 * }
 * NewCusActityImag {
 * id (integer, optional),
 * newCusActivityId (integer, optional): 新客拉新活动id ,
 * newCusActivityUrl (string, optional): 新客拉新活动id
 * }
 * NewCusActityType {
 * id (integer, optional),
 * newCusActCreateTime (string, optional): 创建时间 ,
 * newCusActFlag (string, optional): 状态标识：‘1’/可用；2/禁用 ,
 * newCusActUpdateTime (string, optional): 修改时间 ,
 * newCusActivityTypeId (integer, optional): 类型id ,
 * newCusActivityTypeName (string, optional): 类型名称 ,
 * top (string, optional): 置顶标识：'1'置顶; '2'/未置顶
 * }
 * NewCustActSubject {
 * id (integer, optional),
 * newCusActCreateTime (string, optional): 创建时间 ,
 * newCusActFlag (string, optional): 状态标识：‘1’/可用；2/禁用 ,
 * newCusActSubjectId (integer, optional): 主题id自增 ,
 * newCusActSubjectName (string, optional): 活动主题名字 ,
 * newCusActUpdateTime (string, optional): 修改时间 ,
 * top (string, optional): 置顶标识：'1'置顶; '2'/未置顶
 * }
 */

public class NewCusActityGroupSaveEntity {

    private String activityEndTime;

    private String newCusActivityStartTime;

    private String newCusActivityType;

    private String newCusActivityTypeName;

    private String newCusActtyUserId;

    private String shopId;

    private String shopName;

    private List<ReportNewCusPropsEntity> newCusActPromoProps;

    private List<ReportNewCusSubjectEntity> newCustActSubject;

    private List<NewCusActityImag> newCusActityImag;

    private List<ReportNewCusTypeEntity> newCusActityType;

    public String getActivityEndTime() {
        return activityEndTime;
    }

    public void setActivityEndTime(String activityEndTime) {
        this.activityEndTime = activityEndTime;
    }

    public String getNewCusActivityStartTime() {
        return newCusActivityStartTime;
    }

    public void setNewCusActivityStartTime(String newCusActivityStartTime) {
        this.newCusActivityStartTime = newCusActivityStartTime;
    }

    public String getNewCusActivityType() {
        return newCusActivityType;
    }

    public void setNewCusActivityType(String newCusActivityType) {
        this.newCusActivityType = newCusActivityType;
    }

    public String getNewCusActivityTypeName() {
        return newCusActivityTypeName;
    }

    public void setNewCusActivityTypeName(String newCusActivityTypeName) {
        this.newCusActivityTypeName = newCusActivityTypeName;
    }

    public String getNewCusActtyUserId() {
        return newCusActtyUserId;
    }

    public void setNewCusActtyUserId(String newCusActtyUserId) {
        this.newCusActtyUserId = newCusActtyUserId;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public List<ReportNewCusPropsEntity> getNewCusActPromoProps() {
        return newCusActPromoProps;
    }

    public void setNewCusActPromoProps(List<ReportNewCusPropsEntity> newCusActPromoProps) {
        this.newCusActPromoProps = newCusActPromoProps;
    }

    public List<ReportNewCusSubjectEntity> getNewCustActSubject() {
        return newCustActSubject;
    }

    public void setNewCustActSubject(List<ReportNewCusSubjectEntity> newCustActSubject) {
        this.newCustActSubject = newCustActSubject;
    }

    public List<NewCusActityImag> getNewCusActityImag() {
        return newCusActityImag;
    }

    public void setNewCusActityImag(List<NewCusActityImag> newCusActityImag) {
        this.newCusActityImag = newCusActityImag;
    }

    public List<ReportNewCusTypeEntity> getNewCusActityType() {
        return newCusActityType;
    }

    public void setNewCusActityType(List<ReportNewCusTypeEntity> newCusActityType) {
        this.newCusActityType = newCusActityType;
    }
}
