package com.wgmf.yxgj.module.bussiness.reportact.model;

import com.wgmf.library.base.BaseResponse;

/**
 * @author XP
 * @ClassName: ReportActEntity
 * @Description: 拉新活动上报查询活动主题实体
 * @date 2016-3-17 上午9:43:27
 * NewCustActSubject {
 * id (integer, optional),
 * newCusActCreateTime (string, optional): 创建时间 ,
 * newCusActFlag (string, optional): 状态标识：‘1’/可用；2/禁用 ,
 * newCusActSubjectId (integer, optional): 主题id自增 ,
 * newCusActSubjectName (string, optional): 活动主题名字 ,
 * newCusActUpdateTime (string, optional): 修改时间 ,
 * top (string, optional): 置顶标识：'1'置顶; '2'/未置顶
 * }
 */
public class ReportNewCusSubjectEntity extends BaseResponse {

    private String id;

    private int selectedActSubjectPosition = -1;

    private String newCusActSubjectId;// 主题id

    private String newCusActSubjectName;// 活动主题名字 ,

    public int getSelectedActSubjectPosition() {
        return selectedActSubjectPosition;
    }

    public void setSelectedActSubjectPosition(int selectedActSubjectPosition) {
        this.selectedActSubjectPosition = selectedActSubjectPosition;
    }

    public String getNewCusActSubjectId() {
        return newCusActSubjectId;
    }

    public void setNewCusActSubjectId(String newCusActSubjectId) {
        this.newCusActSubjectId = newCusActSubjectId;
    }

    public String getNewCusActSubjectName() {
        return newCusActSubjectName;
    }

    public void setNewCusActSubjectName(String newCusActSubjectName) {
        this.newCusActSubjectName = newCusActSubjectName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
