package com.wgmf.yxgj.module.business.reportbigdata.model;

/**
 * 作者：xiep on 2017/11/14 14:10
 * 邮箱：2975837870@qq.com
 * <p>
 * addSupermarketDataTime (string, optional): 添加日期 ,
 * dataRange (string, optional): 数据范围: 生鲜区；果蔬区;生鲜+果蔬；熟食区；整个门店 ,
 * dataRangeId (string, optional): 数据范围id:生鲜区/'1'；果蔬区/'2';生鲜+果蔬/'3'；熟食区/'4'；整个门店/'5' ,
 * dataType (string, optional): 数据类型（月度数据；季度数据；半年度数据；年度数据） ,
 * dataTypeId (string, optional): 数据类型Id : 年度数据/'1'；半年度数据/'2'；季度数据/'3'；月底数据/'4' ,
 * dataValue (number, optional): 数据值 ,
 * id (integer, optional),
 * supermarketDataShopId (string, optional): 门店id ,
 * supermarketDataShopName (string, optional): 门店名称 ,
 * suppermarketSubmitId (string, optional): 添加人工号
 */

public class SupermarketBigData {

    private double dataValue;

    private String dataRange;

    private String dataRangeId;

    private String dataType;

    private String dataTypeId;

    private String supermarketDataShopId;

    private String supermarketDataShopName;

    private String suppermarketSubmitId;

    public double getDataValue() {
        return dataValue;
    }

    public void setDataValue(double dataValue) {
        this.dataValue = dataValue;
    }

    public String getDataRange() {
        return dataRange;
    }

    public void setDataRange(String dataRange) {
        this.dataRange = dataRange;
    }

    public String getDataRangeId() {
        return dataRangeId;
    }

    public void setDataRangeId(String dataRangeId) {
        this.dataRangeId = dataRangeId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDataTypeId() {
        return dataTypeId;
    }

    public void setDataTypeId(String dataTypeId) {
        this.dataTypeId = dataTypeId;
    }

    public String getSupermarketDataShopId() {
        return supermarketDataShopId;
    }

    public void setSupermarketDataShopId(String supermarketDataShopId) {
        this.supermarketDataShopId = supermarketDataShopId;
    }

    public String getSupermarketDataShopName() {
        return supermarketDataShopName;
    }

    public void setSupermarketDataShopName(String supermarketDataShopName) {
        this.supermarketDataShopName = supermarketDataShopName;
    }

    public String getSuppermarketSubmitId() {
        return suppermarketSubmitId;
    }

    public void setSuppermarketSubmitId(String suppermarketSubmitId) {
        this.suppermarketSubmitId = suppermarketSubmitId;
    }
}
