package com.wgmf.yxgj.module.business.reportmodule.model;

import java.util.List;

/**
 * 通用上报明细 {
 * checkRemark (string, optional):审核备注 ,
 * checkScore (integer, optional):审核分数 ,
 * createTime (string, optional):提交时间 ,
 * detailId (integer, optional),
 * detailOptionsList (Array[提交明细具体选项], optional):model选项值 ,
 * shopId (string, optional):门店id ,
 * shopName (string, optional):门店名称 ,
 * staffId (string, optional):提交人工号 ,
 * staffName (string, optional):提交人姓名 ,
 * standardId (integer, optional):配置项目id ,
 * status (integer, optional):状态 0:不可用 1:待审核 2:审核通过 3:审核不通过 4:审核不通过再次提交 5:待上报
 * }
 * 提交明细具体选项 {
 * detailId (integer, optional):明细id ,detailOptionsId (integer, optional),modelId (integer, optional):
 * <p>
 * MODEL_ID ,modelOptionsId (integer, optional):
 * <p>
 * MODEL_OPTIONS_ID ,value (string, optional):填写的值
 * }
 */
public class ReportModuleResultEntity extends ReportShopListEntity {

    /**
     * model选项值
     */
    private List<ReportModelListEntity> detailOptionsList;

    public List<ReportModelListEntity> getDetailOptionsList() {
        return detailOptionsList;
    }

    public void setDetailOptionsList(List<ReportModelListEntity> detailOptionsList) {
        this.detailOptionsList = detailOptionsList;
    }
}