package com.wgmf.yxgj.module.business.reportmodule.model;

import java.io.Serializable;
import java.util.List;

/**
 * {
 * "standardId": 2560606,
 * "reportName": "堆头数量上报",
 * "beginDate": "2019-01-31 00:00:00",
 * "endDate": "2019-07-16 00:00:00",
 * "status": 5,
 * "statusStr": "待上报",
 * "reportRemark": "堆头备注",
 * "reportPerson": "赵兴春",
 * "reportShopList": [
 * {
 * "shopId": "0110173",
 * "shopName": "华润万家深圳创新店",
 * "status": 1,
 * "statusStr": "待审核",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "0310293",
 * "shopName": "沃尔玛深圳沙井店",
 * "status": 1,
 * "statusStr": "待审核",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "1310045",
 * "shopName": "天虹深圳公明店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "1310067",
 * "shopName": "天虹深圳新沙店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "1010165",
 * "shopName": "永辉深圳松岗店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "0310360",
 * "shopName": "沃尔玛深圳松岗店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "1310044",
 * "shopName": "天虹深圳松岗店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "1310054",
 * "shopName": "天虹深圳沙井店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * },
 * {
 * "shopId": "0110012",
 * "shopName": "华润万家沙井店",
 * "status": 5,
 * "statusStr": "待上报",
 * "standardId": 2560606
 * }
 * ]
 * }
 */
public class ReportProjectListEntity implements Serializable{

    private String standardId;
    private String reportName;
    private String beginDate;
    private String endDate;
    private String statusStr;
    private int status;
    private int updateFlag;
    private String reportRemark;
    private String reportPerson;
    private List<ReportShopListEntity> reportShopList;

    public String getStandardId() {
        return standardId;
    }

    public void setStandardId(String standardId) {
        this.standardId = standardId;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getReportRemark() {
        return reportRemark;
    }

    public void setReportRemark(String reportRemark) {
        this.reportRemark = reportRemark;
    }

    public String getReportPerson() {
        return reportPerson;
    }

    public void setReportPerson(String reportPerson) {
        this.reportPerson = reportPerson;
    }

    public List<ReportShopListEntity> getReportShopList() {
        return reportShopList;
    }

    public void setReportShopList(List<ReportShopListEntity> reportShopList) {
        this.reportShopList = reportShopList;
    }

    public int getUpdateFlag() {
        return updateFlag;
    }

    public void setUpdateFlag(int updateFlag) {
        this.updateFlag = updateFlag;
    }
}
