package com.wgmf.yxgj.module.business.reportmodule.model;

import java.util.List;

/**
 * 上报基本信息 {
 * checkRemark (string, optional):审核备注 ,
 * checkScore (integer, optional):审核分数 ,
 * checkStatus (integer, optional):审核状态 ,
 * checkStatusStr (string, optional):审核状态Str ,
 * dateScope (string, optional):上报期限 ,
 * lastReportTime (string, optional):最后上班时间 ,
 * reportPerson (string, optional):上报人 待上报显示配置人,已上报显示上报人
 * }
 */
public class ReportStandardDetailEntity {
    /**
     * 门店id
     */
    private String shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 提交人工号
     */
    private String staffId;
    /**
     * 提交人姓名
     */
    private String staffName;
    /**
     * 配置项目id
     */
    private String standardId;

    private List<ReportModelListEntity> modelList;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getStandardId() {
        return standardId;
    }

    public void setStandardId(String standardId) {
        this.standardId = standardId;
    }

    public List<ReportModelListEntity> getModelList() {
        return modelList;
    }

    public void setModelList(List<ReportModelListEntity> modelList) {
        this.modelList = modelList;
    }
}