package com.wgmf.yxgj.module.business.reportmodule.ui;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.reportmodule.R;
import com.wgmf.yxgj.module.business.reportmodule.model.ReportModuleOptionEntity;
import com.wgmf.yxgj.module.business.reportmodule.service.ReportStaticData;

public class ReportModuleItemMultiChoiceAdapter extends SuperBaseAdpter<ReportModuleOptionEntity> {

    ReportModuleItemMultiChoiceAdapter(Context context) {
        super(context);
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup arg2) {
        View view = inflater.inflate(R.layout.report_module_detail_content_list_item_cb, null);
        LinearLayout reportModuleItemCbLl = (LinearLayout) view.findViewById(R.id.report_module_item_cb_ll);
        final TextView iv = (TextView) view.findViewById(R.id.report_module_item_cb);
        TextView tv = (TextView) view.findViewById(R.id.report_module_item_cb_tv);

        final ReportModuleOptionEntity item = getItem(position);
        tv.setText(item.getValue());
//        setCheckedState(iv, item);
        //查询状态填充
        if (ReportStaticData.getBoolean(true).equals(item.getIsChecked())) {
            item.setChoice(true);
            iv.setBackgroundResource(R.drawable.square_orange);
        }else{
            item.setChoice(false);
            iv.setBackgroundResource(R.drawable.square_gray);
        }
        //设置选项ID
        item.setModelOptId(item.getModelOptId());
        reportModuleItemCbLl.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                item.setChoice(!item.isChoice());
                setCheckedState(iv, item);
            }
        });
        return view;
    }

    private void setCheckedState(TextView iv, ReportModuleOptionEntity item) {
        if (item.isChoice()) {
            iv.setBackgroundResource(R.drawable.square_orange);
            item.setIsChecked(ReportStaticData.getBoolean(true));
        } else {
            iv.setBackgroundResource(R.drawable.square_gray);
            item.setIsChecked(ReportStaticData.getBoolean(false));
        }
    }
}