package com.wgmf.yxgj.module.business.reportproblem.model

/**
 * 功能上报物流派送问题
 */
data class LogisticsDelivery(
    val logisticsDelivery: LogisticsDeliveryEntity? = null,
    val logisticsDeliveryProblemList: List<LogisticsDeliveryProblemEntity>? = null
)

data class LogisticsDeliveryEntity(
    val cityName: String? = null,
    val describe: String? = null,
    val feedbackType: String? = null,
    val phone: String? = null,
    val provinceName: String? = null,
    val receiptTime: String? = null,
    val regionalName: String? = null,
    val shopId:String?=null,
    val shopName:String?=null,
    val staffId: String? = null,
    val userName: String? = null
)


data class LogisticsDeliveryProblemEntity(
    val problemType: String? = null
)