package com.wgmf.yxgj.module.business.reportproblem.model;

import java.util.List;

/**
 * 质量上报实体
 * 作者：xiep on 2017/3/22 17:03
 * 邮箱：2975837870@qq.com
 * * QualityFeedbackWorkflow {
 * description (string, optional): 文字描述 ,
 * mobile (string, optional): 联系电话 ,
 * productCount (string, optional): 产品数量 ,
 * productName (string, optional): 产品名称 ,
 * productNo (string, optional): 产品编码 ,
 * productionDate (string, optional): 年月日 ,
 * shopName (string, optional): 门店名称 ,
 * submiter (string, optional): 提交人 ,
 * themeName (string, optional): 质量问题类型，如包装破损等 ,
 * title (string, optional): 流程标题 ,
 * url (Array[Inline Model 1], optional): 七牛地址，jsonArray格式
 * <p>
 * 柜子
 * "cabinetName": "string",
 * "count": "string",
 * "description": "string",
 * "mobile": "string",
 * "shopName": "string",
 * "submiter": "string",
 * "title": "string",
 * <p>
 * 意见与建议
 * themeType (integer, optional): 主题类型：0:产品类(包装/标识等)，1：柜台/物料类,2:推广活动类,3:薪资福利类,4:顾问绩效类,5:流程优化类,6:订货盘点类,7:数据分析类,8:其他 ,
 */

public class QualityUploadEntity {

    private String description;

    private String mobile;

    private String shopName;

    private String submiter;

    private String themeName;

    private String title;

    private String cabinetName;

    private String count;

    private int themeType;

    private List<QualityUploadDetailEntity> details;

    private List<String> url;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getSubmiter() {
        return submiter;
    }

    public void setSubmiter(String submiter) {
        this.submiter = submiter;
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<String> getUrl() {
        return url;
    }

    public void setUrl(List<String> url) {
        this.url = url;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public int getThemeType() {
        return themeType;
    }

    public void setThemeType(int themeType) {
        this.themeType = themeType;
    }

    public List<QualityUploadDetailEntity> getDetails() {
        return details;
    }

    public void setDetails(List<QualityUploadDetailEntity> details) {
        this.details = details;
    }
}
