package com.wgmf.yxgj.graph.modules;

import android.content.Context;

import com.wgmf.yxgj.app.AndroidApplication;

import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;


/**
 * Application Module
 */
@Module
public class ApplicationModule {

    private final AndroidApplication mApplication;

    public ApplicationModule(AndroidApplication application) {
        mApplication = application;
    }

    @Provides
    @Singleton
    Context provideApplicationContext() {
        return mApplication;
    }
}
