package com.wgmf.yxgj.bussiness.talentpool.model;

import java.io.Serializable;
import java.util.List;

/**
 * 作者：xiep on 2017/12/14 11:04
 * 邮箱：2975837870@qq.com
 * TalentPool {
 * deletePersonId (string, optional): 删除操作人工号 ,
 * deleteTime (string, optional): 删除日期 ,
 * homeAddress (string, optional): 家庭地址 ,
 * id (integer, optional),
 * positiveActiveScore (integer, optional): 积极主动得分 ,
 * saleAbilityScore (integer, optional): 销售能力得分 ,
 * studyAbilityScore (integer, optional): 学习能力等分 ,
 * sumScore (integer, optional): 总得分 ,
 * talentAddPersonId (string, optional): 添加人工号 ,
 * talentAddTime (string, optional): 添加日期 ,
 * talentBirthday (string, optional): 生日 ,
 * talentFlag (string, optional): 人才状态标识：1正常；2已入职；3已删除 ,
 * talentHeight (string, optional): 身高 ,
 * talentName (string, optional): 姓名 ,
 * talentPoolImag (Array[TalentPoolImag], optional): 人才库与图片关联表 ,
 * talentPoolShop (Array[TalentPoolShop], optional): 人才库与门店关联表 ,
 * talentSex (string, optional): 性别 ,
 * talentTelephone (string, optional): 手机号码 ,
 * talentUpdateTime (string, optional): 更新日期
 * }
 */
@SuppressWarnings("all")
public class TalentPoolEntity extends TalentPoolShopEntity implements Serializable{
    /**
     * 本地字段 名称
     */
    private String name;
    /**
     * 本地字段 数量
     */
    private String number;

    private String id;

    private String deletePersonId;

    private String homeAddress;

    private float positiveActiveScore;

    private float saleAbilityScore;

    private float studyAbilityScore;

    private int sumScore;

    private String talentAddPersonId;

    private String talentBirthday;

    private String talentFlag;

    private String talentHeight;

    private String talentName;

    private List<TalentPoolImag> talentPoolImag;

    private List<TalentPoolShop> talentPoolShop;

    private String talentSex;

    private String talentTelephone;

    private String talentUpdateTime;

    public String getDeletePersonId() {
        return deletePersonId;
    }

    public void setDeletePersonId(String deletePersonId) {
        this.deletePersonId = deletePersonId;
    }

    public String getHomeAddress() {
        return homeAddress;
    }

    public void setHomeAddress(String homeAddress) {
        this.homeAddress = homeAddress;
    }

    public float getPositiveActiveScore() {
        return positiveActiveScore;
    }

    public void setPositiveActiveScore(float positiveActiveScore) {
        this.positiveActiveScore = positiveActiveScore;
    }

    public float getSaleAbilityScore() {
        return saleAbilityScore;
    }

    public void setSaleAbilityScore(float saleAbilityScore) {
        this.saleAbilityScore = saleAbilityScore;
    }

    public float getStudyAbilityScore() {
        return studyAbilityScore;
    }

    public void setStudyAbilityScore(float studyAbilityScore) {
        this.studyAbilityScore = studyAbilityScore;
    }

    public int getSumScore() {
        return sumScore;
    }

    public void setSumScore(int sumScore) {
        this.sumScore = sumScore;
    }

    public String getTalentAddPersonId() {
        return talentAddPersonId;
    }

    public void setTalentAddPersonId(String talentAddPersonId) {
        this.talentAddPersonId = talentAddPersonId;
    }

    public String getTalentBirthday() {
        return talentBirthday;
    }

    public void setTalentBirthday(String talentBirthday) {
        this.talentBirthday = talentBirthday;
    }

    public String getTalentFlag() {
        return talentFlag;
    }

    public void setTalentFlag(String talentFlag) {
        this.talentFlag = talentFlag;
    }

    public String getTalentHeight() {
        return talentHeight;
    }

    public void setTalentHeight(String talentHeight) {
        this.talentHeight = talentHeight;
    }

    public String getTalentName() {
        return talentName;
    }

    public void setTalentName(String talentName) {
        this.talentName = talentName;
    }

    public String getTalentSex() {
        return talentSex;
    }

    public void setTalentSex(String talentSex) {
        this.talentSex = talentSex;
    }

    public String getTalentTelephone() {
        return talentTelephone;
    }

    public void setTalentTelephone(String talentTelephone) {
        this.talentTelephone = talentTelephone;
    }

    public String getTalentUpdateTime() {
        return talentUpdateTime;
    }

    public void setTalentUpdateTime(String talentUpdateTime) {
        this.talentUpdateTime = talentUpdateTime;
    }

    public List<TalentPoolImag> getTalentPoolImag() {
        return talentPoolImag;
    }

    public void setTalentPoolImag(List<TalentPoolImag> talentPoolImag) {
        this.talentPoolImag = talentPoolImag;
    }

    public List<TalentPoolShop> getTalentPoolShop() {
        return talentPoolShop;
    }

    public void setTalentPoolShop(List<TalentPoolShop> talentPoolShop) {
        this.talentPoolShop = talentPoolShop;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
