package com.wgmf.yxgj.module.bussiness.targetcoefficient.model

import com.wgmf.library.base.BaseResponse

/**
 * 月度目标系数列表
 */
data class MonthlyTargetEntity(
    val payload: MonthlyTargetBean
) : BaseResponse() {
    data class MonthlyTargetBean(
        val monthlyTarget: Double,  //	月度总目标,单位万元
        val targetList: List<TargetBean>?
    ) {
        data class TargetBean(
            val dateTime: String?,  //	日期
            val dayOfWeek: String?,  //周几
            val id: Int,
            val referenceCoefficient: Double,  //	参考系数
            val settingCoefficient: Double,  //	设置系数
            var editSettingCoefficient: Double? = null, //编辑设置系数
            var target: Double  //测算目标,单位万元
        )
    }
}