package com.wgmf.yxgj.bussiness.terminaldisplay.model;

import com.xp.pro.imagepickerlib.bean.ImageItem;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * detailId (integer, optional):门店任务id ,
 remark (string, optional):提报说明 ,
 submitId (integer, optional):编号 ,
 endTime (string, optional):结束时间 ,
 missionName (string, optional):任务名称 ,
 shopStatus (integer, optional):门店状态, 1待提交、2待审核可修改、3已审核可整改、4可再次整改、5免提交、6已截止 ,
 submitType (integer, optional):提交类型，1提报，2整改 ,
 updateTime (string, optional):更新时间 ,
 urls (Array[string], optional),
 userName (string, optional):名字 ,
 userNo (string, optional):工号
 */
public class ExhibitSubmit implements Serializable {
    private static final long serialVersionUID = 1L;
    private String detailId;
    private String remark;
    private String submitId;
    private String submitType;
    private String updateTime;
    private String endTime;
    private String missionRemark;
    private String userNo;
    private String userName;
    private String missionName;
    private String shopStatus;
    private String shopId;
    private String shopName;
    private List<String> urls;

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getMissionName() {
        return missionName;
    }

    public void setMissionName(String missionName) {
        this.missionName = missionName;
    }

    public String getShopStatus() {
        return shopStatus;
    }

    public void setShopStatus(String shopStatus) {
        this.shopStatus = shopStatus;
    }

    private ArrayList<ImageItem> storeImageselectList = new ArrayList<>();

    public ArrayList<ImageItem> getStoreImageselectList() {
        return storeImageselectList;
    }

    public void setStoreImageselectList(ArrayList<ImageItem> storeImageselectList) {
        this.storeImageselectList = storeImageselectList;
    }
    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSubmitId() {
        return submitId;
    }

    public void setSubmitId(String submitId) {
        this.submitId = submitId;
    }

    public String getSubmitType() {
        return submitType;
    }

    public void setSubmitType(String submitType) {
        this.submitType = submitType;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public List<String> getUrls() {
        return urls;
    }

    public void setUrls(List<String> urls) {
        this.urls = urls;
    }

    public String getMissionRemark() {
        return missionRemark;
    }

    public void setMissionRemark(String missionRemark) {
        this.missionRemark = missionRemark;
    }
}
