package com.wgmf.library.app;

import android.app.Application;
import android.content.Context;

/**
 * @author xiep on 2017/6/21 15:30
 */
@SuppressWarnings("all")
public class WGMFLibApplication extends Application {

    private static Context context;

    private static WGMFLibApplication application;

    public static Context getContext() {
        return context;
    }

    public static WGMFLibApplication getInstance() {
        return application;
    }

    public void exit() {
//        System.exit(0);
        try {
            // 杀死该应用进程
            android.os.Process.killProcess(android.os.Process.myPid());
            Runtime.getRuntime().exit(0);
        } catch (Exception e) {
            Runtime.getRuntime().exit(-1);
        }
    }

    protected void initContext() {
        application = this;
        context = getApplicationContext();
    }

    @Override
    public void onCreate() {
        super.onCreate();
        initContext();
    }
}