package com.wgmf.library.utils

import android.content.Context
import java.io.BufferedReader
import java.io.InputStreamReader

/**
 *  从assets 文件夹中获取文件并读取数据
 */
object AssetsUtil {

    @JvmStatic
    fun getFromAssets(context: Context, fileName: String): String {
        val stringBuilder = StringBuilder()
        try {
            val assetManager = context.assets
            val bf =
                BufferedReader(InputStreamReader(assetManager.open(fileName)))
            var line: String?
            while (bf.readLine().also { line = it } != null) {
                stringBuilder.append(line)
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return stringBuilder.toString()
    }

}