package com.wgmf.library.utils;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

import de.mindpipe.android.logging.log4j.LogConfigurator;

public class ConfigureLog4J {
    public static Logger configure(String logfile, String className) {
        LogConfigurator logConfigurator = new LogConfigurator();
        String fileName = logfile;
        logConfigurator.setFileName(fileName + "log.txt");
        logConfigurator.setRootLevel(Level.DEBUG); // Set the root log level
        logConfigurator.setLevel("org.apache", Level.OFF); // Set log level of
        // a specific
        // logger
        logConfigurator.setFilePattern("%d %-5p [%c{2}] %m%n");
        logConfigurator.setMaxFileSize(1024 * 1024 * 10);
        logConfigurator.setMaxBackupSize(10);
        logConfigurator.setImmediateFlush(true);
        logConfigurator.configure();

        return Logger.getLogger(className);
    }
}