package com.wgmf.library.utils

import android.content.ActivityNotFoundException
import android.content.ContentResolver
import android.content.Context
import android.content.Intent
import android.net.Uri
import android.os.Build
import android.provider.MediaStore
import android.provider.Settings
import android.support.v4.content.FileProvider
import java.io.File

/**
 * 以后新版安卓需要适配的新特性的东西就都封装在这里吧。。。
 *
 */
object FuckGoogleAdaptUtil {

    /**
     * 傻逼安卓7适配Uri
     */
    @JvmStatic
    fun android7AdaptUri(context: Context, auth: String, file: File): Uri {
        if (Build.VERSION.SDK_INT < 24/*Build.VERSION_CODES.N*/) {
            return Uri.fromFile(file)
        } else {
            return FileProvider.getUriForFile(context, auth, file)
        }
    }


    //。。。我就直接让7.0以下的都不用这个WRITE_SETTINGS权限得了。。。
    @JvmStatic
    fun android6WriteSettings(context: Context) {
        try {
            context.startActivity(Intent(Settings.ACTION_MANAGE_WRITE_SETTINGS).apply {
                setData(Uri.parse("package:" + context.getPackageName()))
            })
        } catch (e: ActivityNotFoundException) {

        }
    }

    /**
     * 安卓6.0上要单独申请Uri权限，要不然相机要自杀。
     */
//    fun grantFuckUriPermission(context: Context,intent: Intent,uri: Uri,writable: Boolean){
//        var flag = Intent.FLAG_GRANT_READ_URI_PERMISSION
//        if (writable){
//            flag = Intent.FLAG_GRANT_READ_URI_PERMISSION and Intent.FLAG_GRANT_WRITE_URI_PERMISSION
//        }
//        intent.addFlags(flag)
//        context.getPackageManager().queryIntentActivities(intent,PackageManager.MATCH_DEFAULT_ONLY).forEach {
//            context.grantUriPermission(it.activityInfo.packageName,uri,flag)
//        }
//    }


    /**
     * 把Uri路径转成真实路径（谷歌你他妈烦不烦！
     */
    @JvmStatic
    fun getRealFilePath(context: Context, uri: Uri): String {
        val scheme = uri.getScheme()
        var data = ""
        if (scheme == null) {
            data = uri.path ?: ""
        } else if (ContentResolver.SCHEME_FILE.equals(scheme)) {
            data = uri.path ?: ""
        } else if (ContentResolver.SCHEME_CONTENT.equals(scheme)) {
            val cursor = context.getContentResolver()
                .query(uri, arrayOf(MediaStore.Images.ImageColumns.DATA), null, null, null);
            if (null != cursor) {
                if (cursor.moveToFirst()) {
                    val index = cursor.getColumnIndex(MediaStore.Images.ImageColumns.DATA)
                    if (index > -1) {
                        data = cursor.getString(index)
                    }
                }
                cursor.close()
            }
        }
        return data
    }
}