package com.wgmf.library.utils;

import android.app.Activity;

import java.util.ArrayList;
import java.util.List;

/**
 * 存放所有的list在最后退出时一起关闭
 *
 * @author xiep
 */
@SuppressWarnings("all")
public class PublicWay {

    private PublicWay() {
        throw new IllegalStateException("Utility class");
    }

    public static List<Activity> activityList = new ArrayList<>();
    /**
     * 默认可选9张图片
     */
    private static int num = 9;
    /**
     * 评级上报单选项可拍3张照片
     */
    private static int numReportRatingsMuti = 3;
    /**
     * 评级上报多选项可拍1张照片
     */
    private static int numReportRatingsSingle = 1;

    public static int getNum() {
        return num;
    }

    public static void setNum(int num) {
        PublicWay.num = num;
    }

    public static int getNumReportRatingsMuti() {
        return numReportRatingsMuti;
    }

    public static void setNumReportRatingsMuti(int numReportRatingsMuti) {
        PublicWay.numReportRatingsMuti = numReportRatingsMuti;
    }

    public static int getNumReportRatingsSingle() {
        return numReportRatingsSingle;
    }

    public static void setNumReportRatingsSingle(int numReportRatingsSingle) {
        PublicWay.numReportRatingsSingle = numReportRatingsSingle;
    }
}