package com.wgmf.library.utils;

import android.content.Context;
import android.widget.Toast;

/**
 * 吐司工具类
 *
 * @author xiep
 */
public class ToastUtil {

    private ToastUtil() {
    }

    public static void show(Context context, String msg) {
        if (null != msg && !"".equals(msg) && !"null".equals(msg) && msg.length() != 0) {
            Toast.makeText(context, msg, Toast.LENGTH_LONG).show();
        }
    }

    public static void show(Context context, int contentId) {
        Toast.makeText(context, contentId, Toast.LENGTH_SHORT).show();
    }
}